(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    350107,       9600]
NotebookOptionsPosition[    328812,       9297]
NotebookOutlinePosition[    329184,       9313]
CellTagsIndexPosition[    329141,       9310]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.79515500425712*^9, 3.7951550386803713`*^9}, 
   3.795165870221341*^9},ExpressionUUID->"b531b109-e029-47f9-a4c6-\
235510ef9bc3"],

Cell[BoxData[
 RowBox[{"<<", "TripleK`"}]], "Input",
 CellChangeTimes->{{3.781711824066417*^9, 3.7817118319345713`*^9}, 
   3.7951870553132625`*^9},ExpressionUUID->"8a480dd6-cb43-4783-9b05-\
d1490348f089"],

Cell[BoxData[
 RowBox[{"<<", "Konformal`"}]], "Input",
 CellChangeTimes->{{3.795187050218255*^9, 
  3.7951870587932673`*^9}},ExpressionUUID->"d18c35c2-af3c-41bc-9fc0-\
ddc524833a88"],

Cell[CellGroupData[{

Cell["Some definitions", "Section",
 CellChangeTimes->{{3.7951550906240597`*^9, 
  3.795155092840254*^9}},ExpressionUUID->"e9b0d2dd-28cd-434d-b7cf-\
1c3e53a3e449"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Unprotect", "[", "A", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Format", "[", 
    RowBox[{
     RowBox[{"A", "[", "n_", "]"}], "[", 
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], ",", 
      RowBox[{"p", "[", "2", "]"}], ",", 
      RowBox[{"p", "[", "3", "]"}]}], "]"}], "]"}], " ", ":=", " ", 
   RowBox[{"A", "[", "n", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.796569471178278*^9, 3.796569482928295*^9}, {
  3.797532609507646*^9, 
  3.7975326098076468`*^9}},ExpressionUUID->"c59cbd35-b65a-474b-9427-\
5e72456d1787"],

Cell[BoxData[
 RowBox[{
  RowBox[{"p3Top12", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "3", "]"}], "[", "j_", "]"}], "\[RuleDelayed]", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{
        RowBox[{"p", "[", "1", "]"}], "[", "j", "]"}]}], "-", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "j", "]"}]}]}], " ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.795155095570141*^9, 3.7951551078567944`*^9}, {
  3.795156912693295*^9, 3.795157051007218*^9}, {3.795165611756448*^9, 
  3.795165612233135*^9}},ExpressionUUID->"d870c299-a457-46e2-b372-\
5251c949afcc"],

Cell[TextData[{
 "Indices ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Mu]", 
     RowBox[{"j", ","}]], 
    SubscriptBox["\[Nu]", "j"]}], TraditionalForm]],ExpressionUUID->
  "99b93653-4d5e-44e4-ac4c-20293cbbf762"],
 " always go with the ",
 StyleBox["j",
  FontSlant->"Italic"],
 "-th operator in the 3-point function, e.g., ",
 Cell[BoxData[
  FormBox[
   RowBox[{"<", 
    RowBox[{
     SuperscriptBox["T", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], 
       SubscriptBox["\[Nu]", "1"]}]], 
     SuperscriptBox["T", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], 
       SubscriptBox["\[Nu]", "2"]}]], 
     SuperscriptBox["T", 
      RowBox[{
       SubscriptBox["\[Mu]", "3"], 
       SubscriptBox["\[Nu]", "4"]}]]}], ">"}], TraditionalForm]],
  ExpressionUUID->"aeec279c-7c84-469d-a314-88bcd3f61798"],
 ".\nIn the decomposition rule we use momenta p[1] and p[2] for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Mu]", "1"], TraditionalForm]],ExpressionUUID->
  "bef37097-e27c-496c-8452-974d9552ef30"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Nu]", "1"], TraditionalForm]],ExpressionUUID->
  "59d0eebb-cc75-430f-9816-5588459dff0b"],
 "; p[2] and p[3] for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Mu]", "2"], TraditionalForm]],ExpressionUUID->
  "47dd761a-67a4-4daf-b070-ed0b768d5a7d"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Nu]", "2"], TraditionalForm]],ExpressionUUID->
  "0c347e58-6429-43e1-9195-66c4dc6d44a9"],
 "; and p[3] and p[1] for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Mu]", "3"], TraditionalForm]],ExpressionUUID->
  "feb72911-078f-4d17-88fb-2a642c62a7f3"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Nu]", "3"], TraditionalForm]],ExpressionUUID->
  "0a5daa18-bd33-4366-867b-a3c8e0aab84e"],
 ". See equation (4.7) of [",
 ButtonBox["1304.7760",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://arxiv.org/abs/1304.7760"], None},
  ButtonNote->"https://arxiv.org/abs/1304.7760"],
 "].\n",
 StyleBox["suMom",
  FontSlant->"Italic"],
 " implements this rule."
}], "Text",
 CellChangeTimes->{{3.795165618480158*^9, 3.7951657402737913`*^9}, {
  3.7951658041039762`*^9, 
  3.795165857006753*^9}},ExpressionUUID->"5a0c40db-158a-4999-bf9d-\
759f6b0a0b68"],

Cell[BoxData[
 RowBox[{
  RowBox[{"suMom", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["\[Mu]", "1"], "]"}]}], "-", 
       RowBox[{
        RowBox[{"p", "[", "2", "]"}], "[", 
        SubscriptBox["\[Mu]", "1"], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["\[Nu]", "1"], "]"}]}], "-", 
       RowBox[{
        RowBox[{"p", "[", "2", "]"}], "[", 
        SubscriptBox["\[Nu]", "1"], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["\[Mu]", "2"], "]"}]}], "-", 
       RowBox[{
        RowBox[{"p", "[", "3", "]"}], "[", 
        SubscriptBox["\[Mu]", "2"], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["\[Nu]", "2"], "]"}]}], "-", 
       RowBox[{
        RowBox[{"p", "[", "3", "]"}], "[", 
        SubscriptBox["\[Nu]", "2"], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["\[Mu]", "3"], "]"}]}], "-", 
       RowBox[{
        RowBox[{"p", "[", "3", "]"}], "[", 
        SubscriptBox["\[Mu]", "3"], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "3"], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["\[Nu]", "3"], "]"}]}], "-", 
       RowBox[{
        RowBox[{"p", "[", "3", "]"}], "[", 
        SubscriptBox["\[Nu]", "3"], "]"}]}]}]}], " ", "}"}]}], ";"}]], "Input",\
ExpressionUUID->"63ea1755-dc85-49f4-a162-0f806d41de72"],

Cell["To understand recurrence one must understand recurrence.", "Text",
 CellChangeTimes->{{3.795436309359606*^9, 3.795436341589651*^9}, {
  3.7954367777968316`*^9, 
  3.795436778676833*^9}},ExpressionUUID->"766154fa-2d77-414c-9821-\
0568206f962a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "GenerateVectors", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"GenerateVectors", "[", 
    RowBox[{"{", "}"}], "]"}], ":=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"GenerateVectors", "[", "idx_List", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "n", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Flatten", "[", " ", 
      RowBox[{"{", " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"p", "[", "n", "]"}], "[", 
            RowBox[{"idx", "\[LeftDoubleBracket]", 
             RowBox[{"-", "1"}], "\[RightDoubleBracket]"}], "]"}], "*", 
           RowBox[{"GenerateVectors", "[", 
            RowBox[{"Delete", "[", 
             RowBox[{"idx", ",", 
              RowBox[{"-", "1"}]}], "]"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"n", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Delta]", "[", 
            RowBox[{
             RowBox[{"idx", "\[LeftDoubleBracket]", 
              RowBox[{"-", "1"}], "\[RightDoubleBracket]"}], ",", 
             RowBox[{
             "idx", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}]}], 
            "]"}], "*", 
           RowBox[{"GenerateVectors", "[", 
            RowBox[{"Delete", "[", 
             RowBox[{"idx", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"-", "1"}], "}"}], ",", 
                RowBox[{"{", "n", "}"}]}], "}"}]}], "]"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"n", ",", "1", ",", 
            RowBox[{
             RowBox[{"Length", "[", "idx", "]"}], "-", "1"}]}], "}"}]}], 
         "]"}]}], " ", "}"}], " ", "]"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7954356384487433`*^9, 3.795435663330787*^9}, {
  3.7954357033136573`*^9, 3.79543572179969*^9}, {3.798857194239423*^9, 
  3.798857203078999*^9}},ExpressionUUID->"09012d7c-148f-4b7c-b53b-\
ff2b648785a4"],

Cell["\<\
Attempts to use dilatation Ward identity to remove mixed derivatives.\
\>", "Text",
 CellChangeTimes->{{3.7951676228416348`*^9, 
  3.79516764066572*^9}},ExpressionUUID->"e5b81347-aeb0-4905-ae4d-\
45d63ad342ea"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"RemoveMixedDerivatives", "[", 
    RowBox[{"Nn_", ",", "F_"}], "]"}], ":=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Derivative", "[", 
        RowBox[{"1", ",", "0", ",", "1"}], "]"}], "[", "F", "]"}], "[", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], ",", 
       RowBox[{"p", "[", "2", "]"}], ",", 
       RowBox[{"p", "[", "3", "]"}]}], "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"p", "[", "1", "]"}]}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "+", 
           RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "+", 
           RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "-", 
           RowBox[{"2", "d"}], "-", "Nn", "-", "1"}], ")"}], 
         RowBox[{
          RowBox[{
           RowBox[{"Derivative", "[", 
            RowBox[{"0", ",", "0", ",", "1"}], "]"}], "[", "F", "]"}], "[", 
          RowBox[{
           RowBox[{"p", "[", "1", "]"}], ",", 
           RowBox[{"p", "[", "2", "]"}], ",", 
           RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "-", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], " ", 
         RowBox[{
          RowBox[{
           RowBox[{"Derivative", "[", 
            RowBox[{"0", ",", "1", ",", "1"}], "]"}], "[", "F", "]"}], "[", 
          RowBox[{
           RowBox[{"p", "[", "1", "]"}], ",", 
           RowBox[{"p", "[", "2", "]"}], ",", 
           RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "-", 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], " ", 
         RowBox[{
          RowBox[{
           RowBox[{"Derivative", "[", 
            RowBox[{"0", ",", "0", ",", "2"}], "]"}], "[", "F", "]"}], "[", 
          RowBox[{
           RowBox[{"p", "[", "1", "]"}], ",", 
           RowBox[{"p", "[", "2", "]"}], ",", 
           RowBox[{"p", "[", "3", "]"}]}], "]"}]}]}], " ", ")"}]}]}], "}"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.6368896606944466`*^9, 3.6368896797235146`*^9}, {
   3.6368898627607007`*^9, 3.6368899862135587`*^9}, {3.6368900629180145`*^9, 
   3.6368900669911013`*^9}, {3.636966155602457*^9, 3.636966169526371*^9}, {
   3.63696631596959*^9, 3.6369663221239753`*^9}, 3.636966386926138*^9, {
   3.636966421974083*^9, 3.6369664221372175`*^9}, {3.7954458116016026`*^9, 
   3.7954458173966103`*^9}, {3.7954459012877283`*^9, 
   3.7954459249907618`*^9}, {3.79544595949581*^9, 3.795446026530904*^9}, {
   3.7954460745709715`*^9, 
   3.7954460787559767`*^9}},ExpressionUUID->"fd6bfe29-8726-406b-a32a-\
d41b2c492885"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"RemoveMixedDerivatives", "[", "dims_", "]"}], ":=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Derivative", "[", 
        RowBox[{"1", ",", "0", ",", "1"}], "]"}], "[", 
       RowBox[{"A", "[", "n_", "]"}], "]"}], "[", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], ",", 
       RowBox[{"p", "[", "2", "]"}], ",", 
       RowBox[{"p", "[", "3", "]"}]}], "]"}], "\[RuleDelayed]", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"p", "[", "1", "]"}]}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "+", 
           RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "+", 
           RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "-", 
           RowBox[{"2", "d"}], "-", 
           RowBox[{
           "dims", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
           "-", "1"}], ")"}], 
         RowBox[{
          RowBox[{
           RowBox[{"Derivative", "[", 
            RowBox[{"0", ",", "0", ",", "1"}], "]"}], "[", 
           RowBox[{"A", "[", "n", "]"}], "]"}], "[", 
          RowBox[{
           RowBox[{"p", "[", "1", "]"}], ",", 
           RowBox[{"p", "[", "2", "]"}], ",", 
           RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "-", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], " ", 
         RowBox[{
          RowBox[{
           RowBox[{"Derivative", "[", 
            RowBox[{"0", ",", "1", ",", "1"}], "]"}], "[", 
           RowBox[{"A", "[", "n", "]"}], "]"}], "[", 
          RowBox[{
           RowBox[{"p", "[", "1", "]"}], ",", 
           RowBox[{"p", "[", "2", "]"}], ",", 
           RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "-", 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], " ", 
         RowBox[{
          RowBox[{
           RowBox[{"Derivative", "[", 
            RowBox[{"0", ",", "0", ",", "2"}], "]"}], "[", 
           RowBox[{"A", "[", "n", "]"}], "]"}], "[", 
          RowBox[{
           RowBox[{"p", "[", "1", "]"}], ",", 
           RowBox[{"p", "[", "2", "]"}], ",", 
           RowBox[{"p", "[", "3", "]"}]}], "]"}]}]}], " ", ")"}]}]}], "}"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.7957787241575937`*^9, 
  3.7957787751276655`*^9}},ExpressionUUID->"2b3ee8df-0c53-41b3-8a7e-\
63dc4ef9ce69"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Options", "[", "EvaluateCWIs", "]"}], " ", "=", " ", 
   RowBox[{"{", " ", 
    RowBox[{"Verbose", "\[Rule]", "False"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7958890890718794`*^9, 
  3.7958890999418945`*^9}},ExpressionUUID->"91a991fb-bfbc-451a-9a31-\
942d7954ef9e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EvaluateCWIs", "[", 
    RowBox[{
    "in_", ",", " ", "\[Kappa]_", ",", "\[Mu]s_List", ",", " ", "tens_List", 
     ",", " ", 
     RowBox[{"opts___", "?", "OptionQ"}]}], "]"}], " ", ":=", " ", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "AllVectors", ",", "Col", ",", "F", ",", " ", "Res", ",", "n", ",", 
       "verb", ",", "time"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"verb", "=", 
       RowBox[{
        RowBox[{"Verbose", "/.", " ", 
         RowBox[{"Flatten", "[", 
          RowBox[{"{", "opts", "}"}], "]"}]}], " ", "/.", " ", 
        RowBox[{"Options", "[", "EvaluateCWIs", "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"AllVectors", " ", "=", 
       RowBox[{"Sort", "[", 
        RowBox[{"GenerateVectors", "[", 
         RowBox[{"Flatten", "[", "\[Mu]s", "]"}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"verb", ",", " ", 
        RowBox[{
         RowBox[{"Print", "[", "\"\<Generating vectors...\>\"", "]"}], 
         ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"time", ",", "Col"}], "}"}], "=", 
       RowBox[{"AbsoluteTiming", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"in", "/.", "p3Top12"}], ",", "AllVectors"}], "]"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"verb", ",", " ", 
        RowBox[{
         RowBox[{"Print", "[", 
          RowBox[{
          "\"\<...this took \>\"", ",", " ", "time", ",", " ", "\"\<s.\>\""}],
           "]"}], ";", " ", 
         RowBox[{"Print", "[", "\"\<Applying CWIs...\>\"", "]"}], ";"}]}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"time", ",", "Res"}], "}"}], "=", 
       RowBox[{"AbsoluteTiming", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Coefficient", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"CWIOp", "[", 
               RowBox[{"d", ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
                  RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}], "}"}]}], 
               "]"}], "[", 
              RowBox[{
               RowBox[{
                RowBox[{"F", "[", 
                 RowBox[{
                  RowBox[{"p", "[", "1", "]"}], ",", 
                  RowBox[{"p", "[", "2", "]"}], ",", 
                  RowBox[{"p", "[", "3", "]"}]}], "]"}], 
                RowBox[{
                "AllVectors", "\[LeftDoubleBracket]", "n", 
                 "\[RightDoubleBracket]"}]}], ",", "\[Kappa]", ",", " ", 
               "\[Mu]s"}], "]"}], "/.", "suMom"}], ",", "tens"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"n", ",", 
            RowBox[{"Length", "[", "AllVectors", "]"}]}], "}"}]}], "]"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"verb", ",", " ", 
        RowBox[{
         RowBox[{"Print", "[", 
          RowBox[{
          "\"\<...this took \>\"", ",", " ", "time", ",", " ", "\"\<s.\>\""}],
           "]"}], ";", " ", 
         RowBox[{
         "Print", "[", "\"\<Substituting back and summing...\>\"", "]"}], 
         ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"time", ",", " ", "Res"}], "}"}], "=", 
       RowBox[{"AbsoluteTiming", "[", 
        RowBox[{"Total", "[", 
         RowBox[{"ParallelTable", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
            "Res", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], "/.", 
            RowBox[{"{", " ", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"Derivative", "[", 
                  RowBox[{"i_", ",", "j_", ",", "k_"}], "]"}], "[", "F", 
                 "]"}], "[", 
                RowBox[{
                 RowBox[{"p", "[", "1", "]"}], ",", 
                 RowBox[{"p", "[", "2", "]"}], ",", 
                 RowBox[{"p", "[", "3", "]"}]}], "]"}], "\[RuleDelayed]", 
               RowBox[{"D", "[", 
                RowBox[{
                 RowBox[{
                 "Col", "\[LeftDoubleBracket]", "n", 
                  "\[RightDoubleBracket]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"p", "[", "1", "]"}], ",", "i"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"p", "[", "2", "]"}], ",", "j"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"p", "[", "3", "]"}], ",", "k"}], "}"}]}], "]"}]}],
               ",", " ", 
              RowBox[{
               RowBox[{"F", "[", 
                RowBox[{
                 RowBox[{"p", "[", "1", "]"}], ",", 
                 RowBox[{"p", "[", "2", "]"}], ",", 
                 RowBox[{"p", "[", "3", "]"}]}], "]"}], "\[Rule]", 
               RowBox[{
               "Col", "\[LeftDoubleBracket]", "n", 
                "\[RightDoubleBracket]"}]}]}], " ", "}"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", 
             RowBox[{"Length", "[", "Res", "]"}]}], "}"}]}], "]"}], "]"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"verb", ",", 
        RowBox[{
         RowBox[{"Print", "[", 
          RowBox[{
          "\"\<...this took \>\"", ",", " ", "time", ",", " ", "\"\<s.\>\""}],
           "]"}], ";"}]}], "]"}], ";", "\[IndentingNewLine]", "Res"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7957753678455477`*^9, 3.795775382825569*^9}, {
  3.7957755776028643`*^9, 3.7957756113129115`*^9}, {3.7957756527879696`*^9, 
  3.7957757121280527`*^9}, {3.7957757489481044`*^9, 3.795775929618357*^9}, {
  3.795776295293925*^9, 3.7957763048389378`*^9}, {3.7957764042550774`*^9, 
  3.7957764087350836`*^9}, {3.795889004521761*^9, 3.795889070401853*^9}, {
  3.7958891065669036`*^9, 3.795889213417053*^9}, {3.795889251397106*^9, 
  3.7958893841722927`*^9}, {3.7958894721424155`*^9, 3.7958895033324594`*^9}, {
  3.79588953994851*^9, 3.7958895450035176`*^9}, {3.7958906148690157`*^9, 
  3.7958906219590254`*^9}},ExpressionUUID->"9ce3e32c-c229-40a6-85f5-\
982edb29e298"],

Cell[TextData[{
 "Tries to resolve an expression ",
 StyleBox["preexp",
  FontSlant->"Italic"],
 " in terms of the primary CWI operator K acting on momentum ",
 StyleBox["n",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.6541836868117213`*^9, 3.654183744010993*^9}, {
  3.66239503443934*^9, 
  3.662395035503401*^9}},ExpressionUUID->"d68e9fb7-b481-4b36-b97a-\
6ea1aac1333c"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TryEquationK", "[", 
    RowBox[{"preexp_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cfs2", ",", "cfs1", ",", "cf0", ",", "res", ",", "exp"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"exp", "=", 
       RowBox[{"Expand", "[", "preexp", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"cfs1", "=", 
       RowBox[{"Coefficient", "[", 
        RowBox[{"exp", ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"A", "[", "n", "]"}], "[", 
              RowBox[{
               RowBox[{"p", "[", "1", "]"}], ",", 
               RowBox[{"p", "[", "2", "]"}], ",", 
               RowBox[{"p", "[", "3", "]"}]}], "]"}], ",", 
             RowBox[{"p", "[", "j", "]"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "3"}], "}"}]}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"cfs2", "=", 
       RowBox[{"Coefficient", "[", 
        RowBox[{"exp", ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"A", "[", "n", "]"}], "[", 
              RowBox[{
               RowBox[{"p", "[", "1", "]"}], ",", 
               RowBox[{"p", "[", "2", "]"}], ",", 
               RowBox[{"p", "[", "3", "]"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"p", "[", "j", "]"}], ",", "2"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "3"}], "}"}]}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"res", "=", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
           "cfs2", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
           "\[NotEqual]", "0"}], ",", 
          RowBox[{
           RowBox[{
           "cfs2", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
           RowBox[{
            RowBox[{"HoldForm", "[", "KOp", "]"}], "[", 
            RowBox[{
             RowBox[{"A", "[", "n", "]"}], ",", 
             RowBox[{"p", "[", "1", "]"}], ",", 
             RowBox[{"Simplify", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{
                  RowBox[{
                  "cfs1", "\[LeftDoubleBracket]", "1", 
                   "\[RightDoubleBracket]"}], " ", 
                  RowBox[{
                   RowBox[{"p", "[", "1", "]"}], "/", 
                   RowBox[{
                   "cfs2", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}]}]}], ")"}], "/", "2"}], 
              "]"}]}], "]"}]}], ",", "0"}], "]"}], "+", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
           "cfs2", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           "\[NotEqual]", "0"}], ",", 
          RowBox[{
           RowBox[{
           "cfs2", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           RowBox[{
            RowBox[{"HoldForm", "[", "KOp", "]"}], "[", 
            RowBox[{
             RowBox[{"A", "[", "n", "]"}], ",", 
             RowBox[{"p", "[", "2", "]"}], ",", 
             RowBox[{"Simplify", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{
                  RowBox[{
                  "cfs1", "\[LeftDoubleBracket]", "2", 
                   "\[RightDoubleBracket]"}], " ", 
                  RowBox[{
                   RowBox[{"p", "[", "2", "]"}], "/", 
                   RowBox[{
                   "cfs2", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}]}]}], ")"}], "/", "2"}], 
              "]"}]}], "]"}]}], ",", "0"}], "]"}], "+", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
           "cfs2", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
           "\[NotEqual]", "0"}], ",", 
          RowBox[{
           RowBox[{
           "cfs2", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
           RowBox[{
            RowBox[{"HoldForm", "[", "KOp", "]"}], "[", 
            RowBox[{
             RowBox[{"A", "[", "n", "]"}], ",", 
             RowBox[{"p", "[", "3", "]"}], ",", 
             RowBox[{"Simplify", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{
                  RowBox[{
                  "cfs1", "\[LeftDoubleBracket]", "3", 
                   "\[RightDoubleBracket]"}], " ", 
                  RowBox[{
                   RowBox[{"p", "[", "3", "]"}], "/", 
                   RowBox[{
                   "cfs2", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}]}]}]}], ")"}], "/", "2"}], 
              "]"}]}], "]"}]}], ",", "0"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"res", "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"HoldForm", "[", "KOp", "]"}], "[", 
            RowBox[{"X_", ",", 
             RowBox[{"p", "[", "m_", "]"}], ",", 
             RowBox[{
              RowBox[{"\[CapitalDelta]", "[", "m_", "]"}], "-", 
              RowBox[{"d", "/", "2"}]}]}], "]"}], ":>", 
           RowBox[{
            RowBox[{"HoldForm", "[", "KOp", "]"}], "[", 
            RowBox[{"X", ",", "m"}], "]"}]}], "}"}]}], ")"}], "+", 
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"exp", "-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"res", "/.", 
             RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], 
           ")"}]}], "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"A", "[", "n", "]"}], "[", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], ",", 
             RowBox[{"p", "[", "2", "]"}], ",", 
             RowBox[{"p", "[", "3", "]"}]}], "]"}], "\[Rule]", 
           RowBox[{"A", "[", "n", "]"}]}], "}"}]}], "]"}]}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6368907808293467`*^9, 3.6368907989722524`*^9}, {
   3.6368908555755615`*^9, 3.636891189303912*^9}, {3.636891237808469*^9, 
   3.636891257872744*^9}, {3.6368913338188896`*^9, 3.6368913368920794`*^9}, {
   3.636891445887701*^9, 3.6368916716479335`*^9}, {3.6368917076245656`*^9, 
   3.636891713341626*^9}, {3.6368917482925167`*^9, 3.63689176716996*^9}, {
   3.636893492364693*^9, 3.636893577293409*^9}, {3.636893621337776*^9, 
   3.636893666613016*^9}, {3.6368938106002264`*^9, 3.6368938132561183`*^9}, {
   3.636893849015582*^9, 3.636893872785507*^9}, 3.636893917942667*^9, {
   3.795240433782545*^9, 3.795240436493383*^9}, {3.795285578316636*^9, 
   3.795285581211802*^9}, {3.795699587963335*^9, 3.7956996161233745`*^9}, {
   3.795712702618042*^9, 3.7957128218008585`*^9}, {3.795776826387762*^9, 
   3.7957769001248875`*^9}, {3.79577730080746*^9, 3.7957773069274683`*^9}, {
   3.796570038104072*^9, 3.7965701054941664`*^9}, {3.7965709290246053`*^9, 
   3.7965709304746075`*^9}, {3.7965734024220695`*^9, 
   3.7965734284321055`*^9}},ExpressionUUID->"1ca94e9b-8074-4b0b-ab66-\
ed28d4333994"],

Cell[TextData[{
 "Tries to resolve an expression ",
 StyleBox["preexp",
  FontSlant->"Italic"],
 " in terms of the secondary CWI operators L[s,N] and R[s] acting on momentum \
",
 StyleBox["n",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.654183752188461*^9, 3.654183766875301*^9}, {
  3.795240393897275*^9, 
  3.795240394584958*^9}},ExpressionUUID->"31de0e57-5b79-4ffb-af65-\
25c029a23e38"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"TryEquationL", "[", 
     RowBox[{"\[CapitalDelta]1_", ",", "\[CapitalDelta]2_", ",", "d_"}], 
     "]"}], "[", 
    RowBox[{"preexp_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cfs1", ",", "cfs2", ",", "res", ",", "exp"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"exp", "=", 
       RowBox[{"Expand", "[", "preexp", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"cfs1", "=", 
       RowBox[{"{", " ", 
        RowBox[{"0", ",", 
         RowBox[{"Coefficient", "[", 
          RowBox[{"exp", ",", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"A", "[", "n", "]"}], 
             TagBox[
              RowBox[{"(", 
               RowBox[{"0", ",", "1", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], ",", 
             RowBox[{"p", "[", "2", "]"}], ",", 
             RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "]"}], ",", 
         RowBox[{"Coefficient", "[", 
          RowBox[{"exp", ",", 
           RowBox[{
            RowBox[{"A", "[", "n", "]"}], "[", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], ",", 
             RowBox[{"p", "[", "2", "]"}], ",", 
             RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "]"}]}], " ", "}"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"cfs2", "=", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"Coefficient", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
            "cfs1", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
            "*", "2", " ", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], "^", "2"}], " ", 
            RowBox[{
             RowBox[{"p", "[", "2", "]"}], "/", 
             RowBox[{
             "cfs1", "\[LeftDoubleBracket]", "2", 
              "\[RightDoubleBracket]"}]}]}], ",", 
           RowBox[{"p", "[", "1", "]"}], ",", "2"}], "]"}], ",", 
         RowBox[{"Coefficient", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
            "cfs1", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
            "*", "2", " ", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], "^", "2"}], " ", 
            RowBox[{
             RowBox[{"p", "[", "2", "]"}], "/", 
             RowBox[{
             "cfs1", "\[LeftDoubleBracket]", "2", 
              "\[RightDoubleBracket]"}]}]}], ",", 
           RowBox[{"p", "[", "3", "]"}], ",", "2"}], "]"}]}], " ", "}"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"res", "=", 
       RowBox[{"Simplify", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
           "cfs2", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           "-", "\[CapitalDelta]1", "+", "2"}], ",", 
          RowBox[{
           RowBox[{
           "cfs2", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
           "-", 
           RowBox[{
           "cfs2", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           "-", 
           RowBox[{"2", 
            RowBox[{"(", 
             RowBox[{
             "d", "-", "\[CapitalDelta]1", "-", "\[CapitalDelta]2", "+", 
              "1"}], ")"}]}]}]}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Simplify", "[", 
       RowBox[{"exp", "+", 
        RowBox[{
         RowBox[{
          RowBox[{
          "cfs1", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], "/", 
          RowBox[{"(", 
           RowBox[{"2", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], "^", "2"}], 
            RowBox[{"p", "[", "2", "]"}]}], ")"}]}], "*", 
         "\[IndentingNewLine]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"HoldForm", "[", "LOp", "]"}], "[", 
            RowBox[{
             RowBox[{"A", "[", "n", "]"}], ",", 
             RowBox[{
             "res", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             ",", 
             RowBox[{
             "res", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
            "]"}], "-", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"p", "[", "1", "]"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"p", "[", "1", "]"}], "^", "2"}], "+", 
                RowBox[{
                 RowBox[{"p", "[", "2", "]"}], "^", "2"}], "-", 
                RowBox[{
                 RowBox[{"p", "[", "3", "]"}], "^", "2"}]}], ")"}], 
              RowBox[{
               SuperscriptBox[
                RowBox[{"A", "[", "n", "]"}], 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"1", ",", "0", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{"p", "[", "1", "]"}], ",", 
                RowBox[{"p", "[", "2", "]"}], ",", 
                RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "+", 
             RowBox[{"2", 
              RowBox[{
               RowBox[{"p", "[", "1", "]"}], "^", "2"}], 
              RowBox[{"p", "[", "2", "]"}], 
              RowBox[{
               SuperscriptBox[
                RowBox[{"A", "[", "n", "]"}], 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"0", ",", "1", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{"p", "[", "1", "]"}], ",", 
                RowBox[{"p", "[", "2", "]"}], ",", 
                RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"2", "d"}], "-", "\[CapitalDelta]1", "-", 
                   RowBox[{"2", "\[CapitalDelta]2"}], "+", 
                   RowBox[{
                   "res", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "+", 
                   RowBox[{
                   "res", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ")"}], 
                 RowBox[{
                  RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"\[CapitalDelta]1", "-", "2", "+", 
                   RowBox[{
                   "res", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ")"}], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"p", "[", "3", "]"}], "^", "2"}], "-", 
                   RowBox[{
                    RowBox[{"p", "[", "2", "]"}], "^", "2"}]}], ")"}]}]}], 
               ")"}], 
              RowBox[{
               RowBox[{"A", "[", "n", "]"}], "[", 
               RowBox[{
                RowBox[{"p", "[", "1", "]"}], ",", 
                RowBox[{"p", "[", "2", "]"}], ",", 
                RowBox[{"p", "[", "3", "]"}]}], "]"}]}]}], ")"}]}], ")"}]}]}],
        "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"TryEquationR", "[", "\[CapitalDelta]1_", "]"}], "[", 
    RowBox[{"preexp_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cfs1", ",", "res", ",", "exp"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"exp", "=", 
       RowBox[{"Expand", "[", "preexp", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"cfs1", "=", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"Coefficient", "[", 
          RowBox[{"exp", ",", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"A", "[", "n", "]"}], 
             TagBox[
              RowBox[{"(", 
               RowBox[{"1", ",", "0", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], ",", 
             RowBox[{"p", "[", "2", "]"}], ",", 
             RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "]"}], ",", "0", ",", 
         RowBox[{"Coefficient", "[", 
          RowBox[{"exp", ",", 
           RowBox[{
            RowBox[{"A", "[", "n", "]"}], "[", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], ",", 
             RowBox[{"p", "[", "2", "]"}], ",", 
             RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "]"}]}], " ", "}"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"res", "=", 
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"-", "\[CapitalDelta]1"}], "+", "2", "-", 
         RowBox[{
          RowBox[{
          "cfs1", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], "*", 
          RowBox[{
           RowBox[{"p", "[", "1", "]"}], "/", 
           RowBox[{
           "cfs1", "\[LeftDoubleBracket]", "1", 
            "\[RightDoubleBracket]"}]}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Simplify", "[", 
       RowBox[{"exp", "+", 
        RowBox[{
         RowBox[{
          RowBox[{
          "cfs1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "/", 
          RowBox[{"p", "[", "1", "]"}]}], "*", "\[IndentingNewLine]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"HoldForm", "[", "ROp", "]"}], "[", 
            RowBox[{
             RowBox[{"A", "[", "n", "]"}], ",", "res"}], "]"}], "-", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"p", "[", "1", "]"}], 
              RowBox[{
               SuperscriptBox[
                RowBox[{"A", "[", "n", "]"}], 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"1", ",", "0", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{"p", "[", "1", "]"}], ",", 
                RowBox[{"p", "[", "2", "]"}], ",", 
                RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[CapitalDelta]1", "-", "2", "+", "res"}], ")"}], 
              RowBox[{
               RowBox[{"A", "[", "n", "]"}], "[", 
               RowBox[{
                RowBox[{"p", "[", "1", "]"}], ",", 
                RowBox[{"p", "[", "2", "]"}], ",", 
                RowBox[{"p", "[", "3", "]"}]}], "]"}]}]}], ")"}]}], ")"}]}]}],
        "]"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.654180006267206*^9, 3.6541801046108313`*^9}, {
  3.6541802303960257`*^9, 3.654180405037015*^9}, {3.654180467169568*^9, 
  3.654180625020597*^9}, {3.654180689200268*^9, 3.654180984094135*^9}, {
  3.6541811365078526`*^9, 3.654181138621973*^9}, {3.6541813008702536`*^9, 
  3.6541813058185363`*^9}, {3.654181338509406*^9, 3.654181583608425*^9}, {
  3.6541818355528355`*^9, 3.6541818356728425`*^9}, {3.7956996297183933`*^9, 
  3.795699645938416*^9}, {3.796570126794196*^9, 3.796570150189229*^9}, {
  3.7965709386596184`*^9, 3.7965709442646265`*^9}, {3.7965734408971233`*^9, 
  3.7965734524321394`*^9}},ExpressionUUID->"47c41f9d-6ea9-4a40-88f3-\
62eb0b4c517d"],

Cell[TextData[{
 "Tries to resolve an expression ",
 StyleBox["preexp",
  FontSlant->"Italic"],
 " in terms of the secondary CWI operators L\[CloseCurlyQuote][s,N] and R\
\[CloseCurlyQuote][s] acting on momentum ",
 StyleBox["n",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.6541837726356306`*^9, 
  3.6541837773959026`*^9}},ExpressionUUID->"9850893c-5617-4885-a7d6-\
dc21da95cb90"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"TryEquationLprime", "[", 
     RowBox[{"\[CapitalDelta]1_", ",", "\[CapitalDelta]2_", ",", "d_"}], 
     "]"}], "[", 
    RowBox[{"preexp_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cfs1", ",", "cfs2", ",", "res", ",", "exp"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"exp", "=", 
       RowBox[{"Expand", "[", "preexp", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"cfs1", "=", 
       RowBox[{"{", " ", 
        RowBox[{"0", ",", 
         RowBox[{"Coefficient", "[", 
          RowBox[{"exp", ",", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"A", "[", "n", "]"}], 
             TagBox[
              RowBox[{"(", 
               RowBox[{"1", ",", "0", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], ",", 
             RowBox[{"p", "[", "2", "]"}], ",", 
             RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "]"}], ",", 
         RowBox[{"Coefficient", "[", 
          RowBox[{"exp", ",", 
           RowBox[{
            RowBox[{"A", "[", "n", "]"}], "[", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], ",", 
             RowBox[{"p", "[", "2", "]"}], ",", 
             RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "]"}]}], " ", "}"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"cfs2", "=", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"Coefficient", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
            "cfs1", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
            "*", "2", " ", 
            RowBox[{
             RowBox[{"p", "[", "2", "]"}], "^", "2"}], " ", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], "/", 
             RowBox[{
             "cfs1", "\[LeftDoubleBracket]", "2", 
              "\[RightDoubleBracket]"}]}]}], ",", 
           RowBox[{"p", "[", "2", "]"}], ",", "2"}], "]"}], ",", 
         RowBox[{"Coefficient", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
            "cfs1", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
            "*", "2", " ", 
            RowBox[{
             RowBox[{"p", "[", "2", "]"}], "^", "2"}], " ", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], "/", 
             RowBox[{
             "cfs1", "\[LeftDoubleBracket]", "2", 
              "\[RightDoubleBracket]"}]}]}], ",", 
           RowBox[{"p", "[", "3", "]"}], ",", "2"}], "]"}]}], " ", "}"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"res", "=", 
       RowBox[{"Simplify", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
           "cfs2", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           "-", "\[CapitalDelta]2", "+", "2"}], ",", 
          RowBox[{
           RowBox[{
           "cfs2", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
           "-", 
           RowBox[{
           "cfs2", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           "-", 
           RowBox[{"2", 
            RowBox[{"(", 
             RowBox[{
             "d", "-", "\[CapitalDelta]2", "-", "\[CapitalDelta]1", "+", 
              "1"}], ")"}]}]}]}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Simplify", "[", 
       RowBox[{"exp", "+", 
        RowBox[{
         RowBox[{
          RowBox[{
          "cfs1", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], "/", 
          RowBox[{"(", 
           RowBox[{"2", 
            RowBox[{
             RowBox[{"p", "[", "2", "]"}], "^", "2"}], 
            RowBox[{"p", "[", "1", "]"}]}], ")"}]}], "*", 
         "\[IndentingNewLine]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"HoldForm", "[", "LprimeOp", "]"}], "[", 
            RowBox[{
             RowBox[{"A", "[", "n", "]"}], ",", 
             RowBox[{
             "res", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             ",", 
             RowBox[{
             "res", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
            "]"}], "-", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"p", "[", "2", "]"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"p", "[", "1", "]"}], "^", "2"}], "+", 
                RowBox[{
                 RowBox[{"p", "[", "2", "]"}], "^", "2"}], "-", 
                RowBox[{
                 RowBox[{"p", "[", "3", "]"}], "^", "2"}]}], ")"}], 
              RowBox[{
               SuperscriptBox[
                RowBox[{"A", "[", "n", "]"}], 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"0", ",", "1", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{"p", "[", "1", "]"}], ",", 
                RowBox[{"p", "[", "2", "]"}], ",", 
                RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "+", 
             RowBox[{"2", 
              RowBox[{
               RowBox[{"p", "[", "2", "]"}], "^", "2"}], 
              RowBox[{"p", "[", "1", "]"}], 
              RowBox[{
               SuperscriptBox[
                RowBox[{"A", "[", "n", "]"}], 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"1", ",", "0", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{"p", "[", "1", "]"}], ",", 
                RowBox[{"p", "[", "2", "]"}], ",", 
                RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"2", "d"}], "-", "\[CapitalDelta]2", "-", 
                   RowBox[{"2", "\[CapitalDelta]1"}], "+", 
                   RowBox[{
                   "res", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "+", 
                   RowBox[{
                   "res", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ")"}], 
                 RowBox[{
                  RowBox[{"p", "[", "2", "]"}], "^", "2"}]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"\[CapitalDelta]2", "-", "2", "+", 
                   RowBox[{
                   "res", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ")"}], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"p", "[", "3", "]"}], "^", "2"}], "-", 
                   RowBox[{
                    RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ")"}]}]}], 
               ")"}], 
              RowBox[{
               RowBox[{"A", "[", "n", "]"}], "[", 
               RowBox[{
                RowBox[{"p", "[", "1", "]"}], ",", 
                RowBox[{"p", "[", "2", "]"}], ",", 
                RowBox[{"p", "[", "3", "]"}]}], "]"}]}]}], ")"}]}], ")"}]}]}],
        "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"TryEquationRprime", "[", "\[CapitalDelta]2_", "]"}], "[", 
    RowBox[{"preexp_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cfs1", ",", "res", ",", "exp"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"exp", "=", 
       RowBox[{"Expand", "[", "preexp", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"cfs1", "=", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"Coefficient", "[", 
          RowBox[{"exp", ",", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"A", "[", "n", "]"}], 
             TagBox[
              RowBox[{"(", 
               RowBox[{"0", ",", "1", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], ",", 
             RowBox[{"p", "[", "2", "]"}], ",", 
             RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "]"}], ",", "0", ",", 
         RowBox[{"Coefficient", "[", 
          RowBox[{"exp", ",", 
           RowBox[{
            RowBox[{"A", "[", "n", "]"}], "[", 
            RowBox[{
             RowBox[{"p", "[", "1", "]"}], ",", 
             RowBox[{"p", "[", "2", "]"}], ",", 
             RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "]"}]}], " ", "}"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"res", "=", 
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"-", "\[CapitalDelta]2"}], "+", "2", "-", 
         RowBox[{
          RowBox[{
          "cfs1", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], "*", 
          RowBox[{
           RowBox[{"p", "[", "2", "]"}], "/", 
           RowBox[{
           "cfs1", "\[LeftDoubleBracket]", "1", 
            "\[RightDoubleBracket]"}]}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Simplify", "[", 
       RowBox[{"exp", "+", 
        RowBox[{
         RowBox[{
          RowBox[{
          "cfs1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "/", 
          RowBox[{"p", "[", "2", "]"}]}], "*", "\[IndentingNewLine]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"HoldForm", "[", "RprimeOp", "]"}], "[", 
            RowBox[{
             RowBox[{"A", "[", "n", "]"}], ",", "res"}], "]"}], "-", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"p", "[", "2", "]"}], 
              RowBox[{
               SuperscriptBox[
                RowBox[{"A", "[", "n", "]"}], 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"0", ",", "1", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{"p", "[", "1", "]"}], ",", 
                RowBox[{"p", "[", "2", "]"}], ",", 
                RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[CapitalDelta]2", "-", "2", "+", "res"}], ")"}], 
              RowBox[{
               RowBox[{"A", "[", "n", "]"}], "[", 
               RowBox[{
                RowBox[{"p", "[", "1", "]"}], ",", 
                RowBox[{"p", "[", "2", "]"}], ",", 
                RowBox[{"p", "[", "3", "]"}]}], "]"}]}]}], ")"}]}], ")"}]}]}],
        "]"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.654182028666881*^9, 3.654182032709112*^9}, {
  3.654182072675398*^9, 3.6541821720560827`*^9}, {3.66092014838652*^9, 
  3.6609201484953527`*^9}, {3.662384257721947*^9, 3.6623842587120037`*^9}, {
  3.7956996634534407`*^9, 3.795699686583473*^9}, {3.7965701596492424`*^9, 
  3.796570174589263*^9}, {3.79657095380964*^9, 3.796570957074644*^9}, {
  3.7965734572471457`*^9, 
  3.7965734711271653`*^9}},ExpressionUUID->"0b7140f1-fd7f-41b9-bd30-\
d172c04a9386"]
}, Closed]],

Cell[CellGroupData[{

Cell["Example: <TJJ>", "Section",
 CellChangeTimes->{{3.6609288460837865`*^9, 3.6609288476638765`*^9}, {
   3.6609288790196705`*^9, 3.660928879962724*^9}, {3.7957798799872255`*^9, 
   3.7957798829022303`*^9}, 
   3.79578241124111*^9},ExpressionUUID->"2f39f856-78af-4d62-885a-\
837019c0aaa1"],

Cell["\<\
The most general structure of the transverse-traceless part of TJJ.\
\>", "Text",
 CellChangeTimes->{{3.660918140753532*^9, 
  3.6609181473595533`*^9}},ExpressionUUID->"853bedf1-12ad-4647-85c1-\
d10b64769ee1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"tjj", "=", 
   RowBox[{
    RowBox[{"Contract", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"PI", "[", "d", "]"}], "[", "1", "]"}], "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["i", "1"], ",", 
        SubscriptBox["j", "1"]}], "]"}], " ", 
      RowBox[{
       RowBox[{"pi", "[", "2", "]"}], "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "2"], ",", 
        SubscriptBox["i", "2"]}], "]"}], " ", 
      RowBox[{
       RowBox[{"pi", "[", "3", "]"}], "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "3"], ",", 
        SubscriptBox["i", "3"]}], "]"}], "*", 
      RowBox[{"(", " ", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"A", "[", "1", "]"}], "[", 
          RowBox[{
           RowBox[{"p", "[", "1", "]"}], ",", 
           RowBox[{"p", "[", "2", "]"}], ",", 
           RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
         RowBox[{
          RowBox[{"p", "[", "2", "]"}], "[", 
          SubscriptBox["i", "1"], "]"}], " ", 
         RowBox[{
          RowBox[{"p", "[", "2", "]"}], "[", 
          SubscriptBox["j", "1"], "]"}], " ", 
         RowBox[{
          RowBox[{"p", "[", "3", "]"}], "[", 
          SubscriptBox["i", "2"], "]"}], " ", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "[", 
          SubscriptBox["i", "3"], "]"}]}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"A", "[", "2", "]"}], "[", 
          RowBox[{
           RowBox[{"p", "[", "1", "]"}], ",", 
           RowBox[{"p", "[", "2", "]"}], ",", 
           RowBox[{"p", "[", "3", "]"}]}], "]"}], 
         RowBox[{
          RowBox[{"p", "[", "2", "]"}], "[", 
          SubscriptBox["i", "1"], "]"}], " ", 
         RowBox[{
          RowBox[{"p", "[", "2", "]"}], "[", 
          SubscriptBox["j", "1"], "]"}], " ", 
         RowBox[{"\[Delta]", "[", 
          RowBox[{
           SubscriptBox["i", "2"], ",", 
           SubscriptBox["i", "3"]}], "]"}]}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"A", "[", "3", "]"}], "[", 
          RowBox[{
           RowBox[{"p", "[", "1", "]"}], ",", 
           RowBox[{"p", "[", "2", "]"}], ",", 
           RowBox[{"p", "[", "3", "]"}]}], "]"}], 
         RowBox[{
          RowBox[{"p", "[", "2", "]"}], "[", 
          SubscriptBox["i", "1"], "]"}], " ", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "[", 
          SubscriptBox["i", "3"], "]"}], " ", 
         RowBox[{"\[Delta]", "[", 
          RowBox[{
           SubscriptBox["j", "1"], ",", 
           SubscriptBox["i", "2"]}], "]"}]}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"A", "[", "3", "]"}], "[", 
          RowBox[{
           RowBox[{"p", "[", "1", "]"}], ",", 
           RowBox[{"p", "[", "3", "]"}], ",", 
           RowBox[{"p", "[", "2", "]"}]}], "]"}], 
         RowBox[{
          RowBox[{"p", "[", "2", "]"}], "[", 
          SubscriptBox["i", "1"], "]"}], " ", 
         RowBox[{
          RowBox[{"p", "[", "3", "]"}], "[", 
          SubscriptBox["i", "2"], "]"}], " ", 
         RowBox[{"\[Delta]", "[", 
          RowBox[{
           SubscriptBox["j", "1"], ",", 
           SubscriptBox["i", "3"]}], "]"}]}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"A", "[", "4", "]"}], "[", 
          RowBox[{
           RowBox[{"p", "[", "1", "]"}], ",", 
           RowBox[{"p", "[", "2", "]"}], ",", 
           RowBox[{"p", "[", "3", "]"}]}], "]"}], 
         RowBox[{"\[Delta]", "[", 
          RowBox[{
           SubscriptBox["i", "1"], ",", 
           SubscriptBox["i", "3"]}], "]"}], " ", 
         RowBox[{"\[Delta]", "[", 
          RowBox[{
           SubscriptBox["j", "1"], ",", 
           SubscriptBox["i", "2"]}], "]"}]}]}], " ", ")"}]}], "]"}], "/.", 
    "p3Top12"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6368946738415365`*^9, 3.6368949696574984`*^9}, 
   3.6609180418087397`*^9, 3.6609181670188093`*^9, 3.660919262789016*^9, {
   3.660919296755706*^9, 3.660919301348516*^9}, {3.66091942831536*^9, 
   3.660919430484029*^9}, {3.660919617908712*^9, 3.660919618588582*^9}, {
   3.7951626683204927`*^9, 3.79516273690511*^9}, 
   3.795163154483017*^9},ExpressionUUID->"8368e0ef-75e3-4460-bd60-\
17084c7ebb73"],

Cell["A list of tensors after the application of CWI operator.", "Text",
 CellChangeTimes->{{3.6541838006662335`*^9, 3.6541838192902985`*^9}, 
   3.6609180418087807`*^9, 3.660918167018877*^9, {3.660918276613955*^9, 
   3.6609182778222733`*^9}, {3.6609293555039234`*^9, 3.660929355823942*^9}, {
   3.662382258456596*^9, 3.6623822591286345`*^9}, {3.7951621619171124`*^9, 
   3.795162172365555*^9}},ExpressionUUID->"71af51ad-334a-412e-951d-\
53c1fb351450"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TensorsToFind", "=", 
  RowBox[{"{", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Mu]", "1"], "]"}], " ", 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Nu]", "1"], "]"}], 
     RowBox[{
      RowBox[{"p", "[", "3", "]"}], "[", 
      SubscriptBox["\[Mu]", "2"], "]"}], " ", 
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], "[", 
      SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
     RowBox[{"\[Delta]", "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["\[Mu]", "3"]}], "]"}], 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Mu]", "1"], "]"}], " ", 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Nu]", "1"], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Mu]", "1"], "]"}], " ", 
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], "[", 
      SubscriptBox["\[Mu]", "3"], "]"}], " ", 
     RowBox[{"\[Delta]", "[", 
      RowBox[{
       SubscriptBox["\[Nu]", "1"], ",", 
       SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
     RowBox[{"\[Delta]", "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Mu]", "2"]}], "]"}], 
     RowBox[{"\[Delta]", "[", 
      RowBox[{
       SubscriptBox["\[Nu]", "1"], ",", 
       SubscriptBox["\[Mu]", "3"]}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Mu]", "1"], "]"}], " ", 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Nu]", "1"], "]"}], 
     RowBox[{
      RowBox[{"p", "[", "3", "]"}], "[", 
      SubscriptBox["\[Mu]", "2"], "]"}], " ", 
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], "[", 
      SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
     RowBox[{"\[Delta]", "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["\[Mu]", "3"]}], "]"}], 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Mu]", "1"], "]"}], " ", 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Nu]", "1"], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Mu]", "1"], "]"}], " ", 
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], "[", 
      SubscriptBox["\[Mu]", "3"], "]"}], " ", 
     RowBox[{"\[Delta]", "[", 
      RowBox[{
       SubscriptBox["\[Nu]", "1"], ",", 
       SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
     RowBox[{"\[Delta]", "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Mu]", "2"]}], "]"}], 
     RowBox[{"\[Delta]", "[", 
      RowBox[{
       SubscriptBox["\[Nu]", "1"], ",", 
       SubscriptBox["\[Mu]", "3"]}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Delta]", "[", 
      RowBox[{"\[Kappa]", ",", 
       SubscriptBox["\[Nu]", "1"]}], "]"}], 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Mu]", "1"], "]"}], 
     RowBox[{
      RowBox[{"p", "[", "3", "]"}], "[", 
      SubscriptBox["\[Mu]", "2"], "]"}], " ", 
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], "[", 
      SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Delta]", "[", 
      RowBox[{"\[Kappa]", ",", 
       SubscriptBox["\[Mu]", "2"]}], "]"}], 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Mu]", "1"], "]"}], " ", 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Nu]", "1"], "]"}], 
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], "[", 
      SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Delta]", "[", 
      RowBox[{"\[Kappa]", ",", 
       SubscriptBox["\[Nu]", "1"]}], "]"}], 
     RowBox[{"\[Delta]", "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["\[Mu]", "3"]}], "]"}], 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["\[Mu]", "1"], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Delta]", "[", 
      RowBox[{"\[Kappa]", ",", 
       SubscriptBox["\[Nu]", "1"]}], "]"}], 
     RowBox[{"\[Delta]", "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Mu]", "2"]}], "]"}], 
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], "[", 
      SubscriptBox["\[Mu]", "3"], "]"}]}]}], " ", "}"}]}]], "Input",
 CellChangeTimes->{{3.665145415615981*^9, 3.6651455228607864`*^9}, {
  3.7951628411700373`*^9, 3.795162943566049*^9}, {3.7957794614536376`*^9, 
  3.7957794914736814`*^9}},ExpressionUUID->"55ee6c1f-ef7e-438e-a53c-\
6a7f342be139"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    TemplateBox[{"p","1","\[Kappa]"},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","1",SubscriptBox["\[Mu]", "3"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Mu]", "1"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Nu]", "1"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","3",SubscriptBox["\[Mu]", "2"]},
     "Subsuperscript"]}], ",", 
   RowBox[{
    SubscriptBox["\[Delta]", 
     RowBox[{
      SubscriptBox["\[Mu]", "2"], ",", 
      SubscriptBox["\[Mu]", "3"]}]], " ", 
    TemplateBox[{"p","1","\[Kappa]"},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Mu]", "1"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Nu]", "1"]},
     "Subsuperscript"]}], ",", 
   RowBox[{
    SubscriptBox["\[Delta]", 
     RowBox[{
      SubscriptBox["\[Mu]", "2"], ",", 
      SubscriptBox["\[Nu]", "1"]}]], " ", 
    TemplateBox[{"p","1","\[Kappa]"},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","1",SubscriptBox["\[Mu]", "3"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Mu]", "1"]},
     "Subsuperscript"]}], ",", 
   RowBox[{
    SubscriptBox["\[Delta]", 
     RowBox[{
      SubscriptBox["\[Mu]", "1"], ",", 
      SubscriptBox["\[Mu]", "2"]}]], " ", 
    SubscriptBox["\[Delta]", 
     RowBox[{
      SubscriptBox["\[Mu]", "3"], ",", 
      SubscriptBox["\[Nu]", "1"]}]], " ", 
    TemplateBox[{"p","1","\[Kappa]"},
     "Subsuperscript"]}], ",", 
   RowBox[{
    TemplateBox[{"p","1",SubscriptBox["\[Mu]", "3"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2","\[Kappa]"},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Mu]", "1"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Nu]", "1"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","3",SubscriptBox["\[Mu]", "2"]},
     "Subsuperscript"]}], ",", 
   RowBox[{
    SubscriptBox["\[Delta]", 
     RowBox[{
      SubscriptBox["\[Mu]", "2"], ",", 
      SubscriptBox["\[Mu]", "3"]}]], " ", 
    TemplateBox[{"p","2","\[Kappa]"},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Mu]", "1"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Nu]", "1"]},
     "Subsuperscript"]}], ",", 
   RowBox[{
    SubscriptBox["\[Delta]", 
     RowBox[{
      SubscriptBox["\[Mu]", "2"], ",", 
      SubscriptBox["\[Nu]", "1"]}]], " ", 
    TemplateBox[{"p","1",SubscriptBox["\[Mu]", "3"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2","\[Kappa]"},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Mu]", "1"]},
     "Subsuperscript"]}], ",", 
   RowBox[{
    SubscriptBox["\[Delta]", 
     RowBox[{
      SubscriptBox["\[Mu]", "1"], ",", 
      SubscriptBox["\[Mu]", "2"]}]], " ", 
    SubscriptBox["\[Delta]", 
     RowBox[{
      SubscriptBox["\[Mu]", "3"], ",", 
      SubscriptBox["\[Nu]", "1"]}]], " ", 
    TemplateBox[{"p","2","\[Kappa]"},
     "Subsuperscript"]}], ",", 
   RowBox[{
    SubscriptBox["\[Delta]", 
     RowBox[{"\[Kappa]", ",", 
      SubscriptBox["\[Nu]", "1"]}]], " ", 
    TemplateBox[{"p","1",SubscriptBox["\[Mu]", "3"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Mu]", "1"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","3",SubscriptBox["\[Mu]", "2"]},
     "Subsuperscript"]}], ",", 
   RowBox[{
    SubscriptBox["\[Delta]", 
     RowBox[{"\[Kappa]", ",", 
      SubscriptBox["\[Mu]", "2"]}]], " ", 
    TemplateBox[{"p","1",SubscriptBox["\[Mu]", "3"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Mu]", "1"]},
     "Subsuperscript"], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Nu]", "1"]},
     "Subsuperscript"]}], ",", 
   RowBox[{
    SubscriptBox["\[Delta]", 
     RowBox[{"\[Kappa]", ",", 
      SubscriptBox["\[Nu]", "1"]}]], " ", 
    SubscriptBox["\[Delta]", 
     RowBox[{
      SubscriptBox["\[Mu]", "2"], ",", 
      SubscriptBox["\[Mu]", "3"]}]], " ", 
    TemplateBox[{"p","2",SubscriptBox["\[Mu]", "1"]},
     "Subsuperscript"]}], ",", 
   RowBox[{
    SubscriptBox["\[Delta]", 
     RowBox[{"\[Kappa]", ",", 
      SubscriptBox["\[Nu]", "1"]}]], " ", 
    SubscriptBox["\[Delta]", 
     RowBox[{
      SubscriptBox["\[Mu]", "1"], ",", 
      SubscriptBox["\[Mu]", "2"]}]], " ", 
    TemplateBox[{"p","1",SubscriptBox["\[Mu]", "3"]},
     "Subsuperscript"]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.6651455234232903`*^9, 3.665149381337185*^9, 3.6651495289415627`*^9, 
   3.6651505945905046`*^9, 3.665155155962967*^9, 3.6652976727878222`*^9, 
   3.795162944945945*^9, 3.795163174598913*^9, 3.7951677112021093`*^9, 
   3.795242916015944*^9, 3.7952573005424337`*^9, 3.795336938370818*^9, 
   3.79571969067898*^9, 3.795776195648785*^9, 3.795778234776884*^9, {
   3.7957794649486427`*^9, 3.7957794920336823`*^9}, 3.7965674203910418`*^9, 
   3.7965697106066136`*^9, 3.796570730496327*^9, 3.7965709839476824`*^9, 
   3.7965734955801997`*^9, 3.797532686367754*^9, 3.798362719040401*^9, 
   3.7986870035009804`*^9, 3.798857181208482*^9, 
   3.7990385577544737`*^9},ExpressionUUID->"92fc3b4a-e06d-4aeb-b114-\
d563de3a1db9"]
}, Open  ]],

Cell["Tensorial dimensions of the form factors.", "Text",
 CellChangeTimes->{{3.7957782642469254`*^9, 
  3.7957782931619663`*^9}},ExpressionUUID->"bed1d3f3-2412-4f2d-b89b-\
7d36414bf04f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TensorialDimensions", "=", 
  RowBox[{"{", 
   RowBox[{"4", ",", "2", ",", "2", ",", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.79577829592197*^9, 
  3.795778316081998*^9}},ExpressionUUID->"a78d8a59-7ac1-4d97-99a4-\
5d936d36d162"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"4", ",", "2", ",", "2", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.795778322447007*^9, {3.795779465928644*^9, 3.7957794929486837`*^9}, 
   3.7965674215160437`*^9, 3.796569712321616*^9, 3.7965707319963293`*^9, 
   3.796570985642685*^9, 3.7965734969152017`*^9, 3.797532701769776*^9, 
   3.798362721665475*^9, 3.7986870035129805`*^9, 3.798857181224032*^9, 
   3.7990385577928877`*^9},ExpressionUUID->"df8f2d29-9939-4115-b553-\
24062c6e8419"]
}, Open  ]],

Cell["Now we evaluate CWIs.", "Text",
 CellChangeTimes->{{3.7957785011822577`*^9, 
  3.795778520877285*^9}},ExpressionUUID->"4cbacc35-bd2b-488b-bd4c-\
8c1dc180f04a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ktjj", "=", 
   RowBox[{"EvaluateCWIs", "[", 
    RowBox[{"tjj", ",", "\[Kappa]", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Mu]", "1"], ",", 
         SubscriptBox["\[Nu]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        SubscriptBox["\[Mu]", "2"], "}"}], ",", 
       RowBox[{"{", 
        SubscriptBox["\[Mu]", "3"], "}"}]}], "}"}], ",", " ", 
     "TensorsToFind"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7957785224872875`*^9, 
  3.7957785590473385`*^9}},ExpressionUUID->"e3225711-1354-413e-8b7a-\
d26f8c775dd3"],

Cell["Primary and secondary Ward identities then are.", "Text",
 CellChangeTimes->{{3.795778638507474*^9, 
  3.795778659797504*^9}},ExpressionUUID->"46ea4d16-1052-425b-aa4c-\
1e9546cb2dc0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Primaries13", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"Ktjj", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}], "//",
    "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{"Primaries23", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"Ktjj", ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "8"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}], "//",
    "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{"Secondaries", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"Ktjj", ",", 
      RowBox[{"{", 
       RowBox[{"9", ",", "12"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}], "//",
    "Simplify"}]}]}], "Input",
 CellChangeTimes->{{3.636965614991605*^9, 3.636965632732257*^9}, {
   3.6369656783527284`*^9, 3.6369656845201178`*^9}, {3.636965772891268*^9, 
   3.636965850986863*^9}, {3.6369666803883204`*^9, 3.63696668769352*^9}, {
   3.6369667934338255`*^9, 3.636966797637833*^9}, {3.654184739690943*^9, 
   3.654184742690114*^9}, 3.6609180418110733`*^9, 3.660918167022088*^9, {
   3.6651474973504086`*^9, 3.6651475311477566`*^9}, {3.6651477647699227`*^9, 
   3.6651478173487024`*^9}, {3.795778620167448*^9, 3.7957786265324574`*^9}, {
   3.79577880720271*^9, 
   3.795778829387741*^9}},ExpressionUUID->"75456be5-41a7-4508-8a44-\
f3eae76f1f05"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "1", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], 
     SubscriptBox["p", "3"]], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"A", "[", "1", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "1", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], 
     SubscriptBox["p", "1"]], "-", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"A", "[", "1", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"A", "[", "1", "]"}]}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "2", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], 
     SubscriptBox["p", "3"]], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"A", "[", "2", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "2", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], 
     SubscriptBox["p", "1"]], "-", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"A", "[", "2", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}]}], ",", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "d", "-", 
          RowBox[{"2", " ", 
           RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"A", "[", "3", "]"}], 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "0", ",", "1"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], 
       SubscriptBox["p", "3"]], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "3", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "d", "-", 
          RowBox[{"2", " ", 
           RowBox[{"\[CapitalDelta]", "[", "1", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"A", "[", "3", "]"}], 
          TagBox[
           RowBox[{"(", 
            RowBox[{"1", ",", "0", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], 
       SubscriptBox["p", "1"]], "-", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "3", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"2", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "d", "-", 
          RowBox[{"2", " ", 
           RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"A", "[", "4", "]"}], 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "0", ",", "1"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], 
       SubscriptBox["p", "3"]], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "4", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "d", "-", 
          RowBox[{"2", " ", 
           RowBox[{"\[CapitalDelta]", "[", "1", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"A", "[", "4", "]"}], 
          TagBox[
           RowBox[{"(", 
            RowBox[{"1", ",", "0", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], 
       SubscriptBox["p", "1"]], "-", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "4", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"2", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.795778824462734*^9, 3.7957788297327423`*^9}, {
   3.7957794707386527`*^9, 3.7957794970186896`*^9}, 3.796567450911085*^9, 
   3.7965697197766266`*^9, 3.7965707380563374`*^9, 3.796570859903508*^9, 
   3.796570993622696*^9, 3.7965735031102104`*^9, 3.7975327130217915`*^9, 
   3.798362731994411*^9, 3.798687006197134*^9, 3.7988571842918043`*^9, 
   3.799038560950615*^9},ExpressionUUID->"ddbd2405-4df3-428a-bcc1-\
d54380956fb3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "1", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], 
     SubscriptBox["p", "3"]], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"A", "[", "1", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "1", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], 
     SubscriptBox["p", "2"]], "-", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"A", "[", "1", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "2", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], 
     SubscriptBox["p", "3"]], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"A", "[", "2", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "2", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], 
     SubscriptBox["p", "2"]], "-", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"A", "[", "2", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}]}], ",", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "d", "-", 
          RowBox[{"2", " ", 
           RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"A", "[", "3", "]"}], 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "0", ",", "1"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], 
       SubscriptBox["p", "3"]], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "3", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "d", "-", 
          RowBox[{"2", " ", 
           RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"A", "[", "3", "]"}], 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "1", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], 
       SubscriptBox["p", "2"]], "-", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "3", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SubscriptBox["p", "2"], " ", 
      SubscriptBox["p", "3"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       SubscriptBox["p", "2"], " ", 
       SubscriptBox["p", "3"], " ", 
       RowBox[{"A", "[", "3", "]"}]}], "+", 
      RowBox[{"2", " ", 
       SubscriptBox["p", "2"], " ", 
       SubscriptBox["p", "3"], " ", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], "+", 
      RowBox[{
       SubscriptBox["p", "2"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "4", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "0", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "+", 
      RowBox[{"d", " ", 
       SubscriptBox["p", "2"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "4", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "0", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "-", 
      RowBox[{"2", " ", 
       SubscriptBox["p", "2"], " ", 
       RowBox[{"\[CapitalDelta]", "[", "3", "]"}], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "4", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "0", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "+", 
      RowBox[{
       SubscriptBox["p", "2"], " ", 
       SubscriptBox["p", "3"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "4", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "-", 
      RowBox[{
       SubscriptBox["p", "3"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "4", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "-", 
      RowBox[{"d", " ", 
       SubscriptBox["p", "3"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "4", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "+", 
      RowBox[{"2", " ", 
       SubscriptBox["p", "3"], " ", 
       RowBox[{"\[CapitalDelta]", "[", "2", "]"}], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "4", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "-", 
      RowBox[{
       SubscriptBox["p", "2"], " ", 
       SubscriptBox["p", "3"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "4", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.795778824462734*^9, 3.7957788297327423`*^9}, {
   3.7957794707386527`*^9, 3.7957794970186896`*^9}, 3.796567450911085*^9, 
   3.7965697197766266`*^9, 3.7965707380563374`*^9, 3.796570859903508*^9, 
   3.796570993622696*^9, 3.7965735031102104`*^9, 3.7975327130217915`*^9, 
   3.798362731994411*^9, 3.798687006197134*^9, 3.7988571842918043`*^9, 
   3.7990385616321907`*^9},ExpressionUUID->"85694361-5157-41d5-9a5c-\
229d887b4a0e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     SubsuperscriptBox["p", "1", "2"]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            SubsuperscriptBox["p", "2", "2"], "-", 
            SubsuperscriptBox["p", "3", "2"]}], ")"}], " ", 
          RowBox[{"\[CapitalDelta]", "[", "1", "]"}]}], "+", 
         RowBox[{
          SubsuperscriptBox["p", "1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "4"}], "-", 
            RowBox[{"2", " ", "d"}], "+", 
            RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}]}], ")"}]}]}], ")"}],
        " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       RowBox[{"\[CapitalDelta]", "[", "1", "]"}], " ", 
       RowBox[{"A", "[", "3", "]"}]}], "-", 
      RowBox[{
       RowBox[{"\[CapitalDelta]", "[", "1", "]"}], " ", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], "-", 
      RowBox[{"2", " ", 
       SubsuperscriptBox["p", "1", "2"], " ", 
       SubscriptBox["p", "2"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "1", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "-", 
      RowBox[{
       SubsuperscriptBox["p", "1", "3"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "1", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "-", 
      RowBox[{
       SubscriptBox["p", "1"], " ", 
       SubsuperscriptBox["p", "2", "2"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "1", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "+", 
      RowBox[{
       SubscriptBox["p", "1"], " ", 
       SubsuperscriptBox["p", "3", "2"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "1", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "-", 
      RowBox[{
       SubscriptBox["p", "1"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "3", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "+", 
      RowBox[{
       SubscriptBox["p", "1"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "3", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", 
     SubsuperscriptBox["p", "2", "2"]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SubsuperscriptBox["p", "2", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"3", "+", 
            RowBox[{"2", " ", "d"}], "-", 
            RowBox[{"2", " ", 
             RowBox[{"\[CapitalDelta]", "[", "1", "]"}]}], "-", 
            RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}], ")"}]}], "-", 
         RowBox[{
          SubsuperscriptBox["p", "1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}], ")"}]}], "+", 
         RowBox[{
          SubsuperscriptBox["p", "3", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}], ")"}]}]}], ")"}], 
       " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}], ")"}], " ", 
       RowBox[{"A", "[", "2", "]"}]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"A", "[", "3", "]"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"\[CapitalDelta]", "[", "2", "]"}], " ", 
       RowBox[{"A", "[", "3", "]"}]}], "+", 
      RowBox[{
       SubsuperscriptBox["p", "1", "2"], " ", 
       SubscriptBox["p", "2"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "1", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "+", 
      RowBox[{
       SubsuperscriptBox["p", "2", "3"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "1", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "-", 
      RowBox[{
       SubscriptBox["p", "2"], " ", 
       SubsuperscriptBox["p", "3", "2"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "1", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "-", 
      RowBox[{"2", " ", 
       SubscriptBox["p", "2"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "2", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "+", 
      RowBox[{"2", " ", 
       SubscriptBox["p", "2"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "3", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "+", 
      RowBox[{"2", " ", 
       SubscriptBox["p", "1"], " ", 
       SubsuperscriptBox["p", "2", "2"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "1", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", 
     SubsuperscriptBox["p", "1", "2"]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            SubsuperscriptBox["p", "2", "2"], "-", 
            SubsuperscriptBox["p", "3", "2"]}], ")"}], " ", 
          RowBox[{"\[CapitalDelta]", "[", "1", "]"}]}], "+", 
         RowBox[{
          SubsuperscriptBox["p", "1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "-", 
            RowBox[{"2", " ", "d"}], "+", 
            RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}]}], ")"}]}]}], ")"}],
        " ", 
       RowBox[{"A", "[", "2", "]"}]}], "-", 
      RowBox[{
       SubscriptBox["p", "1"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           SubscriptBox["p", "1"]}], " ", 
          RowBox[{"A", "[", "3", "]"}]}], "+", 
         RowBox[{
          SubscriptBox["p", "1"], " ", 
          RowBox[{
           RowBox[{"A", "[", "3", "]"}], "[", 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "3"], ",", 
            SubscriptBox["p", "2"]}], "]"}]}], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["p", "1"], " ", 
          SubscriptBox["p", "2"], " ", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"A", "[", "2", "]"}], 
            TagBox[
             RowBox[{"(", 
              RowBox[{"0", ",", "1", ",", "0"}], ")"}],
             Derivative],
            MultilineFunction->None], "[", 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "]"}]}], "+", 
         RowBox[{
          SubsuperscriptBox["p", "1", "2"], " ", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"A", "[", "2", "]"}], 
            TagBox[
             RowBox[{"(", 
              RowBox[{"1", ",", "0", ",", "0"}], ")"}],
             Derivative],
            MultilineFunction->None], "[", 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "]"}]}], "+", 
         RowBox[{
          SubsuperscriptBox["p", "2", "2"], " ", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"A", "[", "2", "]"}], 
            TagBox[
             RowBox[{"(", 
              RowBox[{"1", ",", "0", ",", "0"}], ")"}],
             Derivative],
            MultilineFunction->None], "[", 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "]"}]}], "-", 
         RowBox[{
          SubsuperscriptBox["p", "3", "2"], " ", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"A", "[", "2", "]"}], 
            TagBox[
             RowBox[{"(", 
              RowBox[{"1", ",", "0", ",", "0"}], ")"}],
             Derivative],
            MultilineFunction->None], "[", 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "]"}]}]}], ")"}]}]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SubsuperscriptBox["p", "1", "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            SubsuperscriptBox["p", "2", "2"], "-", 
            SubsuperscriptBox["p", "3", "2"]}], ")"}], " ", 
          RowBox[{"\[CapitalDelta]", "[", "1", "]"}]}], "+", 
         RowBox[{
          SubsuperscriptBox["p", "1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "4"}], "-", 
            RowBox[{"2", " ", "d"}], "+", 
            RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}]}], ")"}]}]}], ")"}],
        " ", 
       RowBox[{"A", "[", "3", "]"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"\[CapitalDelta]", "[", "1", "]"}], " ", 
       RowBox[{"A", "[", "4", "]"}]}], "-", 
      RowBox[{
       SubscriptBox["p", "1"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SubscriptBox["p", "1"], " ", 
          SubscriptBox["p", "2"], " ", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"A", "[", "3", "]"}], 
            TagBox[
             RowBox[{"(", 
              RowBox[{"0", ",", "1", ",", "0"}], ")"}],
             Derivative],
            MultilineFunction->None], "[", 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            SubsuperscriptBox["p", "1", "2"], "+", 
            SubsuperscriptBox["p", "2", "2"], "-", 
            SubsuperscriptBox["p", "3", "2"]}], ")"}], " ", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"A", "[", "3", "]"}], 
            TagBox[
             RowBox[{"(", 
              RowBox[{"1", ",", "0", ",", "0"}], ")"}],
             Derivative],
            MultilineFunction->None], "[", 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "]"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"A", "[", "4", "]"}], 
            TagBox[
             RowBox[{"(", 
              RowBox[{"1", ",", "0", ",", "0"}], ")"}],
             Derivative],
            MultilineFunction->None], "[", 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "]"}]}]}], ")"}]}]}], ")"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.795778824462734*^9, 3.7957788297327423`*^9}, {
   3.7957794707386527`*^9, 3.7957794970186896`*^9}, 3.796567450911085*^9, 
   3.7965697197766266`*^9, 3.7965707380563374`*^9, 3.796570859903508*^9, 
   3.796570993622696*^9, 3.7965735031102104`*^9, 3.7975327130217915`*^9, 
   3.798362731994411*^9, 3.798687006197134*^9, 3.7988571842918043`*^9, 
   3.799038562474051*^9},ExpressionUUID->"d9f67b93-243c-4cdc-bc66-\
a894842438d3"]
}, Open  ]],

Cell["\<\
Primary WIs can be expressed in terms of the scalar CWI operators K.\
\>", "Text",
 CellChangeTimes->{{3.7957789441129017`*^9, 3.7957789593479233`*^9}, {
  3.7957790199540195`*^9, 3.7957790389450455`*^9}, {3.795779076165098*^9, 
  3.7957790764650984`*^9}},ExpressionUUID->"1ff6e2ec-0952-4abd-81ce-\
3a50ac4b757c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"TryEquationK", "[", 
    RowBox[{
     RowBox[{
     "Primaries13", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
     ",", "n"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "4"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"TryEquationK", "[", 
    RowBox[{
     RowBox[{
     "Primaries23", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
     ",", "n"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "4"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.79577897107794*^9, 3.795779016189014*^9}, {
  3.795779189836257*^9, 3.7957791985462694`*^9}, {3.7957794755186596`*^9, 
  3.7957795041836996`*^9}, {3.7965708801335363`*^9, 3.796570895668558*^9}, {
  3.7965710006127057`*^9, 
  3.796571001942707*^9}},ExpressionUUID->"4d044546-2c3f-46b5-a065-\
33e50e89a61c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     RowBox[{
      TagBox["KOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1"}], "]"}]}], "+", 
    RowBox[{
     TagBox["KOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "3"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"A", "[", "1", "]"}]}], "-", 
    RowBox[{
     TagBox["KOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "1"}], "]"}], "+", 
    RowBox[{
     TagBox["KOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "3"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"A", "[", "1", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{
      TagBox["KOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "1"}], "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{
      TagBox["KOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "3"}], "]"}]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"A", "[", "3", "]"}], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "3"], ",", 
      SubscriptBox["p", "2"]}], "]"}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{
      TagBox["KOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "4", "]"}], ",", "1"}], "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{
      TagBox["KOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "4", "]"}], ",", "3"}], "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7957789894879656`*^9, 3.7957790082140026`*^9}, 
   3.795779072760093*^9, 3.7957791988012695`*^9, {3.7957794768936615`*^9, 
   3.7957795046087*^9}, 3.796567453831089*^9, 3.7965697235416317`*^9, 
   3.796570741126342*^9, 3.796570867503519*^9, 3.7965709003535647`*^9, 
   3.796571002357708*^9, 3.7965735065352154`*^9, 3.7975327175017977`*^9, 
   3.7975328338969617`*^9, 3.79836274039746*^9, 3.798687007566212*^9, 
   3.7988571857287607`*^9, 
   3.7990385625643587`*^9},ExpressionUUID->"a118375c-bfd9-427b-a67c-\
5beeec56ad4b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     RowBox[{
      TagBox["KOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "2"}], "]"}]}], "+", 
    RowBox[{
     TagBox["KOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "3"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{
      TagBox["KOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "2"}], "]"}]}], "+", 
    RowBox[{
     TagBox["KOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "3"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"A", "[", "1", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{
      TagBox["KOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "2"}], "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{
      TagBox["KOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "3"}], "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"A", "[", "3", "]"}]}], "+", 
    RowBox[{
     RowBox[{"A", "[", "3", "]"}], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "3"], ",", 
      SubscriptBox["p", "2"]}], "]"}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{
      TagBox["KOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "4", "]"}], ",", "2"}], "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{
      TagBox["KOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "4", "]"}], ",", "3"}], "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7957789894879656`*^9, 3.7957790082140026`*^9}, 
   3.795779072760093*^9, 3.7957791988012695`*^9, {3.7957794768936615`*^9, 
   3.7957795046087*^9}, 3.796567453831089*^9, 3.7965697235416317`*^9, 
   3.796570741126342*^9, 3.796570867503519*^9, 3.7965709003535647`*^9, 
   3.796571002357708*^9, 3.7965735065352154`*^9, 3.7975327175017977`*^9, 
   3.7975328338969617`*^9, 3.79836274039746*^9, 3.798687007566212*^9, 
   3.7988571857287607`*^9, 
   3.799038562578801*^9},ExpressionUUID->"eb024f53-24c3-4dec-b0af-\
8d0e490d4034"]
}, Open  ]],

Cell["\<\
Secondary WIs can be expressed in terms of L and R operators.\
\>", "Text",
 CellChangeTimes->{
  3.7957790836251087`*^9},ExpressionUUID->"52c7ab9a-5c0d-4ce6-a2ab-\
8593524e2718"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
     "Secondaries", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "//", 
     RowBox[{
      RowBox[{
       RowBox[{"TryEquationL", "[", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ",", "d"}], "]"}], "[", 
       RowBox[{"#", ",", "1"}], "]"}], "&"}]}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{"TryEquationR", "[", 
       RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "]"}], "[", 
      RowBox[{"#", ",", "3"}], "]"}], "&"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
      "Secondaries", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], "//", 
      RowBox[{
       RowBox[{
        RowBox[{"TryEquationLprime", "[", 
         RowBox[{
          RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
          RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ",", "d"}], "]"}], "[", 
        RowBox[{"#", ",", "1"}], "]"}], "&"}]}], "//", 
     RowBox[{
      RowBox[{
       RowBox[{"TryEquationRprime", "[", 
        RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "]"}], "[", 
       RowBox[{"#", ",", "3"}], "]"}], "&"}]}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{"TryEquationRprime", "[", 
       RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "]"}], "[", 
      RowBox[{"#", ",", "2"}], "]"}], "&"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
    "Secondaries", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{"TryEquationL", "[", 
       RowBox[{
        RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
        RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ",", "d"}], "]"}], "[", 
      RowBox[{"#", ",", "2"}], "]"}], "&"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Secondaries", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], "//", 
     RowBox[{
      RowBox[{
       RowBox[{"TryEquationL", "[", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ",", "d"}], "]"}], "[", 
       RowBox[{"#", ",", "3"}], "]"}], "&"}]}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{"TryEquationR", "[", 
       RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "]"}], "[", 
      RowBox[{"#", ",", "4"}], "]"}], "&"}]}]}], " ", "}"}]], "Input",
 CellChangeTimes->{{3.654182559253229*^9, 3.65418274424781*^9}, {
   3.6541827761836367`*^9, 3.6541828891130953`*^9}, 3.660918041811954*^9, 
   3.660918167022855*^9, {3.66091987465271*^9, 3.6609199807157507`*^9}, {
   3.6609201682615128`*^9, 3.66092019649522*^9}, {3.662384583546583*^9, 
   3.6623845840096097`*^9}, {3.66529791976088*^9, 3.665297931770485*^9}, {
   3.7957790909651184`*^9, 3.7957791277851706`*^9}, {3.795779230971315*^9, 
   3.795779266087364*^9}},ExpressionUUID->"2f7de04f-12dc-4d12-8ef6-\
ffc9fc318c66"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"\[CapitalDelta]", "[", "1", "]"}], " ", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["LOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "2"}], "]"}], "+", 
      RowBox[{
       TagBox["ROp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "2"}], "]"}], "-", 
      RowBox[{
       SubscriptBox["p", "1"], " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"A", "[", "3", "]"}], 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}]}], 
     SubsuperscriptBox["p", "1", "2"]]}], ",", 
   FractionBox[
    RowBox[{
     RowBox[{
      TagBox["LprimeOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       TagBox["RprimeOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1"}], "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{
       TagBox["RprimeOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "1"}], "]"}]}]}], 
    SubsuperscriptBox["p", "2", "2"]], ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "-", 
    RowBox[{
     RowBox[{"A", "[", "3", "]"}], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "3"], ",", 
      SubscriptBox["p", "2"]}], "]"}], "-", 
    FractionBox[
     RowBox[{
      TagBox["LOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "0"}], "]"}], 
     SubsuperscriptBox["p", "1", "2"]]}], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      RowBox[{
       TagBox["LOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "2", ",", "2"}], "]"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{
        TagBox["ROp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "4", "]"}], ",", "2"}], "]"}]}]}], 
     RowBox[{"2", " ", 
      SubsuperscriptBox["p", "1", "2"]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.6541825808424635`*^9, {3.6541826957650366`*^9, 3.6541827447448387`*^9}, 
   3.6541827857631845`*^9, 3.654182890164156*^9, 3.654183070369463*^9, 
   3.6541843192768965`*^9, 3.6541848509303055`*^9, 3.6541856141956897`*^9, 
   3.660918041812003*^9, 3.6609181670228987`*^9, 3.660919981338133*^9, {
   3.660920171821327*^9, 3.660920197303315*^9}, 3.662384743323722*^9, 
   3.6651478766860905`*^9, 3.6652977414590073`*^9, 3.6652979333476086`*^9, 
   3.7951631026758823`*^9, 3.795163192296031*^9, 3.795167714390126*^9, 
   3.7952429317651243`*^9, 3.795257312243149*^9, 3.79533727727952*^9, {
   3.7957792390463257`*^9, 3.7957792695323687`*^9}, {3.7957794806786666`*^9, 
   3.795779506038702*^9}, 3.7965674554510913`*^9, 3.796571004412711*^9, 
   3.7965735138952255`*^9, 3.797532721182803*^9, 3.797532841976973*^9, 
   3.798362742115193*^9, 3.7986870076302156`*^9, 3.798857185824967*^9, 
   3.799038562662015*^9},ExpressionUUID->"9fcec6fc-df84-4a49-9fb0-\
5f99a3985908"]
}, Open  ]],

Cell[TextData[{
 "This is how we derive the equations. They are already stored in ",
 StyleBox["Konformal.wl",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.795779290417398*^9, 3.795779335552461*^9}, {
  3.795779553108768*^9, 
  3.7957795571287737`*^9}},ExpressionUUID->"afdaa1ca-bca4-4f49-a5d4-\
9a30039227f8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrimaryCWIs", "[", "TJJ", "]"}], "\[IndentingNewLine]", 
 RowBox[{"SecondaryCWIsLhs", "[", "TJJ", "]"}]}], "Input",
 CellChangeTimes->{{3.7957795772938023`*^9, 3.795779585468813*^9}, {
  3.7975328452379775`*^9, 
  3.7975328465579796`*^9}},ExpressionUUID->"909a55e5-1662-41db-877b-\
904f6783c5d8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "1", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"A", "[", "3", "]"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "2", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "2"}], "]"}]}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "3", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "1", ",", "2"}], "]"}]}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7957795857088137`*^9, 3.796567457171094*^9, 3.796571008157716*^9, 
   3.7965735376752586`*^9, 3.7975327242728076`*^9, {3.797532843527975*^9, 
   3.79753284701798*^9}, 3.798362745908525*^9, 3.798687007645217*^9, 
   3.798857185841792*^9, 
   3.799038562676567*^9},ExpressionUUID->"3ff3c2e0-6e9e-4b26-87cc-\
246291bcc9b4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "2"}], "]"}], "+", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "3", "]"}], ",", "2"}], "]"}], "-", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "3"], ",", 
        SubscriptBox["p", "2"]}], "]"}], ",", "2"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{
     TagBox["LprimeOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], "-", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["RprimeOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "1"}], "]"}]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["RprimeOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "1"}], "]"}]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      SubsuperscriptBox["p", "1", "2"]}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], "-", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], ")"}]}], "+", 
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "0"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "3", "]"}], ",", "2", ",", "2"}], "]"}], "-", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["ROp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "4", "]"}], ",", "2"}], "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7957795857088137`*^9, 3.796567457171094*^9, 3.796571008157716*^9, 
   3.7965735376752586`*^9, 3.7975327242728076`*^9, {3.797532843527975*^9, 
   3.79753284701798*^9}, 3.798362745908525*^9, 3.798687007645217*^9, 
   3.798857185841792*^9, 
   3.799038562678142*^9},ExpressionUUID->"7f0aaa1c-22d3-47eb-8152-\
a7c8a1f2b715"]
}, Open  ]],

Cell["\<\
Multiplication factors for comparing results with what stored in Konformal.wl.\
\>", "Text",
 CellChangeTimes->{{3.795778363157064*^9, 
  3.7957784112521315`*^9}},ExpressionUUID->"20de4269-5794-4593-a60f-\
3d9ad6425140"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"PrimaryMultFactors", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "2"}], ",", 
     RowBox[{"-", "2"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SecondaryMultFactors", " ", "=", " ", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "^", "2"}], ",", 
     RowBox[{"-", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
     RowBox[{
      RowBox[{"-", "2"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "^", "2"}]}]}], " ", "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7957784497921853`*^9, 
  3.7957784786222258`*^9}},ExpressionUUID->"1b3f8ced-675c-4f2d-80d0-\
95a64219af18"],

Cell["We can check them easily.", "Text",
 CellChangeTimes->{{3.7957795617987804`*^9, 
  3.795779569758791*^9}},ExpressionUUID->"f3c9d77c-46f5-4409-adf8-\
be698c48644e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"PrimaryMultFactors", "*", "Primaries13"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TJJ", "]"}], "\[LeftDoubleBracket]", "1", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"PrimaryMultFactors", "*", "Primaries23"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TJJ", "]"}], "\[LeftDoubleBracket]", "2", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"SecondaryMultFactors", "*", "Secondaries"}], "-", 
     RowBox[{"SecondaryCWIsLhs", "[", "TJJ", "]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}]}], "Input",
 CellChangeTimes->{{3.795779340867469*^9, 3.795779409763565*^9}, {
  3.7957795108637085`*^9, 3.7957795412937517`*^9}, {3.7975327603168583`*^9, 
  3.797532766677867*^9}},ExpressionUUID->"15d6d81b-1517-4a30-a8c4-\
83236ac93124"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795779344162473*^9, 3.795779410093566*^9}, {
   3.7957794819836683`*^9, 3.795779541598752*^9}, 3.7965674584060955`*^9, 
   3.7965710120227213`*^9, 3.796573546430271*^9, {3.7975327383238273`*^9, 
   3.7975327674478683`*^9}, 3.7975328499379845`*^9, 3.7983627494266987`*^9, 
   3.798687007674218*^9, 3.798857185951083*^9, 
   3.7990385627238827`*^9},ExpressionUUID->"40f3249f-20d3-49f4-b4b7-\
3f7b03c813b5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795779344162473*^9, 3.795779410093566*^9}, {
   3.7957794819836683`*^9, 3.795779541598752*^9}, 3.7965674584060955`*^9, 
   3.7965710120227213`*^9, 3.796573546430271*^9, {3.7975327383238273`*^9, 
   3.7975327674478683`*^9}, 3.7975328499379845`*^9, 3.7983627494266987`*^9, 
   3.798687007674218*^9, 3.798857185951083*^9, 
   3.799038562735718*^9},ExpressionUUID->"c05cbe6a-de04-4d9f-a6d5-\
8a65087f9171"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795779344162473*^9, 3.795779410093566*^9}, {
   3.7957794819836683`*^9, 3.795779541598752*^9}, 3.7965674584060955`*^9, 
   3.7965710120227213`*^9, 3.796573546430271*^9, {3.7975327383238273`*^9, 
   3.7975327674478683`*^9}, 3.7975328499379845`*^9, 3.7983627494266987`*^9, 
   3.798687007674218*^9, 3.798857185951083*^9, 
   3.799038562737702*^9},ExpressionUUID->"8bca4a1b-841e-461b-9240-\
2ae470831fcd"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<OOO>", "Section",
 CellChangeTimes->{{3.6609287078048773`*^9, 3.6609287108840537`*^9}, {
  3.795167756200035*^9, 
  3.7951677564400578`*^9}},ExpressionUUID->"c1bc4ecf-36d0-4520-84dc-\
734552385175"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Primaries", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Coefficient", "[", 
     RowBox[{
      RowBox[{"CWIOp", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], ",", "3", ",", "\[Kappa]"}], 
       "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], ",", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}]}], "}"}]}], 
     "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", 
     RowBox[{"0", ",", 
      RowBox[{"A", "[", "1", "]"}]}], "]"}]}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.795156410190091*^9, 3.7951564160738897`*^9}, {
   3.795157080989409*^9, 3.795157081182382*^9}, {3.795167962315981*^9, 
   3.795168006603085*^9}, {3.795168045774563*^9, 3.7951680460180683`*^9}, {
   3.795717701763976*^9, 3.795717714638994*^9}, {3.795719059602949*^9, 
   3.7957190649679565`*^9}, 3.7957193183653517`*^9, 3.7957770897001534`*^9, 
   3.795779911060281*^9},ExpressionUUID->"2c44652f-eed3-414e-adc5-\
5f9b1795f9bf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "1", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], 
     SubscriptBox["p", "3"]], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"A", "[", "1", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "1", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], 
     SubscriptBox["p", "1"]], "-", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"A", "[", "1", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"2", ",", "0", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "1", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], 
     SubscriptBox["p", "3"]], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"A", "[", "1", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}]}], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"A", "[", "1", "]"}], 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"]}], "]"}]}], 
     SubscriptBox["p", "2"]], "-", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"A", "[", "1", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.795155314171566*^9, 3.79515545019197*^9, 3.795155802402495*^9, 
   3.795156420682824*^9, 3.795157082359611*^9, 3.795164057799673*^9, 
   3.795166275931547*^9, 3.795167693011366*^9, 3.795167976895194*^9, 
   3.7951680091754503`*^9, 3.7951680464488583`*^9, 3.79524036215032*^9, 
   3.7952414287138767`*^9, 3.795285464865147*^9, 3.795334620253113*^9, 
   3.7954458841177044`*^9, 3.795446148871075*^9, 3.7956997024944954`*^9, 
   3.7957106231641035`*^9, 3.795714525803322*^9, 3.795717715373995*^9, 
   3.7957190656579576`*^9, {3.7957770926851573`*^9, 3.795777118300193*^9}, 
   3.79577992354331*^9, 3.795781815031271*^9, 3.7958856450114255`*^9, 
   3.7965674773561215`*^9, {3.7965697606466837`*^9, 3.79656977932271*^9}, 
   3.796571017467729*^9, 3.7965735595752897`*^9, 3.797532855568992*^9, 
   3.798362752227581*^9, 3.7986870077652235`*^9, 3.798857186085794*^9, 
   3.799038562840866*^9},ExpressionUUID->"8ad187df-6015-44de-955e-\
d9aea5b7e17b"]
}, Open  ]],

Cell[TextData[{
 "All Ward identities are stored in ",
 StyleBox["PrimaryCWIs",
  FontSlant->"Italic"],
 " function."
}], "Text",
 CellChangeTimes->{{3.7957773230765038`*^9, 
  3.795777345231535*^9}},ExpressionUUID->"e0a8208c-259f-4982-a31a-\
f999a06a6b26"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PrimaryCWIs", "[", "OOO", "]"}], "//", "Flatten"}]], "Input",
 CellChangeTimes->{{3.79571791180027*^9, 3.795717913250272*^9}, {
  3.7975328579099956`*^9, 
  3.797532858299996*^9}},ExpressionUUID->"89d191af-c153-4e43-af83-\
cf495988aaf0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    TagBox["KKOp",
     HoldForm], "[", 
    RowBox[{
     RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{
    TagBox["KKOp",
     HoldForm], "[", 
    RowBox[{
     RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{
    TagBox["KKOp",
     HoldForm], "[", 
    RowBox[{
     RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.795717858105195*^9, 3.795717913595272*^9, 
  3.7957190867479873`*^9, 3.795777346981538*^9, 3.7957799452783403`*^9, 
  3.7957818159462724`*^9, 3.7958856471314287`*^9, 3.7965674786761236`*^9, 
  3.796569780912712*^9, 3.7965710189577312`*^9, 3.7965735608102913`*^9, 
  3.7975328588499966`*^9, 3.798362753513878*^9, 3.7986870077782245`*^9, 
  3.7988571860975437`*^9, 
  3.7990385628609457`*^9},ExpressionUUID->"9daebaa4-2a94-45e5-a461-\
1a32614f77fb"]
}, Open  ]],

Cell[TextData[{
 "Only two out of three identities are independent. They agree, up to a sign, \
with ",
 StyleBox["Primaries",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.7957773584215536`*^9, 3.7957773786465816`*^9}, {
  3.7957774421966705`*^9, 
  3.795777483211728*^9}},ExpressionUUID->"221842d6-7c6a-461b-8a3c-\
d5a85f459b6f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "Primaries"}], "-", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{"PrimaryCWIs", "[", "OOO", "]"}], "\[LeftDoubleBracket]", 
       RowBox[{"1", ";;", "2"}], "\[RightDoubleBracket]"}], "]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}]], "Input",
 CellChangeTimes->{{3.7957107000214996`*^9, 3.79571073342241*^9}, {
  3.7957178740352173`*^9, 3.795717877640222*^9}, {3.7957179191612806`*^9, 
  3.7957179233362865`*^9}, {3.7957774919317403`*^9, 3.7957775099517655`*^9}, {
  3.79753286134*^9, 
  3.797532861790001*^9}},ExpressionUUID->"fccb893f-a78c-4fa4-a6fe-\
b910fc07c607"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.7957107231478224`*^9, 3.7957107344234676`*^9}, 
   3.7957178798002253`*^9, 3.7957179236262865`*^9, 3.795719091707994*^9, {
   3.7957775031517563`*^9, 3.7957775104367666`*^9}, 3.7957799466383424`*^9, 
   3.7957818167162733`*^9, 3.79588564835143*^9, 3.796567480146126*^9, 
   3.7965697875087214`*^9, 3.796571020867734*^9, 3.7965735625152936`*^9, 
   3.797532863450003*^9, 3.7983627546152887`*^9, 3.798687007792225*^9, 
   3.798857186159007*^9, 
   3.799038562895667*^9},ExpressionUUID->"31500533-5c49-4da7-b7ec-\
8c5e4c9c532a"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<JOO>", "Section",
 CellChangeTimes->{{3.6609287078048773`*^9, 
  3.6609287108840537`*^9}},ExpressionUUID->"61433901-c453-464d-81d9-\
f41a55591aac"],

Cell["Data for the calculations.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 
  3.7958858974360757`*^9}},ExpressionUUID->"5e90c568-d093-4677-94c0-\
76990457938e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TranverseTracelessCorrelator", "=", 
   RowBox[{"Contract", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"pi", "[", "1", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["i", "1"]}], "]"}], "*", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], "[", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], ",", 
       RowBox[{"p", "[", "2", "]"}], ",", 
       RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["i", "1"], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorialDimensions", "=", 
   RowBox[{"{", "1", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorsToFind", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}]}], ",", " ", 
     RowBox[{"\[Delta]", "[", 
      RowBox[{"\[Kappa]", ",", 
       SubscriptBox["\[Mu]", "1"]}], "]"}]}], " ", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorStructure", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Mu]", "1"], "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6368946738415365`*^9, 3.6368949696574984`*^9}, 
   3.6609180418087397`*^9, 3.6609181670188093`*^9, {3.6609182206104183`*^9, 
   3.6609182681757517`*^9}, {3.660919408753072*^9, 3.6609194096407433`*^9}, {
   3.660919597313299*^9, 3.660919599105009*^9}, {3.6654887006971397`*^9, 
   3.6654887110955215`*^9}, 3.6654887771853733`*^9, {3.665488807914422*^9, 
   3.6654888103381386`*^9}, 3.795155112370041*^9, {3.7951551693742447`*^9, 
   3.795155169752142*^9}, {3.795156253813527*^9, 3.7951562640996447`*^9}, {
   3.795156887814146*^9, 3.7951569076578074`*^9}, {3.795777540076808*^9, 
   3.7957775409668093`*^9}, {3.795781830746293*^9, 3.7957818382063036`*^9}, {
   3.7957820621126175`*^9, 3.7957820633726187`*^9}, {3.7957822891799355`*^9, 
   3.795782289284935*^9}, {3.7958857508215733`*^9, 3.7958857614115887`*^9}, {
   3.795885825365975*^9, 3.795885888406063*^9}, {3.7958860264762564`*^9, 
   3.7958860544812956`*^9}, {3.795886691665188*^9, 
   3.795886694765192*^9}},ExpressionUUID->"d0c87688-2153-481b-a5af-\
29baa3bde834"],

Cell["Applying CWIs.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 3.7958858974360757`*^9}, {
  3.7958860379062724`*^9, 
  3.7958860399362755`*^9}},ExpressionUUID->"b5c68a5f-cab0-433d-94d3-\
193f043e989b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CWIsApplied", "=", 
   RowBox[{
    RowBox[{"EvaluateCWIs", "[", 
     RowBox[{
     "TranverseTracelessCorrelator", ",", "\[Kappa]", ",", "TensorStructure", 
      ",", " ", "TensorsToFind"}], "]"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries13", "=", 
   RowBox[{
    RowBox[{
    "CWIsApplied", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries23", "=", 
   RowBox[{
    RowBox[{
    "CWIsApplied", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Secondaries", "=", 
   RowBox[{
   "CWIsApplied", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.79578209282266*^9, 3.7957821967728057`*^9}, {
   3.795782248499878*^9, 3.795782251154882*^9}, {3.795885766831596*^9, 
   3.7958857951066356`*^9}, 3.795885831925984*^9, 3.7958859117060957`*^9, {
   3.795886061186305*^9, 
   3.795886063201308*^9}},ExpressionUUID->"7747d070-799a-4fff-8814-\
7a0271796458"],

Cell[TextData[{
 "CWIs stored in ",
 StyleBox["Konformal.wl",
  FontSlant->"Italic"],
 " are as follows."
}], "Text",
 CellChangeTimes->{{3.7958860800113316`*^9, 
  3.7958860968513546`*^9}},ExpressionUUID->"c3d726d5-922b-4c61-8143-\
53712fe6f737"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrimaryCWIs", "[", "JOO", "]"}], "\[IndentingNewLine]", 
 RowBox[{"SecondaryCWIsLhs", "[", "JOO", "]"}]}], "Input",
 CellChangeTimes->{{3.7958856665014553`*^9, 3.795885666646456*^9}, {
  3.7975328748710194`*^9, 
  3.797532876052021*^9}},ExpressionUUID->"0d5fdd29-4ec6-4b7f-9cf6-\
64fde46a224e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     TagBox["KKOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     TagBox["KKOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     TagBox["KKOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7958856668514557`*^9, 3.795885799781642*^9, 
  3.795886074186323*^9, 3.7965674916111417`*^9, 3.796571028647745*^9, 
  3.7965735703853045`*^9, 3.7975328765120215`*^9, 3.798362758564533*^9, 
  3.7986870080882416`*^9, 3.798857186607504*^9, 
  3.7990385633252573`*^9},ExpressionUUID->"e2e6c955-02ad-409b-83a6-\
78d4851ca43e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox["LOp",
    HoldForm], "[", 
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "0"}], "]"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7958856668514557`*^9, 3.795885799781642*^9, 
  3.795886074186323*^9, 3.7965674916111417`*^9, 3.796571028647745*^9, 
  3.7965735703853045`*^9, 3.7975328765120215`*^9, 3.798362758564533*^9, 
  3.7986870080882416`*^9, 3.798857186607504*^9, 
  3.799038563327688*^9},ExpressionUUID->"904f2a10-1438-4e48-8949-\
e3dc20a75c72"]
}, Open  ]],

Cell["We check our results.", "Text",
 CellChangeTimes->{{3.7958861016913614`*^9, 
  3.7958861286013994`*^9}},ExpressionUUID->"356f7e1a-a602-4359-a0eb-\
63b2867bfd98"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "*", "Primaries13"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "JOO", "]"}], "\[LeftDoubleBracket]", "1", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "*", "Primaries23"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "JOO", "]"}], "\[LeftDoubleBracket]", "2", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       RowBox[{
        RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], "*", "Secondaries"}], "-", 
     RowBox[{"SecondaryCWIsLhs", "[", "JOO", "]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}]}], "Input",
 CellChangeTimes->{{3.795782181302784*^9, 3.7957822668349037`*^9}, {
  3.797532878102024*^9, 
  3.7975328936140456`*^9}},ExpressionUUID->"2b8972e1-d8a2-486b-a2d1-\
edbcb0cec413"],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.796567493021144*^9, 3.796571031112748*^9, 3.7965735717453065`*^9, {
   3.7975328828420305`*^9, 3.7975328943040466`*^9}, 3.798362759605693*^9, 
   3.7986870081032424`*^9, 3.798857186652726*^9, 
   3.799038563364996*^9},ExpressionUUID->"1d1ef73c-b526-43b5-b7d4-\
1078536436f3"],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.796567493021144*^9, 3.796571031112748*^9, 3.7965735717453065`*^9, {
   3.7975328828420305`*^9, 3.7975328943040466`*^9}, 3.798362759605693*^9, 
   3.7986870081032424`*^9, 3.798857186652726*^9, 
   3.7990385633673697`*^9},ExpressionUUID->"6de4aeaa-a622-4224-9b86-\
7abeb8f81f9a"],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.796567493021144*^9, 3.796571031112748*^9, 3.7965735717453065`*^9, {
   3.7975328828420305`*^9, 3.7975328943040466`*^9}, 3.798362759605693*^9, 
   3.7986870081032424`*^9, 3.798857186652726*^9, 
   3.799038563368696*^9},ExpressionUUID->"17527a46-fea0-4300-8b8e-\
d896d2929e7b"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<TOO>", "Section",
 CellChangeTimes->{{3.6609287078048773`*^9, 3.6609287108840537`*^9}, {
  3.660928924210255*^9, 
  3.660928924546274*^9}},ExpressionUUID->"867792a8-6ff5-4237-8424-\
9ce86f5c8205"],

Cell["Data for the calculations.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 
  3.7958858974360757`*^9}},ExpressionUUID->"e1b47eac-c84f-41a0-8a70-\
c01c3abd1d64"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TranverseTracelessCorrelator", "=", 
   RowBox[{"Contract", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"PI", "[", "d", "]"}], "[", "1", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Nu]", "1"], ",", 
       SubscriptBox["i", "1"], ",", 
       SubscriptBox["j", "1"]}], "]"}], 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["i", "1"], "]"}], 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "[", 
      SubscriptBox["j", "1"], "]"}], "*", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], "[", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], ",", 
       RowBox[{"p", "[", "2", "]"}], ",", 
       RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorialDimensions", "=", 
   RowBox[{"{", "2", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorsToFind", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}]}], ",", " ", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}]}]}], " ", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorStructure", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Nu]", "1"]}], "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6368946738415365`*^9, 3.6368949696574984`*^9}, 
   3.6609180418087397`*^9, 3.6609181670188093`*^9, {3.6609182206104183`*^9, 
   3.6609182681757517`*^9}, {3.660919408753072*^9, 3.6609194096407433`*^9}, {
   3.660919597313299*^9, 3.660919599105009*^9}, {3.6654887006971397`*^9, 
   3.6654887110955215`*^9}, 3.6654887771853733`*^9, {3.665488807914422*^9, 
   3.6654888103381386`*^9}, 3.795155112370041*^9, {3.7951551693742447`*^9, 
   3.795155169752142*^9}, {3.795156253813527*^9, 3.7951562640996447`*^9}, {
   3.795156887814146*^9, 3.7951569076578074`*^9}, {3.795777540076808*^9, 
   3.7957775409668093`*^9}, {3.795781830746293*^9, 3.7957818382063036`*^9}, {
   3.7957820621126175`*^9, 3.7957820633726187`*^9}, {3.7957822891799355`*^9, 
   3.795782289284935*^9}, {3.7958857508215733`*^9, 3.7958857614115887`*^9}, {
   3.795885825365975*^9, 3.795885888406063*^9}, {3.7958860264762564`*^9, 
   3.7958860544812956`*^9}, {3.7958861493814287`*^9, 3.795886162401447*^9}, {
   3.7958867009512005`*^9, 
   3.795886703246204*^9}},ExpressionUUID->"5720d11f-d0d4-4aef-8b68-\
b7ef6333f4dd"],

Cell["Applying CWIs.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 3.7958858974360757`*^9}, {
  3.7958860379062724`*^9, 
  3.7958860399362755`*^9}},ExpressionUUID->"260f6092-a02a-4971-963f-\
85460b54cf6e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CWIsApplied", "=", 
   RowBox[{
    RowBox[{"EvaluateCWIs", "[", 
     RowBox[{
     "TranverseTracelessCorrelator", ",", "\[Kappa]", ",", "TensorStructure", 
      ",", " ", "TensorsToFind"}], "]"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries13", "=", 
   RowBox[{
    RowBox[{
    "CWIsApplied", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries23", "=", 
   RowBox[{
    RowBox[{
    "CWIsApplied", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Secondaries", "=", 
   RowBox[{
   "CWIsApplied", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.79578209282266*^9, 3.7957821967728057`*^9}, {
   3.795782248499878*^9, 3.795782251154882*^9}, {3.795885766831596*^9, 
   3.7958857951066356`*^9}, 3.795885831925984*^9, 3.7958859117060957`*^9, {
   3.795886061186305*^9, 3.795886063201308*^9}, {3.795886388431763*^9, 
   3.795886391921768*^9}},ExpressionUUID->"ab20143b-c721-42eb-8af6-\
119246e93b77"],

Cell[TextData[{
 "CWIs stored in ",
 StyleBox["Konformal.wl",
  FontSlant->"Italic"],
 " are as follows."
}], "Text",
 CellChangeTimes->{{3.7958860800113316`*^9, 
  3.7958860968513546`*^9}},ExpressionUUID->"ec800daa-6b9f-4815-97ef-\
1a9a6e4ee367"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrimaryCWIs", "[", "TOO", "]"}], "\[IndentingNewLine]", 
 RowBox[{"SecondaryCWIsLhs", "[", "TOO", "]"}]}], "Input",
 CellChangeTimes->{{3.7958856665014553`*^9, 3.795885666646456*^9}, {
  3.795886169441457*^9, 3.795886171076459*^9}, {3.797532901485057*^9, 
  3.7975329027750587`*^9}},ExpressionUUID->"048d16a9-d300-479b-9c57-\
0406fd7a1854"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     TagBox["KKOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     TagBox["KKOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     TagBox["KKOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7958856668514557`*^9, 3.795885799781642*^9, 
  3.795886074186323*^9, 3.7958861715864596`*^9, 3.796567499791153*^9, 
  3.7965710385477586`*^9, 3.7965735781703157`*^9, 3.798362763720891*^9, 
  3.798687008447262*^9, 3.798857187057786*^9, 
  3.7990385638584642`*^9},ExpressionUUID->"8008e7cf-3856-48e8-8810-\
db2e5cad40a5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox["LOp",
    HoldForm], "[", 
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "0"}], "]"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7958856668514557`*^9, 3.795885799781642*^9, 
  3.795886074186323*^9, 3.7958861715864596`*^9, 3.796567499791153*^9, 
  3.7965710385477586`*^9, 3.7965735781703157`*^9, 3.798362763720891*^9, 
  3.798687008447262*^9, 3.798857187057786*^9, 
  3.799038563860353*^9},ExpressionUUID->"567b2946-f777-4112-b6da-\
77c10f4ee4e3"]
}, Open  ]],

Cell["We check our results.", "Text",
 CellChangeTimes->{{3.7958861016913614`*^9, 
  3.7958861286013994`*^9}},ExpressionUUID->"fd8cde7a-f0b6-409c-8fd2-\
0ba14a92fb3c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "*", "Primaries13"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TOO", "]"}], "\[LeftDoubleBracket]", "1", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "*", "Primaries23"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TOO", "]"}], "\[LeftDoubleBracket]", "2", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       RowBox[{
        RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], "*", "Secondaries"}], "-", 
     RowBox[{"SecondaryCWIsLhs", "[", "TOO", "]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}]}], "Input",
 CellChangeTimes->{{3.795782181302784*^9, 3.7957822668349037`*^9}, {
  3.795886176226466*^9, 3.795886179561471*^9}, {3.79753290368506*^9, 
  3.79753291084507*^9}},ExpressionUUID->"699c2ce8-dbbc-48cb-ae98-\
a83a1bcefbf3"],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, 3.7965675008111544`*^9, 3.796571040132761*^9, 
   3.7965735791103168`*^9, 3.797532911435071*^9, 3.798362764812592*^9, 
   3.798687008464263*^9, 3.798857187107903*^9, 
   3.7990385638905783`*^9},ExpressionUUID->"456195f8-375f-4a0e-8199-\
d102017a1cec"],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, 3.7965675008111544`*^9, 3.796571040132761*^9, 
   3.7965735791103168`*^9, 3.797532911435071*^9, 3.798362764812592*^9, 
   3.798687008464263*^9, 3.798857187107903*^9, 
   3.7990385638921337`*^9},ExpressionUUID->"10c1dca4-ed94-404a-9781-\
0b38a928564e"],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, 3.7965675008111544`*^9, 3.796571040132761*^9, 
   3.7965735791103168`*^9, 3.797532911435071*^9, 3.798362764812592*^9, 
   3.798687008464263*^9, 3.798857187107903*^9, 
   3.799038563893909*^9},ExpressionUUID->"4977432f-dbd1-4e79-9a8f-\
f6a843c11251"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<JJO>", "Section",
 CellChangeTimes->{{3.6609287078048773`*^9, 3.6609287108840537`*^9}, {
  3.66092928183971*^9, 
  3.6609292821037254`*^9}},ExpressionUUID->"766ecc87-ab82-477d-8154-\
7371254bb6f1"],

Cell["Data for the calculations.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 
  3.7958858974360757`*^9}},ExpressionUUID->"fa8cfcfa-f780-407b-a503-\
e06067fd050a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TranverseTracelessCorrelator", "=", 
   RowBox[{"Contract", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"pi", "[", "1", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["i", "1"]}], "]"}], 
     RowBox[{
      RowBox[{"pi", "[", "2", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["i", "2"]}], "]"}], "*", "\[IndentingNewLine]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "2"]}], "]"}]}]}], ")"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorialDimensions", "=", 
   RowBox[{"{", 
    RowBox[{"2", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorsToFind", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}]}], ",", " ", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorStructure", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Mu]", "1"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Mu]", "2"], "}"}], ",", 
     RowBox[{"{", "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6368946738415365`*^9, 3.6368949696574984`*^9}, 
   3.6609180418087397`*^9, 3.6609181670188093`*^9, {3.6609182206104183`*^9, 
   3.6609182681757517`*^9}, {3.660919408753072*^9, 3.6609194096407433`*^9}, {
   3.660919597313299*^9, 3.660919599105009*^9}, {3.6654887006971397`*^9, 
   3.6654887110955215`*^9}, 3.6654887771853733`*^9, {3.665488807914422*^9, 
   3.6654888103381386`*^9}, 3.795155112370041*^9, {3.7951551693742447`*^9, 
   3.795155169752142*^9}, {3.795156253813527*^9, 3.7951562640996447`*^9}, {
   3.795156887814146*^9, 3.7951569076578074`*^9}, {3.795777540076808*^9, 
   3.7957775409668093`*^9}, {3.795781830746293*^9, 3.7957818382063036`*^9}, {
   3.7957820621126175`*^9, 3.7957820633726187`*^9}, {3.7957822891799355`*^9, 
   3.795782289284935*^9}, {3.7958857508215733`*^9, 3.7958857614115887`*^9}, {
   3.795885825365975*^9, 3.795885888406063*^9}, {3.7958860264762564`*^9, 
   3.7958860544812956`*^9}, {3.7958861493814287`*^9, 3.795886162401447*^9}, {
   3.79588622177153*^9, 3.7958863232716722`*^9}, {3.7958864070117893`*^9, 
   3.795886409546793*^9}, {3.7958867099662137`*^9, 
   3.79588671475122*^9}},ExpressionUUID->"3f63b612-84bd-4055-8aec-\
de74cfa088e5"],

Cell["Applying CWIs.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 3.7958858974360757`*^9}, {
  3.7958860379062724`*^9, 
  3.7958860399362755`*^9}},ExpressionUUID->"2c37e213-cf67-4528-9113-\
0d93b47bc793"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CWIsApplied", "=", 
   RowBox[{
    RowBox[{"EvaluateCWIs", "[", 
     RowBox[{
     "TranverseTracelessCorrelator", ",", "\[Kappa]", ",", "TensorStructure", 
      ",", " ", "TensorsToFind"}], "]"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries13", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries23", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "4"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Secondaries", "=", 
   RowBox[{"Take", "[", 
    RowBox[{"CWIsApplied", ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.79578209282266*^9, 3.7957821967728057`*^9}, {
   3.795782248499878*^9, 3.795782251154882*^9}, {3.795885766831596*^9, 
   3.7958857951066356`*^9}, 3.795885831925984*^9, 3.7958859117060957`*^9, {
   3.795886061186305*^9, 3.795886063201308*^9}, {3.7958863302416816`*^9, 
   3.7958863744567437`*^9}, {3.7958864144017997`*^9, 
   3.7958864186068053`*^9}, {3.7958894313823586`*^9, 
   3.7958894358023643`*^9}, {3.7958894844024324`*^9, 3.7958894873774366`*^9}, 
   3.795889555818533*^9},ExpressionUUID->"d5564d57-6806-483a-b176-\
3446c3095535"],

Cell[TextData[{
 "CWIs stored in ",
 StyleBox["Konformal.wl",
  FontSlant->"Italic"],
 " are as follows."
}], "Text",
 CellChangeTimes->{{3.7958860800113316`*^9, 
  3.7958860968513546`*^9}},ExpressionUUID->"58438f13-96af-42ee-892e-\
c98ccd43d64e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrimaryCWIs", "[", "JJO", "]"}], "\[IndentingNewLine]", 
 RowBox[{"SecondaryCWIsLhs", "[", "JJO", "]"}]}], "Input",
 CellChangeTimes->{{3.7958856665014553`*^9, 3.795885666646456*^9}, {
  3.795886169441457*^9, 3.795886171076459*^9}, {3.795886422776811*^9, 
  3.7958864253268147`*^9}, {3.7975329177060795`*^9, 
  3.797532918947081*^9}},ExpressionUUID->"1babe872-6e1c-4af8-ae1f-\
4550ab604302"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "2"}], "]"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7958856668514557`*^9, 3.795885799781642*^9, 
  3.795886074186323*^9, 3.7958861715864596`*^9, 3.7958864259518156`*^9, 
  3.795886718521226*^9, 3.7958894251373496`*^9, 3.796567507441164*^9, 
  3.796571047532771*^9, 3.7965735874303284`*^9, 3.797532919467082*^9, 
  3.798362768659512*^9, 3.798687009177304*^9, 3.798857187814867*^9, 
  3.7990385647193213`*^9},ExpressionUUID->"32097d97-3438-4514-be03-\
0912e269749d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    TagBox["LOp",
     HoldForm], "[", 
    RowBox[{
     RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "0"}], "]"}], "+", 
   RowBox[{"2", " ", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "1"}], "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7958856668514557`*^9, 3.795885799781642*^9, 
  3.795886074186323*^9, 3.7958861715864596`*^9, 3.7958864259518156`*^9, 
  3.795886718521226*^9, 3.7958894251373496`*^9, 3.796567507441164*^9, 
  3.796571047532771*^9, 3.7965735874303284`*^9, 3.797532919467082*^9, 
  3.798362768659512*^9, 3.798687009177304*^9, 3.798857187814867*^9, 
  3.799038564721162*^9},ExpressionUUID->"cab5bad3-32e0-459e-9e8c-\
d893d3d2aa60"]
}, Open  ]],

Cell["We check our results.", "Text",
 CellChangeTimes->{{3.7958861016913614`*^9, 
  3.7958861286013994`*^9}},ExpressionUUID->"ef6ba135-7041-4994-aa6c-\
05006807f5b1"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "1"}]}], "}"}], "*", "Primaries13"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "JJO", "]"}], "\[LeftDoubleBracket]", "1", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "1"}]}], "}"}], "*", "Primaries23"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "JJO", "]"}], "\[LeftDoubleBracket]", "2", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       RowBox[{
        RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], "*", "Secondaries"}], "-", 
     RowBox[{"SecondaryCWIsLhs", "[", "JJO", "]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}]}], "Input",
 CellChangeTimes->{{3.795782181302784*^9, 3.7957822668349037`*^9}, {
  3.795886176226466*^9, 3.795886179561471*^9}, {3.7958865149669404`*^9, 
  3.795886549912989*^9}, {3.7975329218170853`*^9, 
  3.7975329290380955`*^9}},ExpressionUUID->"ea350f46-c9fb-49fb-ba8f-\
47385f78612e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.795886719561227*^9, 3.795889426227351*^9, 3.7965675085161657`*^9, 
   3.796571049537774*^9, 3.796573590755333*^9, {3.7975329262680917`*^9, 
   3.7975329296780963`*^9}, 3.79836276990189*^9, 3.798687009193305*^9, 
   3.798857187831835*^9, 
   3.799038564756213*^9},ExpressionUUID->"f2b09b55-cabf-4fb7-b349-\
bfe2d41aa8c8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.795886719561227*^9, 3.795889426227351*^9, 3.7965675085161657`*^9, 
   3.796571049537774*^9, 3.796573590755333*^9, {3.7975329262680917`*^9, 
   3.7975329296780963`*^9}, 3.79836276990189*^9, 3.798687009193305*^9, 
   3.798857187831835*^9, 
   3.799038564774623*^9},ExpressionUUID->"b75123e6-762e-47bf-a191-\
fc604ee74930"],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.795886719561227*^9, 3.795889426227351*^9, 3.7965675085161657`*^9, 
   3.796571049537774*^9, 3.796573590755333*^9, {3.7975329262680917`*^9, 
   3.7975329296780963`*^9}, 3.79836276990189*^9, 3.798687009193305*^9, 
   3.798857187831835*^9, 
   3.799038564776844*^9},ExpressionUUID->"94e3072f-f361-4af7-8c04-\
67789650eff8"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<TJO>", "Section",
 CellChangeTimes->{{3.6609287078048773`*^9, 3.6609287108840537`*^9}, {
  3.66092928183971*^9, 3.6609292821037254`*^9}, {3.660930015514674*^9, 
  3.6609300158346925`*^9}},ExpressionUUID->"ab029a92-0798-4bf1-9505-\
398038d4b766"],

Cell["Data for the calculations.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 
  3.7958858974360757`*^9}},ExpressionUUID->"85d181f3-a429-4d36-96e2-\
bb757efb9f64"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TranverseTracelessCorrelator", "=", 
   RowBox[{"Contract", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"PI", "[", "d", "]"}], "[", "1", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Nu]", "1"], ",", 
       SubscriptBox["i", "1"], ",", 
       SubscriptBox["j", "1"]}], "]"}], 
     RowBox[{
      RowBox[{"pi", "[", "2", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["i", "2"]}], "]"}], "*", "\[IndentingNewLine]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "2"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}]}]}], ")"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorialDimensions", "=", 
   RowBox[{"{", 
    RowBox[{"3", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorsToFind", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}]}], " ", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorStructure", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Nu]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Mu]", "2"], "}"}], ",", 
     RowBox[{"{", "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6368946738415365`*^9, 3.6368949696574984`*^9}, 
   3.6609180418087397`*^9, 3.6609181670188093`*^9, {3.6609182206104183`*^9, 
   3.6609182681757517`*^9}, {3.660919408753072*^9, 3.6609194096407433`*^9}, {
   3.660919597313299*^9, 3.660919599105009*^9}, {3.6654887006971397`*^9, 
   3.6654887110955215`*^9}, 3.6654887771853733`*^9, {3.665488807914422*^9, 
   3.6654888103381386`*^9}, 3.795155112370041*^9, {3.7951551693742447`*^9, 
   3.795155169752142*^9}, {3.795156253813527*^9, 3.7951562640996447`*^9}, {
   3.795156887814146*^9, 3.7951569076578074`*^9}, {3.795777540076808*^9, 
   3.7957775409668093`*^9}, {3.795781830746293*^9, 3.7957818382063036`*^9}, {
   3.7957820621126175`*^9, 3.7957820633726187`*^9}, {3.7957822891799355`*^9, 
   3.795782289284935*^9}, {3.7958857508215733`*^9, 3.7958857614115887`*^9}, {
   3.795885825365975*^9, 3.795885888406063*^9}, {3.7958860264762564`*^9, 
   3.7958860544812956`*^9}, {3.7958861493814287`*^9, 3.795886162401447*^9}, {
   3.79588622177153*^9, 3.7958863232716722`*^9}, {3.7958864070117893`*^9, 
   3.795886409546793*^9}, {3.7958865847290382`*^9, 
   3.7958866834801764`*^9}},ExpressionUUID->"954f0bcb-0a25-4958-ab80-\
12a95b35c25c"],

Cell["Applying CWIs.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 3.7958858974360757`*^9}, {
  3.7958860379062724`*^9, 
  3.7958860399362755`*^9}},ExpressionUUID->"18894d65-1c2c-42d5-8786-\
fb1adbfb49c8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CWIsApplied", "=", 
   RowBox[{
    RowBox[{"EvaluateCWIs", "[", 
     RowBox[{
     "TranverseTracelessCorrelator", ",", "\[Kappa]", ",", "TensorStructure", 
      ",", " ", "TensorsToFind"}], "]"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries13", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries23", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "4"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Secondaries", "=", 
   RowBox[{"Take", "[", 
    RowBox[{"CWIsApplied", ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "7"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.79578209282266*^9, 3.7957821967728057`*^9}, {
   3.795782248499878*^9, 3.795782251154882*^9}, {3.795885766831596*^9, 
   3.7958857951066356`*^9}, 3.795885831925984*^9, 3.7958859117060957`*^9, {
   3.795886061186305*^9, 3.795886063201308*^9}, {3.7958863302416816`*^9, 
   3.7958863744567437`*^9}, {3.7958864144017997`*^9, 
   3.7958864186068053`*^9}, {3.7958867419912586`*^9, 
   3.7958867422412586`*^9}},ExpressionUUID->"70ffc391-6834-45c1-b26f-\
d6c181373b37"],

Cell[TextData[{
 "CWIs stored in ",
 StyleBox["Konformal.wl",
  FontSlant->"Italic"],
 " are as follows."
}], "Text",
 CellChangeTimes->{{3.7958860800113316`*^9, 
  3.7958860968513546`*^9}},ExpressionUUID->"bb4c8152-782f-457b-b8ca-\
f84f5294c129"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrimaryCWIs", "[", "TJO", "]"}], "\[IndentingNewLine]", 
 RowBox[{"SecondaryCWIsLhs", "[", "TJO", "]"}]}], "Input",
 CellChangeTimes->{{3.7958856665014553`*^9, 3.795885666646456*^9}, {
  3.795886169441457*^9, 3.795886171076459*^9}, {3.795886422776811*^9, 
  3.7958864253268147`*^9}, {3.795886747996267*^9, 3.7958867494212685`*^9}, {
  3.797532935699105*^9, 
  3.7975329368301067`*^9}},ExpressionUUID->"ca0e53ca-7d12-46d8-8411-\
e79c586a57ff"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "2"}], "]"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7958856668514557`*^9, 3.795885799781642*^9, 
  3.795886074186323*^9, 3.7958861715864596`*^9, 3.7958864259518156`*^9, 
  3.7958867498812695`*^9, 3.7965675150661745`*^9, 3.7965710566527843`*^9, 
  3.796573619375373*^9, 3.7975329371901073`*^9, 3.798362774246852*^9, 
  3.798687010185359*^9, 3.798857188988905*^9, 
  3.799038565961289*^9},ExpressionUUID->"cad9e6be-0949-4268-a384-\
9a3fb6bf32cd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "0"}], "]"}], "+", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "2"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{
     TagBox["LprimeOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "0"}], "]"}], "+", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["RprimeOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "1"}], "]"}]}]}], ",", 
   RowBox[{
    TagBox["LOp",
     HoldForm], "[", 
    RowBox[{
     RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "0"}], "]"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7958856668514557`*^9, 3.795885799781642*^9, 
  3.795886074186323*^9, 3.7958861715864596`*^9, 3.7958864259518156`*^9, 
  3.7958867498812695`*^9, 3.7965675150661745`*^9, 3.7965710566527843`*^9, 
  3.796573619375373*^9, 3.7975329371901073`*^9, 3.798362774246852*^9, 
  3.798687010185359*^9, 3.798857188988905*^9, 
  3.799038565962919*^9},ExpressionUUID->"d509c82f-a154-45aa-bc33-\
6be8b99c6cb4"]
}, Open  ]],

Cell["We check our results.", "Text",
 CellChangeTimes->{{3.7958861016913614`*^9, 
  3.7958861286013994`*^9}},ExpressionUUID->"a6e03445-b54c-4496-90a2-\
5ca64e8dd2c4"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "2"}]}], "}"}], "*", "Primaries13"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TJO", "]"}], "\[LeftDoubleBracket]", "1", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "2"}]}], "}"}], "*", "Primaries23"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TJO", "]"}], "\[LeftDoubleBracket]", "2", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "^", "2"}], ",", 
        RowBox[{
         RowBox[{"-", "2"}], 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}]}], "}"}], "*", 
      "Secondaries"}], "-", 
     RowBox[{"SecondaryCWIsLhs", "[", "TJO", "]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}]}], "Input",
 CellChangeTimes->{{3.795782181302784*^9, 3.7957822668349037`*^9}, {
  3.795886176226466*^9, 3.795886179561471*^9}, {3.7958865149669404`*^9, 
  3.795886549912989*^9}, {3.795886759431283*^9, 3.7958867764563065`*^9}, {
  3.7975329397401104`*^9, 
  3.7975329449971724`*^9}},ExpressionUUID->"c225279d-f144-49cf-a1d7-\
5b62d99ed9c3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.7965675159111757`*^9, 3.7965710580727863`*^9, 
   3.796573620830375*^9, 3.7975329458171735`*^9, 3.79836277550058*^9, 
   3.7986870102013597`*^9, 3.798857189040266*^9, 
   3.799038566014958*^9},ExpressionUUID->"b51d2506-0714-41d8-960a-\
eaa15eb45130"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.7965675159111757`*^9, 3.7965710580727863`*^9, 
   3.796573620830375*^9, 3.7975329458171735`*^9, 3.79836277550058*^9, 
   3.7986870102013597`*^9, 3.798857189040266*^9, 
   3.799038566016405*^9},ExpressionUUID->"a4daa72a-cbf5-4fc9-a858-\
18cf87c8651f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.7965675159111757`*^9, 3.7965710580727863`*^9, 
   3.796573620830375*^9, 3.7975329458171735`*^9, 3.79836277550058*^9, 
   3.7986870102013597`*^9, 3.798857189040266*^9, 
   3.799038566017847*^9},ExpressionUUID->"b2d1bdf4-54c1-4b77-bd3c-\
35137aa0f4bc"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<TTO>", "Section",
 CellChangeTimes->{{3.6609287078048773`*^9, 3.6609287108840537`*^9}, {
  3.66092928183971*^9, 3.6609292821037254`*^9}, {3.660930015514674*^9, 
  3.6609300158346925`*^9}, {3.660930881349197*^9, 
  3.6609308816532145`*^9}},ExpressionUUID->"17e7817a-04a4-4841-85e5-\
75269333b8f4"],

Cell["Data for the calculations.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 
  3.7958858974360757`*^9}},ExpressionUUID->"dd320d21-b879-41a3-b1d0-\
1fa6dd05696b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TranverseTracelessCorrelator", "=", 
   RowBox[{"Contract", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"PI", "[", "d", "]"}], "[", "1", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Nu]", "1"], ",", 
       SubscriptBox["i", "1"], ",", 
       SubscriptBox["j", "1"]}], "]"}], 
     RowBox[{
      RowBox[{
       RowBox[{"PI", "[", "d", "]"}], "[", "2", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["\[Nu]", "2"], ",", 
       SubscriptBox["i", "2"], ",", 
       SubscriptBox["j", "2"]}], "]"}], "*", "\[IndentingNewLine]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["j", "2"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["j", "2"]}], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "2"]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["j", "2"]}], "]"}]}]}], ")"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorialDimensions", "=", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorsToFind", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}]}]}], " ", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorStructure", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Nu]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["\[Nu]", "2"]}], "}"}], ",", 
     RowBox[{"{", "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6368946738415365`*^9, 3.6368949696574984`*^9}, 
   3.6609180418087397`*^9, 3.6609181670188093`*^9, {3.6609182206104183`*^9, 
   3.6609182681757517`*^9}, {3.660919408753072*^9, 3.6609194096407433`*^9}, {
   3.660919597313299*^9, 3.660919599105009*^9}, {3.6654887006971397`*^9, 
   3.6654887110955215`*^9}, 3.6654887771853733`*^9, {3.665488807914422*^9, 
   3.6654888103381386`*^9}, 3.795155112370041*^9, {3.7951551693742447`*^9, 
   3.795155169752142*^9}, {3.795156253813527*^9, 3.7951562640996447`*^9}, {
   3.795156887814146*^9, 3.7951569076578074`*^9}, {3.795777540076808*^9, 
   3.7957775409668093`*^9}, {3.795781830746293*^9, 3.7957818382063036`*^9}, {
   3.7957820621126175`*^9, 3.7957820633726187`*^9}, {3.7957822891799355`*^9, 
   3.795782289284935*^9}, {3.7958857508215733`*^9, 3.7958857614115887`*^9}, {
   3.795885825365975*^9, 3.795885888406063*^9}, {3.7958860264762564`*^9, 
   3.7958860544812956`*^9}, {3.7958861493814287`*^9, 3.795886162401447*^9}, {
   3.79588622177153*^9, 3.7958863232716722`*^9}, {3.7958864070117893`*^9, 
   3.795886409546793*^9}, {3.7958865847290382`*^9, 3.7958866834801764`*^9}, {
   3.795886806841349*^9, 
   3.7958868432864003`*^9}},ExpressionUUID->"b7c8646e-79a5-4727-a491-\
f56b5086aab2"],

Cell["Applying CWIs.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 3.7958858974360757`*^9}, {
  3.7958860379062724`*^9, 
  3.7958860399362755`*^9}},ExpressionUUID->"e581956d-6ce4-41dc-8ff0-\
3ce004dad365"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CWIsApplied", "=", 
   RowBox[{
    RowBox[{"EvaluateCWIs", "[", 
     RowBox[{
     "TranverseTracelessCorrelator", ",", "\[Kappa]", ",", "TensorStructure", 
      ",", " ", "TensorsToFind"}], "]"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries13", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries23", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "6"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Secondaries", "=", 
   RowBox[{"Take", "[", 
    RowBox[{"CWIsApplied", ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "8"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.79578209282266*^9, 3.7957821967728057`*^9}, {
   3.795782248499878*^9, 3.795782251154882*^9}, {3.795885766831596*^9, 
   3.7958857951066356`*^9}, 3.795885831925984*^9, 3.7958859117060957`*^9, {
   3.795886061186305*^9, 3.795886063201308*^9}, {3.7958863302416816`*^9, 
   3.7958863744567437`*^9}, {3.7958864144017997`*^9, 
   3.7958864186068053`*^9}, {3.7958867419912586`*^9, 
   3.7958867422412586`*^9}, {3.795886848476407*^9, 
   3.7958868576514206`*^9}},ExpressionUUID->"09d63510-2cca-41c7-869a-\
c4f9cd1e2591"],

Cell[TextData[{
 "CWIs stored in ",
 StyleBox["Konformal.wl",
  FontSlant->"Italic"],
 " are as follows."
}], "Text",
 CellChangeTimes->{{3.7958860800113316`*^9, 
  3.7958860968513546`*^9}},ExpressionUUID->"e8ca9193-1e31-4b16-9731-\
ebc6209e4089"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrimaryCWIs", "[", "TTO", "]"}], "\[IndentingNewLine]", 
 RowBox[{"SecondaryCWIsLhs", "[", "TTO", "]"}]}], "Input",
 CellChangeTimes->{{3.7958856665014553`*^9, 3.795885666646456*^9}, {
  3.795886169441457*^9, 3.795886171076459*^9}, {3.795886422776811*^9, 
  3.7958864253268147`*^9}, {3.795886747996267*^9, 3.7958867494212685`*^9}, {
  3.7958868613914256`*^9, 3.795886863181428*^9}, {3.7975329556181874`*^9, 
  3.7975329576181903`*^9}},ExpressionUUID->"2d15a1ce-9994-467c-99e0-\
1b27392aa94d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "8"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "2", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "8"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "2", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "2", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "2"}], "]"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7958856668514557`*^9, 3.795885799781642*^9, 3.795886074186323*^9, 
   3.7958861715864596`*^9, 3.7958864259518156`*^9, 3.7958867498812695`*^9, 
   3.795886863721429*^9, 3.796567524106187*^9, 3.7965710651027956`*^9, 
   3.796573628740386*^9, {3.797532951858182*^9, 3.797532957998191*^9}, 
   3.7983627817735653`*^9, 3.798687012846508*^9, 3.798857191843535*^9, 
   3.799038569185904*^9},ExpressionUUID->"fe0300f3-b94f-4e10-abd0-\
c60ef629c5e3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "0"}], "]"}], "+", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "2"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "0"}], "]"}], "+", 
    RowBox[{"4", " ", 
     RowBox[{
      TagBox["ROp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "2"}], "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7958856668514557`*^9, 3.795885799781642*^9, 3.795886074186323*^9, 
   3.7958861715864596`*^9, 3.7958864259518156`*^9, 3.7958867498812695`*^9, 
   3.795886863721429*^9, 3.796567524106187*^9, 3.7965710651027956`*^9, 
   3.796573628740386*^9, {3.797532951858182*^9, 3.797532957998191*^9}, 
   3.7983627817735653`*^9, 3.798687012846508*^9, 3.798857191843535*^9, 
   3.799038569187368*^9},ExpressionUUID->"38801f1b-8e69-453e-b48a-\
131a67ff23b7"]
}, Open  ]],

Cell["We check our results.", "Text",
 CellChangeTimes->{{3.7958861016913614`*^9, 
  3.7958861286013994`*^9}},ExpressionUUID->"1c69ef6f-9278-40dd-a97e-\
4163c5ffaae9"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "4"}], ",", 
        RowBox[{"-", "2"}]}], "}"}], "*", "Primaries13"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TTO", "]"}], "\[LeftDoubleBracket]", "1", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "4"}], ",", 
        RowBox[{"-", "2"}]}], "}"}], "*", "Primaries23"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TTO", "]"}], "\[LeftDoubleBracket]", "2", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
        RowBox[{
         RowBox[{"-", "4"}], 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}]}], "}"}], "*", 
      "Secondaries"}], "-", 
     RowBox[{"SecondaryCWIsLhs", "[", "TTO", "]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}]}], "Input",
 CellChangeTimes->{{3.795782181302784*^9, 3.7957822668349037`*^9}, {
  3.795886176226466*^9, 3.795886179561471*^9}, {3.7958865149669404`*^9, 
  3.795886549912989*^9}, {3.795886759431283*^9, 3.7958867764563065`*^9}, {
  3.795886875136445*^9, 3.795886894501472*^9}, {3.797532959529193*^9, 
  3.7975329648602004`*^9}},ExpressionUUID->"9466c68b-80cb-4fc4-a25c-\
20117a9e96a1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, 3.796567524151187*^9, 
   3.7965710660927973`*^9, 3.796573630500389*^9, 3.7975329659402018`*^9, 
   3.7983627828837852`*^9, 3.798687012863509*^9, 3.79885719191393*^9, 
   3.799038569238422*^9},ExpressionUUID->"12a8de7c-0997-4304-b970-\
68eb4b26d8e0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, 3.796567524151187*^9, 
   3.7965710660927973`*^9, 3.796573630500389*^9, 3.7975329659402018`*^9, 
   3.7983627828837852`*^9, 3.798687012863509*^9, 3.79885719191393*^9, 
   3.799038569240192*^9},ExpressionUUID->"b92a6fde-0153-463a-b579-\
7c8b9a1d0828"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, 3.796567524151187*^9, 
   3.7965710660927973`*^9, 3.796573630500389*^9, 3.7975329659402018`*^9, 
   3.7983627828837852`*^9, 3.798687012863509*^9, 3.79885719191393*^9, 
   3.79903856924242*^9},ExpressionUUID->"c5d5de3d-c38f-4bf4-bf38-\
ca2fcd090c05"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<JJJ>", "Section",
 CellChangeTimes->{{3.6609288460837865`*^9, 3.6609288476638765`*^9}, {
  3.6609288790196705`*^9, 3.660928879962724*^9}, {3.6609317325508833`*^9, 
  3.660931736927133*^9}},ExpressionUUID->"b83a8034-9b27-45d4-87a6-\
630c41bef6af"],

Cell["Data for the calculations.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 
  3.7958858974360757`*^9}},ExpressionUUID->"12539bdf-f907-4299-a0b3-\
d00d044dce6a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TranverseTracelessCorrelator", "=", 
   RowBox[{"Contract", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"pi", "[", "1", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["i", "1"]}], "]"}], " ", 
     RowBox[{
      RowBox[{"pi", "[", "2", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["i", "2"]}], "]"}], " ", 
     RowBox[{
      RowBox[{"pi", "[", "3", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "3"], ",", 
       SubscriptBox["i", "3"]}], "]"}], "*", "\[IndentingNewLine]", 
     RowBox[{"(", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["i", "3"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "2"]}], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["i", "3"], "]"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "3", "]"}], ",", 
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "3"]}], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}]}], "+", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}], ",", 
          RowBox[{"p", "[", "1", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "3"], ",", 
          SubscriptBox["i", "2"]}], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}]}]}], ")"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorialDimensions", "=", 
   RowBox[{"{", 
    RowBox[{"3", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorsToFind", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "2"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}]}]}], " ", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorStructure", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Mu]", "1"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Mu]", "2"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Mu]", "3"], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6368946738415365`*^9, 3.6368949696574984`*^9}, 
   3.6609180418087397`*^9, 3.6609181670188093`*^9, {3.6609182206104183`*^9, 
   3.6609182681757517`*^9}, {3.660919408753072*^9, 3.6609194096407433`*^9}, {
   3.660919597313299*^9, 3.660919599105009*^9}, {3.6654887006971397`*^9, 
   3.6654887110955215`*^9}, 3.6654887771853733`*^9, {3.665488807914422*^9, 
   3.6654888103381386`*^9}, 3.795155112370041*^9, {3.7951551693742447`*^9, 
   3.795155169752142*^9}, {3.795156253813527*^9, 3.7951562640996447`*^9}, {
   3.795156887814146*^9, 3.7951569076578074`*^9}, {3.795777540076808*^9, 
   3.7957775409668093`*^9}, {3.795781830746293*^9, 3.7957818382063036`*^9}, {
   3.7957820621126175`*^9, 3.7957820633726187`*^9}, {3.7957822891799355`*^9, 
   3.795782289284935*^9}, {3.7958857508215733`*^9, 3.7958857614115887`*^9}, {
   3.795885825365975*^9, 3.795885888406063*^9}, {3.7958860264762564`*^9, 
   3.7958860544812956`*^9}, {3.7958861493814287`*^9, 3.795886162401447*^9}, {
   3.79588622177153*^9, 3.7958863232716722`*^9}, {3.7958864070117893`*^9, 
   3.795886409546793*^9}, {3.7958865847290382`*^9, 3.7958866834801764`*^9}, {
   3.795886806841349*^9, 3.7958868432864003`*^9}, {3.7958869250265145`*^9, 
   3.7958870297566614`*^9}},ExpressionUUID->"6c9e1679-17bd-4ba5-af44-\
33141b216fa4"],

Cell["Applying CWIs.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 3.7958858974360757`*^9}, {
  3.7958860379062724`*^9, 
  3.7958860399362755`*^9}},ExpressionUUID->"03d94496-14bd-4869-8b61-\
c84b2dabff31"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CWIsApplied", "=", 
   RowBox[{
    RowBox[{"EvaluateCWIs", "[", 
     RowBox[{
     "TranverseTracelessCorrelator", ",", "\[Kappa]", ",", "TensorStructure", 
      ",", " ", "TensorsToFind"}], "]"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries13", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries23", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "4"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Secondaries", "=", 
   RowBox[{"Take", "[", 
    RowBox[{"CWIsApplied", ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "6"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.79578209282266*^9, 3.7957821967728057`*^9}, {
   3.795782248499878*^9, 3.795782251154882*^9}, {3.795885766831596*^9, 
   3.7958857951066356`*^9}, 3.795885831925984*^9, 3.7958859117060957`*^9, {
   3.795886061186305*^9, 3.795886063201308*^9}, {3.7958863302416816`*^9, 
   3.7958863744567437`*^9}, {3.7958864144017997`*^9, 
   3.7958864186068053`*^9}, {3.7958867419912586`*^9, 
   3.7958867422412586`*^9}, {3.795886848476407*^9, 3.7958868576514206`*^9}, {
   3.795887022446651*^9, 
   3.7958870276216583`*^9}},ExpressionUUID->"4ffe3eda-a0f2-403f-95e5-\
94d61de68f4c"],

Cell[TextData[{
 "CWIs stored in ",
 StyleBox["Konformal.wl",
  FontSlant->"Italic"],
 " are as follows."
}], "Text",
 CellChangeTimes->{{3.7958860800113316`*^9, 
  3.7958860968513546`*^9}},ExpressionUUID->"b1631278-b23f-43d7-952c-\
2d3b96da587f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrimaryCWIs", "[", "JJJ", "]"}], "\[IndentingNewLine]", 
 RowBox[{"SecondaryCWIsLhs", "[", "JJJ", "]"}]}], "Input",
 CellChangeTimes->{{3.7958856665014553`*^9, 3.795885666646456*^9}, {
  3.795886169441457*^9, 3.795886171076459*^9}, {3.795886422776811*^9, 
  3.7958864253268147`*^9}, {3.795886747996267*^9, 3.7958867494212685`*^9}, {
  3.7958868613914256`*^9, 3.795886863181428*^9}, {3.795887036716671*^9, 
  3.7958870402116756`*^9}, {3.797532972230211*^9, 
  3.7975329749402146`*^9}},ExpressionUUID->"e0257df3-313f-4158-89af-\
83eb51ff9cb7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "2"}], "]"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7958856668514557`*^9, 3.795885799781642*^9, 3.795886074186323*^9, 
   3.7958861715864596`*^9, 3.7958864259518156`*^9, 3.7958867498812695`*^9, 
   3.795886863721429*^9, 3.7958870413316774`*^9, 3.7965675306711965`*^9, {
   3.796571072882807*^9, 3.796571100312845*^9}, 3.7965736388754005`*^9, 
   3.7975329755802155`*^9, 3.798362787739559*^9, 3.798687014876624*^9, 
   3.799038571580309*^9},ExpressionUUID->"4fcde8a4-a4d0-46cb-8aba-\
36cce0645dfd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], "+", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["ROp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "1"}], "]"}]}], "-", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["ROp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "2"]}], "]"}], ",", "1"}], "]"}]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     SubsuperscriptBox["p", "1", "2"], " ", 
     RowBox[{"A", "[", "2", "]"}]}], "+", 
    RowBox[{"2", " ", 
     SubsuperscriptBox["p", "1", "2"], " ", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], "[", 
      RowBox[{
       SubscriptBox["p", "3"], ",", 
       SubscriptBox["p", "1"], ",", 
       SubscriptBox["p", "2"]}], "]"}]}], "+", 
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], "[", 
       RowBox[{
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "3"], ",", 
        SubscriptBox["p", "1"]}], "]"}], ",", "1", ",", "0"}], "]"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7958856668514557`*^9, 3.795885799781642*^9, 3.795886074186323*^9, 
   3.7958861715864596`*^9, 3.7958864259518156`*^9, 3.7958867498812695`*^9, 
   3.795886863721429*^9, 3.7958870413316774`*^9, 3.7965675306711965`*^9, {
   3.796571072882807*^9, 3.796571100312845*^9}, 3.7965736388754005`*^9, 
   3.7975329755802155`*^9, 3.798362787739559*^9, 3.798687014876624*^9, 
   3.799038571582419*^9},ExpressionUUID->"fcd11a00-4833-43ce-aa75-\
fb27e7606caa"]
}, Open  ]],

Cell["We check our results.", "Text",
 CellChangeTimes->{{3.7958861016913614`*^9, 
  3.7958861286013994`*^9}},ExpressionUUID->"9a2206cc-0930-4fbd-a486-\
cc8501615453"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "1"}]}], "}"}], "*", "Primaries13"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "JJJ", "]"}], "\[LeftDoubleBracket]", "1", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "1"}]}], "}"}], "*", "Primaries23"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "JJJ", "]"}], "\[LeftDoubleBracket]", "2", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
        RowBox[{"-", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}]}], "}"}], "*", 
      "Secondaries"}], "-", 
     RowBox[{"SecondaryCWIsLhs", "[", "JJJ", "]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}]}], "Input",
 CellChangeTimes->{{3.795782181302784*^9, 3.7957822668349037`*^9}, {
  3.795886176226466*^9, 3.795886179561471*^9}, {3.7958865149669404`*^9, 
  3.795886549912989*^9}, {3.795886759431283*^9, 3.7958867764563065`*^9}, {
  3.795886875136445*^9, 3.795886894501472*^9}, {3.795887055886698*^9, 
  3.795887071101719*^9}, {3.7975329770702176`*^9, 
  3.7975329814012237`*^9}},ExpressionUUID->"f0db5d13-4390-4365-8e67-\
1eb4f04bb0b2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, {3.7958870611817055`*^9, 
   3.7958870719267206`*^9}, 3.796567531691198*^9, {3.796571073717808*^9, 
   3.796571101732847*^9}, 3.7965736402154026`*^9, 3.7975329823012247`*^9, 
   3.798362788837771*^9, 3.798687014895625*^9, 
   3.799038571607428*^9},ExpressionUUID->"e68b98c3-beec-4857-bc6c-\
a2200007a08d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, {3.7958870611817055`*^9, 
   3.7958870719267206`*^9}, 3.796567531691198*^9, {3.796571073717808*^9, 
   3.796571101732847*^9}, 3.7965736402154026`*^9, 3.7975329823012247`*^9, 
   3.798362788837771*^9, 3.798687014895625*^9, 
   3.799038571641423*^9},ExpressionUUID->"17094030-57d2-4fad-bfcf-\
e4259d69a925"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, {3.7958870611817055`*^9, 
   3.7958870719267206`*^9}, 3.796567531691198*^9, {3.796571073717808*^9, 
   3.796571101732847*^9}, 3.7965736402154026`*^9, 3.7975329823012247`*^9, 
   3.798362788837771*^9, 3.798687014895625*^9, 
   3.79903857164425*^9},ExpressionUUID->"4678db84-ec3d-40da-bcf4-\
278801c95322"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<TJJ>", "Section",
 CellChangeTimes->{{3.6609288460837865`*^9, 3.6609288476638765`*^9}, {
  3.6609288790196705`*^9, 
  3.660928879962724*^9}},ExpressionUUID->"793374e9-9900-46ca-8c13-\
dec065f55e0f"],

Cell["Data for the calculations.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 
  3.7958858974360757`*^9}},ExpressionUUID->"5034f03c-794c-4afd-8ea6-\
897f1f2710e6"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TranverseTracelessCorrelator", "=", 
   RowBox[{"Contract", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"PI", "[", "d", "]"}], "[", "1", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Nu]", "1"], ",", 
       SubscriptBox["i", "1"], ",", 
       SubscriptBox["j", "1"]}], "]"}], " ", 
     RowBox[{
      RowBox[{"pi", "[", "2", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["i", "2"]}], "]"}], " ", 
     RowBox[{
      RowBox[{"pi", "[", "3", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "3"], ",", 
       SubscriptBox["i", "3"]}], "]"}], "*", "\[IndentingNewLine]", 
     RowBox[{"(", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["i", "3"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}], " ", 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "2"], ",", 
          SubscriptBox["i", "3"]}], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["i", "3"], "]"}], " ", 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["i", "2"]}], "]"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], " ", 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["i", "3"]}], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "4", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "3"]}], "]"}], " ", 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["i", "2"]}], "]"}]}]}], " ", ")"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorialDimensions", "=", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2", ",", "2", ",", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorsToFind", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "2"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "2"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Nu]", "1"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Nu]", "1"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "2"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Nu]", "1"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}]}], " ", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorStructure", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Nu]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Mu]", "2"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Mu]", "3"], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6368946738415365`*^9, 3.6368949696574984`*^9}, 
   3.6609180418087397`*^9, 3.6609181670188093`*^9, {3.6609182206104183`*^9, 
   3.6609182681757517`*^9}, {3.660919408753072*^9, 3.6609194096407433`*^9}, {
   3.660919597313299*^9, 3.660919599105009*^9}, {3.6654887006971397`*^9, 
   3.6654887110955215`*^9}, 3.6654887771853733`*^9, {3.665488807914422*^9, 
   3.6654888103381386`*^9}, 3.795155112370041*^9, {3.7951551693742447`*^9, 
   3.795155169752142*^9}, {3.795156253813527*^9, 3.7951562640996447`*^9}, {
   3.795156887814146*^9, 3.7951569076578074`*^9}, {3.795777540076808*^9, 
   3.7957775409668093`*^9}, {3.795781830746293*^9, 3.7957818382063036`*^9}, {
   3.7957820621126175`*^9, 3.7957820633726187`*^9}, {3.7957822891799355`*^9, 
   3.795782289284935*^9}, {3.7958857508215733`*^9, 3.7958857614115887`*^9}, {
   3.795885825365975*^9, 3.795885888406063*^9}, {3.7958860264762564`*^9, 
   3.7958860544812956`*^9}, {3.7958861493814287`*^9, 3.795886162401447*^9}, {
   3.79588622177153*^9, 3.7958863232716722`*^9}, {3.7958864070117893`*^9, 
   3.795886409546793*^9}, {3.7958865847290382`*^9, 3.7958866834801764`*^9}, {
   3.795886806841349*^9, 3.7958868432864003`*^9}, {3.7958869250265145`*^9, 
   3.7958870297566614`*^9}, {3.795887098551758*^9, 3.795887168171855*^9}, 
   3.79588725022197*^9},ExpressionUUID->"76b31049-e397-4d6f-ab03-\
6aa210f51616"],

Cell["Applying CWIs.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 3.7958858974360757`*^9}, {
  3.7958860379062724`*^9, 
  3.7958860399362755`*^9}},ExpressionUUID->"e29972aa-1b1b-4c0b-9b7f-\
512f23d38f43"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CWIsApplied", "=", 
   RowBox[{
    RowBox[{"EvaluateCWIs", "[", 
     RowBox[{
     "TranverseTracelessCorrelator", ",", "\[Kappa]", ",", "TensorStructure", 
      ",", " ", "TensorsToFind"}], "]"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries13", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries23", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "8"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Secondaries", "=", 
   RowBox[{"Take", "[", 
    RowBox[{"CWIsApplied", ",", 
     RowBox[{"{", 
      RowBox[{"9", ",", "12"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.79578209282266*^9, 3.7957821967728057`*^9}, {
   3.795782248499878*^9, 3.795782251154882*^9}, {3.795885766831596*^9, 
   3.7958857951066356`*^9}, 3.795885831925984*^9, 3.7958859117060957`*^9, {
   3.795886061186305*^9, 3.795886063201308*^9}, {3.7958863302416816`*^9, 
   3.7958863744567437`*^9}, {3.7958864144017997`*^9, 
   3.7958864186068053`*^9}, {3.7958867419912586`*^9, 
   3.7958867422412586`*^9}, {3.795886848476407*^9, 3.7958868576514206`*^9}, {
   3.795887022446651*^9, 3.7958870276216583`*^9}, {3.7958871805418725`*^9, 
   3.795887187441882*^9}},ExpressionUUID->"b860fcca-6eeb-4e14-bd5c-\
3a62705b42b2"],

Cell[TextData[{
 "CWIs stored in ",
 StyleBox["Konformal.wl",
  FontSlant->"Italic"],
 " are as follows."
}], "Text",
 CellChangeTimes->{{3.7958860800113316`*^9, 
  3.7958860968513546`*^9}},ExpressionUUID->"e44f8e9d-9bfd-46e7-b0f7-\
51d1c7f5070d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrimaryCWIs", "[", "TJJ", "]"}], "\[IndentingNewLine]", 
 RowBox[{"SecondaryCWIsLhs", "[", "TJJ", "]"}]}], "Input",
 CellChangeTimes->{{3.7958856665014553`*^9, 3.795885666646456*^9}, {
  3.795886169441457*^9, 3.795886171076459*^9}, {3.795886422776811*^9, 
  3.7958864253268147`*^9}, {3.795886747996267*^9, 3.7958867494212685`*^9}, {
  3.7958868613914256`*^9, 3.795886863181428*^9}, {3.795887036716671*^9, 
  3.7958870402116756`*^9}, {3.7958872077619104`*^9, 3.7958872092969127`*^9}, {
  3.797532990191236*^9, 
  3.797532991731238*^9}},ExpressionUUID->"906e26ce-81e4-44a8-a0d9-\
8b5766611e27"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "1", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"A", "[", "3", "]"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "2", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "2"}], "]"}]}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "3", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "1", ",", "2"}], "]"}]}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7958856668514557`*^9, 3.795885799781642*^9, 
  3.795886074186323*^9, 3.7958861715864596`*^9, 3.7958864259518156`*^9, 
  3.7958867498812695`*^9, 3.795886863721429*^9, 3.7958870413316774`*^9, 
  3.795887210326914*^9, 3.7958872548269763`*^9, 3.7965675402212095`*^9, 
  3.7965690822467337`*^9, 3.7965696635235476`*^9, 3.7965698086137505`*^9, 
  3.796571111502861*^9, 3.7965736495654154`*^9, 3.79753299271124*^9, 
  3.798362795778275*^9, 3.7986870191168633`*^9, 
  3.799038576547337*^9},ExpressionUUID->"f20a4af9-1905-4351-b5b0-\
f39025711d66"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "2"}], "]"}], "+", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "3", "]"}], ",", "2"}], "]"}], "-", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "3"], ",", 
        SubscriptBox["p", "2"]}], "]"}], ",", "2"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{
     TagBox["LprimeOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], "-", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["RprimeOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "1"}], "]"}]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["RprimeOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "1"}], "]"}]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      SubsuperscriptBox["p", "1", "2"]}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], "-", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], ")"}]}], "+", 
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "0"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "3", "]"}], ",", "2", ",", "2"}], "]"}], "-", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["ROp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "4", "]"}], ",", "2"}], "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7958856668514557`*^9, 3.795885799781642*^9, 
  3.795886074186323*^9, 3.7958861715864596`*^9, 3.7958864259518156`*^9, 
  3.7958867498812695`*^9, 3.795886863721429*^9, 3.7958870413316774`*^9, 
  3.795887210326914*^9, 3.7958872548269763`*^9, 3.7965675402212095`*^9, 
  3.7965690822467337`*^9, 3.7965696635235476`*^9, 3.7965698086137505`*^9, 
  3.796571111502861*^9, 3.7965736495654154`*^9, 3.79753299271124*^9, 
  3.798362795778275*^9, 3.7986870191168633`*^9, 
  3.799038576549184*^9},ExpressionUUID->"a6ecbb1e-f447-4d6c-a7c3-\
5b27f061cb1c"]
}, Open  ]],

Cell["We check our results.", "Text",
 CellChangeTimes->{{3.7958861016913614`*^9, 
  3.7958861286013994`*^9}},ExpressionUUID->"02c67d13-a3b2-4d13-a18c-\
258d73057130"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "2"}], ",", 
        RowBox[{"-", "2"}]}], "}"}], "*", "Primaries13"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TJJ", "]"}], "\[LeftDoubleBracket]", "1", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "2"}], ",", 
        RowBox[{"-", "2"}]}], "}"}], "*", "Primaries23"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TJJ", "]"}], "\[LeftDoubleBracket]", "2", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "^", "2"}], ",", 
        RowBox[{"-", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
        RowBox[{
         RowBox[{"-", "2"}], 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}]}], " ", "}"}], "*", 
      "Secondaries"}], "-", 
     RowBox[{"SecondaryCWIsLhs", "[", "TJJ", "]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}]}], "Input",
 CellChangeTimes->{{3.795782181302784*^9, 3.7957822668349037`*^9}, {
  3.795886176226466*^9, 3.795886179561471*^9}, {3.7958865149669404`*^9, 
  3.795886549912989*^9}, {3.795886759431283*^9, 3.7958867764563065`*^9}, {
  3.795886875136445*^9, 3.795886894501472*^9}, {3.795887055886698*^9, 
  3.795887071101719*^9}, {3.795887221066929*^9, 3.795887240386956*^9}, {
  3.7975329950722427`*^9, 
  3.797532998913248*^9}},ExpressionUUID->"7fc2aba6-3fc8-4656-bff5-\
1d530ecfebb7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, {3.7958870611817055`*^9, 
   3.7958870719267206`*^9}, {3.795887241051957*^9, 3.795887254881976*^9}, 
   3.7965675402712097`*^9, 3.796569088951743*^9, 3.796569648658527*^9, 
   3.796569815873761*^9, 3.7965711165878677`*^9, 3.796573649630416*^9, 
   3.7975329997332497`*^9, 3.79836279585362*^9, 3.7986870191368647`*^9, 
   3.799038576591894*^9},ExpressionUUID->"0dabd716-e1c5-44e2-8ac9-\
22d67bc562ba"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, {3.7958870611817055`*^9, 
   3.7958870719267206`*^9}, {3.795887241051957*^9, 3.795887254881976*^9}, 
   3.7965675402712097`*^9, 3.796569088951743*^9, 3.796569648658527*^9, 
   3.796569815873761*^9, 3.7965711165878677`*^9, 3.796573649630416*^9, 
   3.7975329997332497`*^9, 3.79836279585362*^9, 3.7986870191368647`*^9, 
   3.7990385766013737`*^9},ExpressionUUID->"0cb70d17-d16e-4108-910c-\
99790dd902f9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, {3.7958870611817055`*^9, 
   3.7958870719267206`*^9}, {3.795887241051957*^9, 3.795887254881976*^9}, 
   3.7965675402712097`*^9, 3.796569088951743*^9, 3.796569648658527*^9, 
   3.796569815873761*^9, 3.7965711165878677`*^9, 3.796573649630416*^9, 
   3.7975329997332497`*^9, 3.79836279585362*^9, 3.7986870191368647`*^9, 
   3.799038576622426*^9},ExpressionUUID->"a7d1596b-6e0e-4d67-b681-\
003e971fb567"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<TTJ>", "Section",
 CellChangeTimes->{{3.6609288460837865`*^9, 3.6609288476638765`*^9}, {
   3.6609288790196705`*^9, 3.660928879962724*^9}, {3.6609332964433327`*^9, 
   3.6609332966993475`*^9}, 
   3.662387244013753*^9},ExpressionUUID->"4aa4bd5a-525d-451e-aae9-\
bf601baa9b53"],

Cell["Data for the calculations.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 
  3.7958858974360757`*^9}},ExpressionUUID->"77da3d26-8153-4583-b4a5-\
6dc5b4d9f8b0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TranverseTracelessCorrelator", "=", 
   RowBox[{"Contract", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"PI", "[", "d", "]"}], "[", "1", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Nu]", "1"], ",", 
       SubscriptBox["i", "1"], ",", 
       SubscriptBox["j", "1"]}], "]"}], " ", 
     RowBox[{
      RowBox[{
       RowBox[{"PI", "[", "d", "]"}], "[", "2", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["\[Nu]", "2"], ",", 
       SubscriptBox["i", "2"], ",", 
       SubscriptBox["j", "2"]}], "]"}], " ", 
     RowBox[{
      RowBox[{"pi", "[", "3", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "3"], ",", 
       SubscriptBox["i", "3"]}], "]"}], "*", "\[IndentingNewLine]", 
     RowBox[{"(", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["j", "2"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["i", "3"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["j", "2"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["i", "3"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "3"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["j", "2"], "]"}]}], "-", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "2"], ",", 
          SubscriptBox["i", "3"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["j", "2"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "4", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "2"]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["j", "2"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["i", "3"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "5", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "2"]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "2"], ",", 
          SubscriptBox["i", "3"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}]}], "-", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "5", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "2"]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["i", "3"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["j", "2"], "]"}]}]}], ")"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorialDimensions", "=", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "3", ",", "1", ",", "1"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorsToFind", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "2"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "2"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "2"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}]}]}], " ", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorStructure", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Nu]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["\[Nu]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Mu]", "3"], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6368946738415365`*^9, 3.6368949696574984`*^9}, 
   3.6609180418087397`*^9, 3.6609181670188093`*^9, {3.6609182206104183`*^9, 
   3.6609182681757517`*^9}, {3.660919408753072*^9, 3.6609194096407433`*^9}, {
   3.660919597313299*^9, 3.660919599105009*^9}, {3.6654887006971397`*^9, 
   3.6654887110955215`*^9}, 3.6654887771853733`*^9, {3.665488807914422*^9, 
   3.6654888103381386`*^9}, 3.795155112370041*^9, {3.7951551693742447`*^9, 
   3.795155169752142*^9}, {3.795156253813527*^9, 3.7951562640996447`*^9}, {
   3.795156887814146*^9, 3.7951569076578074`*^9}, {3.795777540076808*^9, 
   3.7957775409668093`*^9}, {3.795781830746293*^9, 3.7957818382063036`*^9}, {
   3.7957820621126175`*^9, 3.7957820633726187`*^9}, {3.7957822891799355`*^9, 
   3.795782289284935*^9}, {3.7958857508215733`*^9, 3.7958857614115887`*^9}, {
   3.795885825365975*^9, 3.795885888406063*^9}, {3.7958860264762564`*^9, 
   3.7958860544812956`*^9}, {3.7958861493814287`*^9, 3.795886162401447*^9}, {
   3.79588622177153*^9, 3.7958863232716722`*^9}, {3.7958864070117893`*^9, 
   3.795886409546793*^9}, {3.7958865847290382`*^9, 3.7958866834801764`*^9}, {
   3.795886806841349*^9, 3.7958868432864003`*^9}, {3.7958869250265145`*^9, 
   3.7958870297566614`*^9}, {3.795887098551758*^9, 3.795887168171855*^9}, 
   3.79588725022197*^9, {3.7958872835220165`*^9, 3.7958873485221076`*^9}, 
   3.7958874807722926`*^9, {3.7958878348127885`*^9, 
   3.7958878411327972`*^9}},ExpressionUUID->"493e12b9-c25a-49af-9b64-\
0750065ae0da"],

Cell["Applying CWIs. May take a few seconds.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 3.7958858974360757`*^9}, {
  3.7958860379062724`*^9, 3.7958860399362755`*^9}, {3.795887518497346*^9, 
  3.795887522462351*^9}},ExpressionUUID->"0fc051af-3ce5-4dae-8676-\
5a0909b064b6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"CWIsApplied", "=", 
   RowBox[{
    RowBox[{"EvaluateCWIs", "[", 
     RowBox[{
     "TranverseTracelessCorrelator", ",", "\[Kappa]", ",", "TensorStructure", 
      ",", " ", "TensorsToFind", ",", " ", 
      RowBox[{"Verbose", "\[Rule]", "True"}]}], "]"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries13", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "5"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries23", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"6", ",", "10"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Secondaries", "=", 
   RowBox[{"Take", "[", 
    RowBox[{"CWIsApplied", ",", 
     RowBox[{"{", 
      RowBox[{"11", ",", 
       RowBox[{"Length", "[", "CWIsApplied", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.79578209282266*^9, 3.7957821967728057`*^9}, {
   3.795782248499878*^9, 3.795782251154882*^9}, {3.795885766831596*^9, 
   3.7958857951066356`*^9}, 3.795885831925984*^9, 3.7958859117060957`*^9, {
   3.795886061186305*^9, 3.795886063201308*^9}, {3.7958863302416816`*^9, 
   3.7958863744567437`*^9}, {3.7958864144017997`*^9, 
   3.7958864186068053`*^9}, {3.7958867419912586`*^9, 
   3.7958867422412586`*^9}, {3.795886848476407*^9, 3.7958868576514206`*^9}, {
   3.795887022446651*^9, 3.7958870276216583`*^9}, {3.7958871805418725`*^9, 
   3.795887187441882*^9}, {3.7958873648721304`*^9, 3.7958873750521445`*^9}, {
   3.796567561006239*^9, 
   3.796567565276245*^9}},ExpressionUUID->"c45ee641-45b7-4737-96ab-\
313216acba61"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Generating vectors...\"\>"], "Print",
 CellChangeTimes->{
  3.797533010335264*^9, 3.798362808386118*^9, 3.7986870200839167`*^9, {
   3.7990372248533697`*^9, 3.799037253720669*^9}, 
   3.799038577797138*^9},ExpressionUUID->"67db933f-7f99-488f-b03c-\
31de784c4e78"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...this took \"\>", "\[InvisibleSpace]", "1.373369`", 
   "\[InvisibleSpace]", "\<\"s.\"\>"}],
  SequenceForm["...this took ", 1.373369, "s."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.797533010335264*^9, 3.798362808386118*^9, 3.7986870200839167`*^9, {
   3.7990372248533697`*^9, 3.799037253720669*^9}, 
   3.799038579167767*^9},ExpressionUUID->"a8a6fa48-f054-40c8-a44b-\
18280d98ba52"],

Cell[BoxData["\<\"Applying CWIs...\"\>"], "Print",
 CellChangeTimes->{
  3.797533010335264*^9, 3.798362808386118*^9, 3.7986870200839167`*^9, {
   3.7990372248533697`*^9, 3.799037253720669*^9}, 
   3.799038579178772*^9},ExpressionUUID->"4c1142ee-fa84-44c2-ad76-\
0fc2cb8373de"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...this took \"\>", "\[InvisibleSpace]", "7.323701`", 
   "\[InvisibleSpace]", "\<\"s.\"\>"}],
  SequenceForm["...this took ", 7.323701, "s."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.797533010335264*^9, 3.798362808386118*^9, 3.7986870200839167`*^9, {
   3.7990372248533697`*^9, 3.799037253720669*^9}, 
   3.7990385864917603`*^9},ExpressionUUID->"53f2e6c9-4a97-450d-9b4c-\
b4a2505543ea"],

Cell[BoxData["\<\"Substituting back and summing...\"\>"], "Print",
 CellChangeTimes->{
  3.797533010335264*^9, 3.798362808386118*^9, 3.7986870200839167`*^9, {
   3.7990372248533697`*^9, 3.799037253720669*^9}, 
   3.799038586494231*^9},ExpressionUUID->"a883b2db-4f13-4e00-8ace-\
21b79d838100"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...this took \"\>", "\[InvisibleSpace]", "0.421977`", 
   "\[InvisibleSpace]", "\<\"s.\"\>"}],
  SequenceForm["...this took ", 0.421977, "s."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.797533010335264*^9, 3.798362808386118*^9, 3.7986870200839167`*^9, {
   3.7990372248533697`*^9, 3.799037253720669*^9}, 
   3.7990385869167*^9},ExpressionUUID->"98ff0208-ed03-4145-b5b9-17694dd5ca2b"]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 "CWIs stored in ",
 StyleBox["Konformal.wl",
  FontSlant->"Italic"],
 " are as follows."
}], "Text",
 CellChangeTimes->{{3.7958860800113316`*^9, 
  3.7958860968513546`*^9}},ExpressionUUID->"cc75631c-42e3-446a-be2a-\
b3b4b061716b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrimaryCWIs", "[", "TTJ", "]"}], "\[IndentingNewLine]", 
 RowBox[{"SecondaryCWIsLhs", "[", "TTJ", "]"}]}], "Input",
 CellChangeTimes->{{3.7958856665014553`*^9, 3.795885666646456*^9}, {
  3.795886169441457*^9, 3.795886171076459*^9}, {3.795886422776811*^9, 
  3.7958864253268147`*^9}, {3.795886747996267*^9, 3.7958867494212685`*^9}, {
  3.7958868613914256`*^9, 3.795886863181428*^9}, {3.795887036716671*^9, 
  3.7958870402116756`*^9}, {3.7958872077619104`*^9, 3.7958872092969127`*^9}, {
  3.795887379802151*^9, 3.7958873814571533`*^9}, {3.7975330232202826`*^9, 
  3.797533024650285*^9}},ExpressionUUID->"ac880b0e-a528-4295-91ae-\
6e846a026af5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "8"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "2", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"A", "[", "2", "]"}]}], "+", 
      RowBox[{"4", " ", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "5", "]"}], ",", "1", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "8"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "2", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "5", "]"}], ",", "2", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "2"}], "]"}]}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "4", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"A", "[", "2", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "5", "]"}], ",", "1", ",", "2"}], "]"}]}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7958856668514557`*^9, 3.795885799781642*^9, 3.795886074186323*^9, 
   3.7958861715864596`*^9, 3.7958864259518156`*^9, 3.7958867498812695`*^9, 
   3.795886863721429*^9, 3.7958870413316774`*^9, 3.795887210326914*^9, 
   3.7958872548269763`*^9, {3.7958873939621716`*^9, 3.7958874024071827`*^9}, 
   3.79588750058232*^9, {3.796567556101232*^9, 3.7965675786862636`*^9}, 
   3.7965711346278934`*^9, 3.796573665505438*^9, 3.798362858984322*^9, 
   3.7986870305115013`*^9, 3.799037288194824*^9, 
   3.799038589606163*^9},ExpressionUUID->"f32d320a-ef2c-415e-9fd3-\
9b8e079ddc38"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "2"}], "]"}], "+", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "2"}], "]"}], "-", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "3", "]"}], ",", "2"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "2"}], "]"}], "+", 
    RowBox[{"4", " ", 
     RowBox[{
      TagBox["ROp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "4", "]"}], ",", "2"}], "]"}]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["ROp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{
        RowBox[{"A", "[", "5", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"]}], "]"}], ",", "2"}], "]"}]}]}], ",", 
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "3", "]"}], ",", "2", ",", 
      RowBox[{"-", "2"}]}], "]"}], "-", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["ROp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{
        RowBox[{"A", "[", "5", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"]}], "]"}], ",", "2"}], "]"}]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     SubsuperscriptBox["p", "1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"A", "[", "4", "]"}]}], "+", 
       RowBox[{
        RowBox[{"A", "[", "5", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"]}], "]"}]}], ")"}]}], "+", 
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "5", "]"}], ",", "2", ",", "0"}], "]"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7958856668514557`*^9, 3.795885799781642*^9, 3.795886074186323*^9, 
   3.7958861715864596`*^9, 3.7958864259518156`*^9, 3.7958867498812695`*^9, 
   3.795886863721429*^9, 3.7958870413316774`*^9, 3.795887210326914*^9, 
   3.7958872548269763`*^9, {3.7958873939621716`*^9, 3.7958874024071827`*^9}, 
   3.79588750058232*^9, {3.796567556101232*^9, 3.7965675786862636`*^9}, 
   3.7965711346278934`*^9, 3.796573665505438*^9, 3.798362858984322*^9, 
   3.7986870305115013`*^9, 3.799037288194824*^9, 
   3.799038589610903*^9},ExpressionUUID->"7499fb07-f511-421d-bfcc-\
207dd8621045"]
}, Open  ]],

Cell["We check our results.", "Text",
 CellChangeTimes->{{3.7958861016913614`*^9, 
  3.7958861286013994`*^9}},ExpressionUUID->"c584e36b-19a1-4dd5-9bcf-\
2a1f15398eff"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "4"}], ",", " ", 
        RowBox[{"-", "2"}], ",", 
        RowBox[{"-", "2"}], ",", 
        RowBox[{"-", "4"}]}], "}"}], "*", "Primaries13"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TTJ", "]"}], "\[LeftDoubleBracket]", "1", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "4"}], ",", " ", 
        RowBox[{"-", "2"}], ",", 
        RowBox[{"-", "2"}], ",", 
        RowBox[{"-", "4"}]}], "}"}], "*", "Primaries23"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TTJ", "]"}], "\[LeftDoubleBracket]", "2", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
        RowBox[{
         RowBox[{"-", "4"}], 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
        RowBox[{
         RowBox[{"-", "2"}], 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
        RowBox[{
         RowBox[{"-", "4"}], 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}]}], "}"}], "*", 
      "Secondaries"}], "-", 
     RowBox[{"SecondaryCWIsLhs", "[", "TTJ", "]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}]}], "Input",
 CellChangeTimes->{{3.795782181302784*^9, 3.7957822668349037`*^9}, {
  3.795886176226466*^9, 3.795886179561471*^9}, {3.7958865149669404`*^9, 
  3.795886549912989*^9}, {3.795886759431283*^9, 3.7958867764563065`*^9}, {
  3.795886875136445*^9, 3.795886894501472*^9}, {3.795887055886698*^9, 
  3.795887071101719*^9}, {3.795887221066929*^9, 3.795887240386956*^9}, {
  3.795887413672199*^9, 3.7958874385722337`*^9}, {3.7975330341602983`*^9, 
  3.797533038221304*^9}},ExpressionUUID->"b7c8097e-87ec-420b-acbc-\
e7ccd207fccb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, {3.7958870611817055`*^9, 
   3.7958870719267206`*^9}, {3.795887241051957*^9, 3.795887254881976*^9}, 
   3.7958875006273203`*^9, 3.7958878292277803`*^9, {3.796567556161232*^9, 
   3.7965675799762654`*^9}, 3.796571134677893*^9, 3.796573665570438*^9, 
   3.7975330393713055`*^9, 3.798362860976969*^9, 3.798687030533503*^9, 
   3.79903729196375*^9, 
   3.7990385896627693`*^9},ExpressionUUID->"88dff361-3344-43b9-b20f-\
76f7f3f65429"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, {3.7958870611817055`*^9, 
   3.7958870719267206`*^9}, {3.795887241051957*^9, 3.795887254881976*^9}, 
   3.7958875006273203`*^9, 3.7958878292277803`*^9, {3.796567556161232*^9, 
   3.7965675799762654`*^9}, 3.796571134677893*^9, 3.796573665570438*^9, 
   3.7975330393713055`*^9, 3.798362860976969*^9, 3.798687030533503*^9, 
   3.79903729196375*^9, 
   3.7990385896653137`*^9},ExpressionUUID->"6494f69a-b746-4474-afa6-\
f355e074037e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, {3.7958870611817055`*^9, 
   3.7958870719267206`*^9}, {3.795887241051957*^9, 3.795887254881976*^9}, 
   3.7958875006273203`*^9, 3.7958878292277803`*^9, {3.796567556161232*^9, 
   3.7965675799762654`*^9}, 3.796571134677893*^9, 3.796573665570438*^9, 
   3.7975330393713055`*^9, 3.798362860976969*^9, 3.798687030533503*^9, 
   3.79903729196375*^9, 
   3.799038589667343*^9},ExpressionUUID->"d7f34b84-cd7b-46dd-bdb2-\
ca196e201191"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<TTT>", "Section",
 CellChangeTimes->{{3.6609288460837865`*^9, 3.6609288476638765`*^9}, {
  3.6609288790196705`*^9, 3.660928879962724*^9}, {3.6609332986434584`*^9, 
  3.660933299235492*^9}},ExpressionUUID->"fc8bf22b-b61a-4a8a-ba72-\
031bed525ced"],

Cell["Data for the calculations.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 
  3.7958858974360757`*^9}},ExpressionUUID->"e201dd95-0f6b-4ffc-8128-\
685b07141ea2"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TranverseTracelessCorrelator", "=", 
   RowBox[{"Contract", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"PI", "[", "d", "]"}], "[", "1", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Nu]", "1"], ",", 
       SubscriptBox["i", "1"], ",", 
       SubscriptBox["j", "1"]}], "]"}], " ", 
     RowBox[{
      RowBox[{
       RowBox[{"PI", "[", "d", "]"}], "[", "2", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["\[Nu]", "2"], ",", 
       SubscriptBox["i", "2"], ",", 
       SubscriptBox["j", "2"]}], "]"}], 
     RowBox[{
      RowBox[{
       RowBox[{"PI", "[", "d", "]"}], "[", "3", "]"}], "[", 
      RowBox[{
       SubscriptBox["\[Mu]", "3"], ",", 
       SubscriptBox["\[Nu]", "3"], ",", 
       SubscriptBox["i", "3"], ",", 
       SubscriptBox["j", "3"]}], "]"}], "*", "\[IndentingNewLine]", 
     RowBox[{"(", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], " ", 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["j", "2"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["i", "3"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["j", "3"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["j", "2"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["i", "3"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["j", "3"], "]"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "3", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "1", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "2"], ",", 
          SubscriptBox["j", "3"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["i", "3"], "]"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["j", "3"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["j", "2"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["i", "3"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["j", "2"]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "2"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["i", "3"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["j", "3"], "]"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "3", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "1", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "3"], ",", 
          SubscriptBox["j", "2"]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "3"], ",", 
          SubscriptBox["i", "2"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["i", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["j", "3"]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "3"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["i", "2"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["j", "2"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "4", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "3"]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "2"], ",", 
          SubscriptBox["j", "3"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["j", "2"], "]"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "4", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "3", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "1", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "3"]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "2"], ",", 
          SubscriptBox["j", "1"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "3", "]"}], "[", 
         SubscriptBox["j", "2"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["j", "3"], "]"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "4", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["i", "2"]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "2"], ",", 
          SubscriptBox["i", "3"]}], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "2", "]"}], "[", 
         SubscriptBox["j", "1"], "]"}], 
        RowBox[{
         RowBox[{"p", "[", "1", "]"}], "[", 
         SubscriptBox["j", "3"], "]"}]}], "\[IndentingNewLine]", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "5", "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "1"], ",", 
          SubscriptBox["j", "2"]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["i", "2"], ",", 
          SubscriptBox["j", "3"]}], "]"}], 
        RowBox[{"\[Delta]", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["i", "3"]}], "]"}]}]}], " ", ")"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorialDimensions", "=", 
   RowBox[{"{", 
    RowBox[{"6", ",", "4", ",", "2", ",", "2", ",", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorsToFind", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Nu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Nu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Nu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "2"], ",", 
        SubscriptBox["\[Nu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", "\[Kappa]", "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "2"], ",", 
        SubscriptBox["\[Nu]", "3"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Nu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Mu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Nu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Nu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "2"], ",", 
        SubscriptBox["\[Nu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", "\[Kappa]", "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "2"], ",", 
        SubscriptBox["\[Nu]", "3"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], " ", 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Nu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Mu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Mu]", "3"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Nu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "2"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "3", "]"}], "[", 
       SubscriptBox["\[Nu]", "2"], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Nu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "1"], ",", 
        SubscriptBox["\[Nu]", "2"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "2"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "1", "]"}], "[", 
       SubscriptBox["\[Nu]", "3"], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Delta]", "[", 
       RowBox[{"\[Kappa]", ",", 
        SubscriptBox["\[Mu]", "1"]}], "]"}], " ", 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Mu]", "2"], ",", 
        SubscriptBox["\[Mu]", "3"]}], "]"}], 
      RowBox[{"\[Delta]", "[", 
       RowBox[{
        SubscriptBox["\[Nu]", "2"], ",", 
        SubscriptBox["\[Nu]", "3"]}], "]"}], 
      RowBox[{
       RowBox[{"p", "[", "2", "]"}], "[", 
       SubscriptBox["\[Nu]", "1"], "]"}]}]}], " ", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TensorStructure", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Mu]", "1"], ",", 
       SubscriptBox["\[Nu]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Mu]", "2"], ",", 
       SubscriptBox["\[Nu]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Mu]", "3"], ",", 
       SubscriptBox["\[Nu]", "3"]}], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6368946738415365`*^9, 3.6368949696574984`*^9}, 
   3.6609180418087397`*^9, 3.6609181670188093`*^9, {3.6609182206104183`*^9, 
   3.6609182681757517`*^9}, {3.660919408753072*^9, 3.6609194096407433`*^9}, {
   3.660919597313299*^9, 3.660919599105009*^9}, {3.6654887006971397`*^9, 
   3.6654887110955215`*^9}, 3.6654887771853733`*^9, {3.665488807914422*^9, 
   3.6654888103381386`*^9}, 3.795155112370041*^9, {3.7951551693742447`*^9, 
   3.795155169752142*^9}, {3.795156253813527*^9, 3.7951562640996447`*^9}, {
   3.795156887814146*^9, 3.7951569076578074`*^9}, {3.795777540076808*^9, 
   3.7957775409668093`*^9}, {3.795781830746293*^9, 3.7957818382063036`*^9}, {
   3.7957820621126175`*^9, 3.7957820633726187`*^9}, {3.7957822891799355`*^9, 
   3.795782289284935*^9}, {3.7958857508215733`*^9, 3.7958857614115887`*^9}, {
   3.795885825365975*^9, 3.795885888406063*^9}, {3.7958860264762564`*^9, 
   3.7958860544812956`*^9}, {3.7958861493814287`*^9, 3.795886162401447*^9}, {
   3.79588622177153*^9, 3.7958863232716722`*^9}, {3.7958864070117893`*^9, 
   3.795886409546793*^9}, {3.7958865847290382`*^9, 3.7958866834801764`*^9}, {
   3.795886806841349*^9, 3.7958868432864003`*^9}, {3.7958869250265145`*^9, 
   3.7958870297566614`*^9}, {3.795887098551758*^9, 3.795887168171855*^9}, 
   3.79588725022197*^9, {3.7958872835220165`*^9, 3.7958873485221076`*^9}, 
   3.7958874807722926`*^9, {3.7958878348127885`*^9, 3.7958878411327972`*^9}, {
   3.7958879974390326`*^9, 
   3.795888084006154*^9}},ExpressionUUID->"11f1f5b4-8711-426c-854e-\
102d27934a91"],

Cell["Applying CWIs. May take a minute.", "Text",
 CellChangeTimes->{{3.7958858931410694`*^9, 3.7958858974360757`*^9}, {
  3.7958860379062724`*^9, 3.7958860399362755`*^9}, {3.795887518497346*^9, 
  3.795887522462351*^9}, {3.7958882372533684`*^9, 
  3.795888239683372*^9}},ExpressionUUID->"7aaa9c46-a63d-4daf-9e7b-\
75a576c6662a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"CWIsApplied", "=", 
   RowBox[{"EvaluateCWIs", "[", 
    RowBox[{
    "TranverseTracelessCorrelator", ",", "\[Kappa]", ",", "TensorStructure", 
     ",", " ", "TensorsToFind", ",", 
     RowBox[{"Verbose", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries13", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "5"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Primaries23", "=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"CWIsApplied", ",", 
      RowBox[{"{", 
       RowBox[{"6", ",", "10"}], "}"}]}], "]"}], "/.", 
    RowBox[{"RemoveMixedDerivatives", "[", "TensorialDimensions", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Secondaries", "=", 
   RowBox[{"Take", "[", 
    RowBox[{"CWIsApplied", ",", 
     RowBox[{"{", 
      RowBox[{"11", ",", 
       RowBox[{"Length", "[", "CWIsApplied", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.79578209282266*^9, 3.7957821967728057`*^9}, {
   3.795782248499878*^9, 3.795782251154882*^9}, {3.795885766831596*^9, 
   3.7958857951066356`*^9}, 3.795885831925984*^9, 3.7958859117060957`*^9, {
   3.795886061186305*^9, 3.795886063201308*^9}, {3.7958863302416816`*^9, 
   3.7958863744567437`*^9}, {3.7958864144017997`*^9, 
   3.7958864186068053`*^9}, {3.7958867419912586`*^9, 
   3.7958867422412586`*^9}, {3.795886848476407*^9, 3.7958868576514206`*^9}, {
   3.795887022446651*^9, 3.7958870276216583`*^9}, {3.7958871805418725`*^9, 
   3.795887187441882*^9}, {3.7958873648721304`*^9, 3.7958873750521445`*^9}, 
   3.795888215502338*^9, {3.795889569138551*^9, 
   3.7958895719285555`*^9}},ExpressionUUID->"e98e8a75-43cf-4155-98d0-\
986777544a2b"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Generating vectors...\"\>"], "Print",
 CellChangeTimes->{3.795889575914561*^9, 3.795890643739056*^9, 
  3.79656759757129*^9, 3.7965711522679176`*^9, 3.7965736830004625`*^9, 
  3.7975330655833426`*^9, 3.798362875928158*^9, 3.7986870409000883`*^9, 
  3.7990386022470083`*^9},ExpressionUUID->"59861b21-f768-4883-a60e-\
c70c7ea0a0ad"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...this took \"\>", "\[InvisibleSpace]", "38.7127`", 
   "\[InvisibleSpace]", "\<\"s.\"\>"}],
  SequenceForm["...this took ", 38.7127, "s."],
  Editable->False]], "Print",
 CellChangeTimes->{3.795889575914561*^9, 3.795890643739056*^9, 
  3.79656759757129*^9, 3.7965711522679176`*^9, 3.7965736830004625`*^9, 
  3.7975330655833426`*^9, 3.798362875928158*^9, 3.7986870409000883`*^9, 
  3.7990386409580717`*^9},ExpressionUUID->"cdf54516-872f-4db6-88b9-\
c6fb21858532"],

Cell[BoxData["\<\"Applying CWIs...\"\>"], "Print",
 CellChangeTimes->{3.795889575914561*^9, 3.795890643739056*^9, 
  3.79656759757129*^9, 3.7965711522679176`*^9, 3.7965736830004625`*^9, 
  3.7975330655833426`*^9, 3.798362875928158*^9, 3.7986870409000883`*^9, 
  3.799038640960868*^9},ExpressionUUID->"e334b07e-154c-4d5f-9cf6-\
54b11134b073"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...this took \"\>", "\[InvisibleSpace]", "29.531792`", 
   "\[InvisibleSpace]", "\<\"s.\"\>"}],
  SequenceForm["...this took ", 29.531792, "s."],
  Editable->False]], "Print",
 CellChangeTimes->{3.795889575914561*^9, 3.795890643739056*^9, 
  3.79656759757129*^9, 3.7965711522679176`*^9, 3.7965736830004625`*^9, 
  3.7975330655833426`*^9, 3.798362875928158*^9, 3.7986870409000883`*^9, 
  3.7990386704905443`*^9},ExpressionUUID->"12d3b564-52b5-4635-8ffb-\
08e511a0bcb7"],

Cell[BoxData["\<\"Substituting back and summing...\"\>"], "Print",
 CellChangeTimes->{3.795889575914561*^9, 3.795890643739056*^9, 
  3.79656759757129*^9, 3.7965711522679176`*^9, 3.7965736830004625`*^9, 
  3.7975330655833426`*^9, 3.798362875928158*^9, 3.7986870409000883`*^9, 
  3.799038670492415*^9},ExpressionUUID->"68d60049-11a1-42ac-bec4-\
c2f38e6ddfc1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...this took \"\>", "\[InvisibleSpace]", "4.099988`", 
   "\[InvisibleSpace]", "\<\"s.\"\>"}],
  SequenceForm["...this took ", 4.099988, "s."],
  Editable->False]], "Print",
 CellChangeTimes->{3.795889575914561*^9, 3.795890643739056*^9, 
  3.79656759757129*^9, 3.7965711522679176`*^9, 3.7965736830004625`*^9, 
  3.7975330655833426`*^9, 3.798362875928158*^9, 3.7986870409000883`*^9, 
  3.799038674622397*^9},ExpressionUUID->"86a020ab-bf0c-4859-974a-\
8ff2fbde7eb8"]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 "CWIs stored in ",
 StyleBox["Konformal.wl",
  FontSlant->"Italic"],
 " are as follows."
}], "Text",
 CellChangeTimes->{{3.7958860800113316`*^9, 
  3.7958860968513546`*^9}},ExpressionUUID->"180153f0-64e7-49e1-b260-\
e5ba33e4add6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrimaryCWIs", "[", "TTT", "]"}], "\[IndentingNewLine]", 
 RowBox[{"SecondaryCWIsLhs", "[", "TTT", "]"}]}], "Input",
 CellChangeTimes->{{3.7958856665014553`*^9, 3.795885666646456*^9}, {
  3.795886169441457*^9, 3.795886171076459*^9}, {3.795886422776811*^9, 
  3.7958864253268147`*^9}, {3.795886747996267*^9, 3.7958867494212685`*^9}, {
  3.7958868613914256`*^9, 3.795886863181428*^9}, {3.795887036716671*^9, 
  3.7958870402116756`*^9}, {3.7958872077619104`*^9, 3.7958872092969127`*^9}, {
  3.795887379802151*^9, 3.7958873814571533`*^9}, {3.795888107422187*^9, 
  3.795888109397189*^9}, {3.7975331462924566`*^9, 
  3.797533147502458*^9}},ExpressionUUID->"69ac5d57-1a4a-4aaf-a393-\
10f75d7bfbcf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "8"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "2", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "4", "]"}]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "1"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "5", "]"}], ",", "1", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "8"}], " ", 
       RowBox[{"A", "[", "1", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "2", "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "1"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"A", "[", "4", "]"}]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "5", "]"}], ",", "2", ",", "3"}], "]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      TagBox["KKOp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], "-", 
      RowBox[{"4", " ", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "1"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "1", ",", "2"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "1"]}], "]"}]}], "+", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "5", "]"}], ",", "1", ",", "2"}], "]"}]}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7958856668514557`*^9, 3.795885799781642*^9, 3.795886074186323*^9, 
   3.7958861715864596`*^9, 3.7958864259518156`*^9, 3.7958867498812695`*^9, 
   3.795886863721429*^9, 3.7958870413316774`*^9, 3.795887210326914*^9, 
   3.7958872548269763`*^9, {3.7958873939621716`*^9, 3.7958874024071827`*^9}, 
   3.79588750058232*^9, 3.795890729204176*^9, 3.79656766565175*^9, 
   3.796567707538809*^9, 3.7965712143530045`*^9, 3.796573744855549*^9, 
   3.7975331480924587`*^9, 3.798362951557341*^9, 3.7986871129451504`*^9, 
   3.799038675028556*^9},ExpressionUUID->"310167dd-190e-49cc-b597-\
afd7a2dee72b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "4"}], "]"}], "+", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "2"}], "]"}], "-", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "3"], ",", 
        SubscriptBox["p", "2"]}], "]"}], ",", "2"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "4"}], "]"}], "+", 
    RowBox[{"4", " ", 
     RowBox[{
      TagBox["ROp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], ",", "2"}], "]"}]}], "-", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["ROp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "1"]}], "]"}], ",", "2"}], "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", 
     SubsuperscriptBox["p", "1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"A", "[", "2", "]"}]}], "+", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], ")"}]}], "+", 
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{
       RowBox[{"A", "[", "2", "]"}], "[", 
       RowBox[{
        SubscriptBox["p", "3"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "1"]}], "]"}], ",", "2", ",", "2"}], "]"}], "-", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{"A", "[", "4", "]"}], ",", "2"}], "]"}], "+", 
    RowBox[{
     TagBox["ROp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{
       RowBox[{"A", "[", "4", "]"}], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "3"], ",", 
        SubscriptBox["p", "2"]}], "]"}], ",", "2"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", 
     SubsuperscriptBox["p", "1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", 
        RowBox[{"A", "[", "3", "]"}]}], "+", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"], ",", 
         SubscriptBox["p", "1"]}], "]"}]}], ")"}]}], "+", 
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{
       RowBox[{"A", "[", "4", "]"}], "[", 
       RowBox[{
        SubscriptBox["p", "1"], ",", 
        SubscriptBox["p", "3"], ",", 
        SubscriptBox["p", "2"]}], "]"}], ",", "2", ",", "2"}], "]"}], "-", 
    RowBox[{"2", " ", 
     RowBox[{
      TagBox["ROp",
       HoldForm], "[", 
      RowBox[{
       RowBox[{"A", "[", "5", "]"}], ",", "2"}], "]"}]}]}], ",", 
   RowBox[{
    RowBox[{
     SubsuperscriptBox["p", "1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"A", "[", "4", "]"}], "-", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], "[", 
        RowBox[{
         SubscriptBox["p", "1"], ",", 
         SubscriptBox["p", "3"], ",", 
         SubscriptBox["p", "2"]}], "]"}]}], ")"}]}], "+", 
    RowBox[{
     TagBox["LOp",
      HoldForm], "[", 
     RowBox[{
      RowBox[{
       RowBox[{"A", "[", "3", "]"}], "[", 
       RowBox[{
        SubscriptBox["p", "3"], ",", 
        SubscriptBox["p", "2"], ",", 
        SubscriptBox["p", "1"]}], "]"}], ",", "2", ",", "0"}], "]"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7958856668514557`*^9, 3.795885799781642*^9, 3.795886074186323*^9, 
   3.7958861715864596`*^9, 3.7958864259518156`*^9, 3.7958867498812695`*^9, 
   3.795886863721429*^9, 3.7958870413316774`*^9, 3.795887210326914*^9, 
   3.7958872548269763`*^9, {3.7958873939621716`*^9, 3.7958874024071827`*^9}, 
   3.79588750058232*^9, 3.795890729204176*^9, 3.79656766565175*^9, 
   3.796567707538809*^9, 3.7965712143530045`*^9, 3.796573744855549*^9, 
   3.7975331480924587`*^9, 3.798362951557341*^9, 3.7986871129451504`*^9, 
   3.799038675034186*^9},ExpressionUUID->"06ea87ab-6c43-484d-a5f0-\
f18404e2e98e"]
}, Open  ]],

Cell["We check our results.", "Text",
 CellChangeTimes->{{3.7958861016913614`*^9, 
  3.7958861286013994`*^9}},ExpressionUUID->"8ab4d54a-8512-4a00-a4fe-\
931b1b649a49"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "4"}], ",", 
        RowBox[{"-", "2"}], ",", 
        RowBox[{"-", "8"}], ",", 
        RowBox[{"-", "8"}]}], "}"}], "*", "Primaries13"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TTT", "]"}], "\[LeftDoubleBracket]", "1", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "4"}], ",", 
        RowBox[{"-", "2"}], ",", 
        RowBox[{"-", "8"}], ",", 
        RowBox[{"-", "8"}]}], "}"}], "*", "Primaries23"}], "-", 
     RowBox[{
      RowBox[{"PrimaryCWIs", "[", "TTT", "]"}], "\[LeftDoubleBracket]", "2", 
      "\[RightDoubleBracket]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
        RowBox[{
         RowBox[{"-", "4"}], 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
        RowBox[{
         RowBox[{"-", "4"}], 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
        RowBox[{
         RowBox[{"-", "8"}], 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}], ",", 
        RowBox[{
         RowBox[{"-", "2"}], 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], "^", "2"}]}]}], " ", "}"}], "*", 
      "Secondaries"}], "-", 
     RowBox[{"SecondaryCWIsLhs", "[", "TTT", "]"}]}], "/.", 
    RowBox[{"suExpandAs", "[", "A", "]"}]}], "//", "ReleaseHold"}], "//", 
  "Simplify"}]}], "Input",
 CellChangeTimes->{{3.795782181302784*^9, 3.7957822668349037`*^9}, {
  3.795886176226466*^9, 3.795886179561471*^9}, {3.7958865149669404`*^9, 
  3.795886549912989*^9}, {3.795886759431283*^9, 3.7958867764563065`*^9}, {
  3.795886875136445*^9, 3.795886894501472*^9}, {3.795887055886698*^9, 
  3.795887071101719*^9}, {3.795887221066929*^9, 3.795887240386956*^9}, {
  3.795887413672199*^9, 3.7958874385722337`*^9}, {3.7958881240022097`*^9, 
  3.795888147517243*^9}, {3.797533150492462*^9, 
  3.7975331550724688`*^9}},ExpressionUUID->"6da4567b-34e6-45dd-9f29-\
bdff7efb088b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, {3.7958870611817055`*^9, 
   3.7958870719267206`*^9}, {3.795887241051957*^9, 3.795887254881976*^9}, 
   3.7958875006273203`*^9, 3.7958878292277803`*^9, 3.795890744524197*^9, 
   3.796567676941766*^9, 3.7965677179688234`*^9, 3.79657122507302*^9, 
   3.796573755575564*^9, 3.7975331684544873`*^9, 3.798362965800761*^9, 
   3.7986871257788687`*^9, 
   3.799038690353402*^9},ExpressionUUID->"887abb36-129f-4871-a0b0-\
6278a9469b2d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, {3.7958870611817055`*^9, 
   3.7958870719267206`*^9}, {3.795887241051957*^9, 3.795887254881976*^9}, 
   3.7958875006273203`*^9, 3.7958878292277803`*^9, 3.795890744524197*^9, 
   3.796567676941766*^9, 3.7965677179688234`*^9, 3.79657122507302*^9, 
   3.796573755575564*^9, 3.7975331684544873`*^9, 3.798362965800761*^9, 
   3.7986871257788687`*^9, 
   3.799038702739019*^9},ExpressionUUID->"7b429d98-7c93-4463-bca4-\
be12e4fcaf14"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.795782219994838*^9, 3.7957822308598537`*^9}, {
   3.7957822674549046`*^9, 3.7957822824049253`*^9}, {3.795885657311443*^9, 
   3.79588566962646*^9}, 3.7958858004716434`*^9, 3.7958860748213243`*^9, 
   3.7958861800864716`*^9, {3.79588652175695*^9, 3.7958865508479905`*^9}, 
   3.7958867769113073`*^9, 3.795886895166473*^9, {3.7958870611817055`*^9, 
   3.7958870719267206`*^9}, {3.795887241051957*^9, 3.795887254881976*^9}, 
   3.7958875006273203`*^9, 3.7958878292277803`*^9, 3.795890744524197*^9, 
   3.796567676941766*^9, 3.7965677179688234`*^9, 3.79657122507302*^9, 
   3.796573755575564*^9, 3.7975331684544873`*^9, 3.798362965800761*^9, 
   3.7986871257788687`*^9, 
   3.799038711856052*^9},ExpressionUUID->"ac11de9f-fbc7-4ed1-9fbd-\
d03c6185a995"]
}, Open  ]]
}, Closed]]
},
WindowSize->{1025, 1143},
WindowMargins->{{Automatic, 9}, {-27, Automatic}},
Magnification:>1.25 Inherited,
FrontEndVersion->"11.2 for Linux x86 (64-bit) (September 10, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 273, 6, 39, "Input",ExpressionUUID->"b531b109-e029-47f9-a4c6-235510ef9bc3"],
Cell[833, 28, 205, 4, 39, "Input",ExpressionUUID->"8a480dd6-cb43-4783-9b05-d1490348f089"],
Cell[1041, 34, 182, 4, 39, "Input",ExpressionUUID->"d18c35c2-af3c-41bc-9fc0-ddc524833a88"],
Cell[CellGroupData[{
Cell[1248, 42, 163, 3, 84, "Section",ExpressionUUID->"e9b0d2dd-28cd-434d-b7cf-1c3e53a3e449"],
Cell[1414, 47, 595, 16, 69, "Input",ExpressionUUID->"c59cbd35-b65a-474b-9427-5e72456d1787"],
Cell[2012, 65, 615, 17, 39, "Input",ExpressionUUID->"d870c299-a457-46e2-b372-5251c949afcc"],
Cell[2630, 84, 2262, 74, 134, "Text",ExpressionUUID->"5a0c40db-158a-4999-bf9d-759f6b0a0b68"],
Cell[4895, 160, 2501, 77, 98, "Input",ExpressionUUID->"63ea1755-dc85-49f4-a162-0f806d41de72"],
Cell[7399, 239, 249, 4, 44, "Text",ExpressionUUID->"766154fa-2d77-414c-9821-0568206f962a"],
Cell[7651, 245, 2252, 58, 243, "Input",ExpressionUUID->"09012d7c-148f-4b7c-b53b-ff2b648785a4"],
Cell[9906, 305, 220, 5, 44, "Text",ExpressionUUID->"e5b81347-aeb0-4905-ae4d-45d63ad342ea"],
Cell[10129, 312, 2627, 65, 156, "Input",ExpressionUUID->"fd6bfe29-8726-406b-a32a-d41b2c492885"],
Cell[12759, 379, 2370, 64, 214, "Input",ExpressionUUID->"2b3ee8df-0c53-41b3-8a7e-63dc4ef9ce69"],
Cell[15132, 445, 323, 8, 39, "Input",ExpressionUUID->"91a991fb-bfbc-451a-9a31-942d7954ef9e"],
Cell[15458, 455, 6495, 158, 678, "Input",ExpressionUUID->"9ce3e32c-c229-40a6-85f5-982edb29e298"],
Cell[21956, 615, 385, 11, 44, "Text",ExpressionUUID->"d68e9fb7-b481-4b36-b97a-6ea1aac1333c"],
Cell[22344, 628, 7431, 184, 446, "Input",ExpressionUUID->"1ca94e9b-8074-4b0b-ab66-ed28d4333994"],
Cell[29778, 814, 403, 12, 73, "Text",ExpressionUUID->"31de0e57-5b79-4ffb-af65-25c029a23e38"],
Cell[30184, 828, 11446, 294, 676, "Input",ExpressionUUID->"47c41f9d-6ea9-4a40-88f3-62eb0b4c517d"],
Cell[41633, 1124, 394, 11, 73, "Text",ExpressionUUID->"9850893c-5617-4885-a7d6-dc21da95cb90"],
Cell[42030, 1137, 11264, 292, 676, "Input",ExpressionUUID->"0b7140f1-fd7f-41b9-bd30-d172c04a9386"]
}, Closed]],
Cell[CellGroupData[{
Cell[53331, 1434, 291, 5, 65, "Section",ExpressionUUID->"2f39f856-78af-4d62-885a-837019c0aaa1"],
Cell[53625, 1441, 219, 5, 44, "Text",ExpressionUUID->"853bedf1-12ad-4647-85c1-d10b64769ee1"],
Cell[53847, 1448, 4307, 118, 214, "Input",ExpressionUUID->"8368e0ef-75e3-4460-bd60-17084c7ebb73"],
Cell[58157, 1568, 453, 6, 44, "Text",ExpressionUUID->"71af51ad-334a-412e-951d-53c1fb351450"],
Cell[CellGroupData[{
Cell[58635, 1578, 5584, 159, 359, "Input",ExpressionUUID->"55ee6c1f-ef7e-438e-a53c-6a7f342be139"],
Cell[64222, 1739, 5206, 142, 128, "Output",ExpressionUUID->"92fc3b4a-e06d-4aeb-b114-d563de3a1db9"]
}, Open  ]],
Cell[69443, 1884, 187, 3, 44, "Text",ExpressionUUID->"bed1d3f3-2412-4f2d-b89b-7d36414bf04f"],
Cell[CellGroupData[{
Cell[69655, 1891, 259, 6, 39, "Input",ExpressionUUID->"a78d8a59-7ac1-4d97-99a4-5d936d36d162"],
Cell[69917, 1899, 489, 9, 44, "Output",ExpressionUUID->"df8f2d29-9939-4115-b553-24062c6e8419"]
}, Open  ]],
Cell[70421, 1911, 165, 3, 44, "Text",ExpressionUUID->"4cbacc35-bd2b-488b-bd4c-8c1dc180f04a"],
Cell[70589, 1916, 623, 18, 39, "Input",ExpressionUUID->"e3225711-1354-413e-8b7a-d26f8c775dd3"],
Cell[71215, 1936, 189, 3, 44, "Text",ExpressionUUID->"46ea4d16-1052-425b-aa4c-1e9546cb2dc0"],
Cell[CellGroupData[{
Cell[71429, 1943, 1551, 37, 185, "Input",ExpressionUUID->"75456be5-41a7-4508-8a44-f3eae76f1f05"],
Cell[72983, 1982, 8787, 279, 503, "Output",ExpressionUUID->"ddbd2405-4df3-428a-bcc1-d54380956fb3"],
Cell[81773, 2263, 10748, 340, 530, "Output",ExpressionUUID->"85694361-5157-41d5-9a5c-229d887b4a0e"],
Cell[92524, 2605, 14754, 438, 576, "Output",ExpressionUUID->"d9f67b93-243c-4cdc-bc66-a894842438d3"]
}, Open  ]],
Cell[107293, 3046, 323, 6, 44, "Text",ExpressionUUID->"1ff6e2ec-0952-4abd-81ce-3a50ac4b757c"],
Cell[CellGroupData[{
Cell[107641, 3056, 905, 24, 69, "Input",ExpressionUUID->"4d044546-2c3f-46b5-a065-33e50e89a61c"],
Cell[108549, 3082, 2274, 75, 151, "Output",ExpressionUUID->"a118375c-bfd9-427b-a67c-5beeec56ad4b"],
Cell[110826, 3159, 2271, 75, 151, "Output",ExpressionUUID->"eb024f53-24c3-4dec-b0af-8d0e490d4034"]
}, Open  ]],
Cell[113112, 3237, 189, 5, 44, "Text",ExpressionUUID->"52c7ab9a-5c0d-4ce6-a2ab-8593524e2718"],
Cell[CellGroupData[{
Cell[113326, 3246, 2983, 74, 214, "Input",ExpressionUUID->"2f7de04f-12dc-4d12-8ef6-ffc9fc318c66"],
Cell[116312, 3322, 3582, 104, 195, "Output",ExpressionUUID->"9fcec6fc-df84-4a49-9fb0-5f99a3985908"]
}, Open  ]],
Cell[119909, 3429, 322, 8, 44, "Text",ExpressionUUID->"afdaa1ca-bca4-4f49-a5d4-9a30039227f8"],
Cell[CellGroupData[{
Cell[120256, 3441, 321, 6, 69, "Input",ExpressionUUID->"909a55e5-1662-41db-877b-904f6783c5d8"],
Cell[120580, 3449, 3399, 115, 161, "Output",ExpressionUUID->"3ff3c2e0-6e9e-4b26-87cc-246291bcc9b4"],
Cell[123982, 3566, 2295, 78, 111, "Output",ExpressionUUID->"7f0aaa1c-22d3-47eb-8152-a7c8a1f2b715"]
}, Open  ]],
Cell[126292, 3647, 230, 5, 44, "Text",ExpressionUUID->"20de4269-5794-4593-a60f-3d9ad6425140"],
Cell[126525, 3654, 871, 28, 69, "Input",ExpressionUUID->"1b3f8ced-675c-4f2d-80d0-95a64219af18"],
Cell[127399, 3684, 169, 3, 44, "Text",ExpressionUUID->"f3c9d77c-46f5-4409-adf8-be698c48644e"],
Cell[CellGroupData[{
Cell[127593, 3691, 1231, 32, 185, "Input",ExpressionUUID->"15d6d81b-1517-4a30-a8c4-83236ac93124"],
Cell[128827, 3725, 520, 9, 44, "Output",ExpressionUUID->"40f3249f-20d3-49f4-b4b7-3f7b03c813b5"],
Cell[129350, 3736, 518, 9, 44, "Output",ExpressionUUID->"c05cbe6a-de04-4d9f-a6d5-8a65087f9171"],
Cell[129871, 3747, 518, 9, 44, "Output",ExpressionUUID->"8bca4a1b-841e-461b-9240-2ae470831fcd"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[130438, 3762, 205, 4, 65, "Section",ExpressionUUID->"c1bc4ecf-36d0-4520-84dc-734552385175"],
Cell[CellGroupData[{
Cell[130668, 3770, 1256, 31, 98, "Input",ExpressionUUID->"2c44652f-eed3-414e-adc5-5f9b1795f9bf"],
Cell[131927, 3803, 4773, 143, 252, "Output",ExpressionUUID->"8ad187df-6015-44de-955e-d9aea5b7e17b"]
}, Open  ]],
Cell[136715, 3949, 257, 8, 44, "Text",ExpressionUUID->"e0a8208c-259f-4982-a31a-f999a06a6b26"],
Cell[CellGroupData[{
Cell[136997, 3961, 272, 6, 39, "Input",ExpressionUUID->"89d191af-c153-4e43-af83-cf495988aaf0"],
Cell[137272, 3969, 933, 26, 44, "Output",ExpressionUUID->"9daebaa4-2a94-45e5-a461-1a32614f77fb"]
}, Open  ]],
Cell[138220, 3998, 348, 10, 44, "Text",ExpressionUUID->"221842d6-7c6a-461b-8a3c-d5a85f459b6f"],
Cell[CellGroupData[{
Cell[138593, 4012, 770, 19, 69, "Input",ExpressionUUID->"fccb893f-a78c-4fa4-a6fe-b910fc07c607"],
Cell[139366, 4033, 621, 11, 44, "Output",ExpressionUUID->"31500533-5c49-4da7-b7ec-8c5e4c9c532a"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[140036, 4050, 154, 3, 65, "Section",ExpressionUUID->"61433901-c453-464d-81d9-f41a55591aac"],
Cell[140193, 4055, 172, 3, 44, "Text",ExpressionUUID->"5e90c568-d093-4677-94c0-76990457938e"],
Cell[140368, 4060, 2636, 64, 156, "Input",ExpressionUUID->"d0c87688-2153-481b-a5af-29baa3bde834"],
Cell[143007, 4126, 213, 4, 44, "Text",ExpressionUUID->"b5c68a5f-cab0-433d-94d3-193f043e989b"],
Cell[143223, 4132, 1286, 33, 185, "Input",ExpressionUUID->"7747d070-799a-4fff-8814-7a0271796458"],
Cell[144512, 4167, 247, 8, 44, "Text",ExpressionUUID->"c3d726d5-922b-4c61-8143-53712fe6f737"],
Cell[CellGroupData[{
Cell[144784, 4179, 319, 6, 69, "Input",ExpressionUUID->"0d5fdd29-4ec6-4b7f-9cf6-64fde46a224e"],
Cell[145106, 4187, 894, 27, 44, "Output",ExpressionUUID->"e2e6c955-02ad-409b-83a6-78d4851ca43e"],
Cell[146003, 4216, 514, 13, 44, "Output",ExpressionUUID->"904f2a10-1438-4e48-8949-e3dc20a75c72"]
}, Open  ]],
Cell[146532, 4232, 167, 3, 44, "Text",ExpressionUUID->"356f7e1a-a602-4359-a0eb-63b2867bfd98"],
Cell[CellGroupData[{
Cell[146724, 4239, 1314, 39, 127, "Input",ExpressionUUID->"2b8972e1-d8a2-486b-a2d1-edbcb0cec413"],
Cell[148041, 4280, 550, 9, 44, "Output",ExpressionUUID->"1d1ef73c-b526-43b5-b7d4-1078536436f3"],
Cell[148594, 4291, 552, 9, 44, "Output",ExpressionUUID->"6de4aeaa-a622-4224-9b86-7abeb8f81f9a"],
Cell[149149, 4302, 550, 9, 44, "Output",ExpressionUUID->"17527a46-fea0-4300-8b8e-d896d2929e7b"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[149748, 4317, 203, 4, 65, "Section",ExpressionUUID->"867792a8-6ff5-4237-8424-9ce86f5c8205"],
Cell[149954, 4323, 172, 3, 44, "Text",ExpressionUUID->"e1b47eac-c84f-41a0-8a70-c01c3abd1d64"],
Cell[150129, 4328, 3274, 84, 185, "Input",ExpressionUUID->"5720d11f-d0d4-4aef-8b68-b7ef6333f4dd"],
Cell[153406, 4414, 213, 4, 44, "Text",ExpressionUUID->"260f6092-a02a-4971-963f-85460b54cf6e"],
Cell[153622, 4420, 1332, 33, 185, "Input",ExpressionUUID->"ab20143b-c721-42eb-8af6-119246e93b77"],
Cell[154957, 4455, 247, 8, 44, "Text",ExpressionUUID->"ec800daa-6b9f-4815-97ef-1a9a6e4ee367"],
Cell[CellGroupData[{
Cell[155229, 4467, 365, 6, 69, "Input",ExpressionUUID->"048d16a9-d300-479b-9c57-0406fd7a1854"],
Cell[155597, 4475, 892, 27, 44, "Output",ExpressionUUID->"8008e7cf-3856-48e8-8810-db2e5cad40a5"],
Cell[156492, 4504, 512, 13, 44, "Output",ExpressionUUID->"567b2946-f777-4112-b6da-77c10f4ee4e3"]
}, Open  ]],
Cell[157019, 4520, 167, 3, 44, "Text",ExpressionUUID->"fd8cde7a-f0b6-409c-8fd2-0ba14a92fb3c"],
Cell[CellGroupData[{
Cell[157211, 4527, 1356, 39, 127, "Input",ExpressionUUID->"699c2ce8-dbbc-48cb-ae98-a83a1bcefbf3"],
Cell[158570, 4568, 548, 9, 44, "Output",ExpressionUUID->"456195f8-375f-4a0e-8199-d102017a1cec"],
Cell[159121, 4579, 548, 9, 44, "Output",ExpressionUUID->"10c1dca4-ed94-404a-9781-0b38a928564e"],
Cell[159672, 4590, 546, 9, 44, "Output",ExpressionUUID->"4977432f-dbd1-4e79-9a8f-f6a843c11251"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[160267, 4605, 204, 4, 65, "Section",ExpressionUUID->"766ecc87-ab82-477d-8154-7371254bb6f1"],
Cell[160474, 4611, 172, 3, 44, "Text",ExpressionUUID->"fa8cfcfa-f780-407b-a503-e06067fd050a"],
Cell[160649, 4616, 4505, 115, 301, "Input",ExpressionUUID->"3f63b612-84bd-4055-8aec-de74cfa088e5"],
Cell[165157, 4733, 213, 4, 44, "Text",ExpressionUUID->"2c37e213-cf67-4528-9113-0d93b47bc793"],
Cell[165373, 4739, 1635, 41, 243, "Input",ExpressionUUID->"d5564d57-6806-483a-b176-3446c3095535"],
Cell[167011, 4782, 247, 8, 44, "Text",ExpressionUUID->"58438f13-96af-42ee-892e-c98ccd43d64e"],
Cell[CellGroupData[{
Cell[167283, 4794, 416, 7, 69, "Input",ExpressionUUID->"1babe872-6e1c-4af8-ae1f-4550ab604302"],
Cell[167702, 4803, 1719, 56, 74, "Output",ExpressionUUID->"32097d97-3438-4514-be03-0912e269749d"],
Cell[169424, 4861, 774, 20, 44, "Output",ExpressionUUID->"cab5bad3-32e0-459e-9e8c-d893d3d2aa60"]
}, Open  ]],
Cell[170213, 4884, 167, 3, 44, "Text",ExpressionUUID->"ef6ba135-7041-4994-aa6c-05006807f5b1"],
Cell[CellGroupData[{
Cell[170405, 4891, 1519, 44, 185, "Input",ExpressionUUID->"ea350f46-c9fb-49fb-ba8f-47385f78612e"],
Cell[171927, 4937, 693, 12, 44, "Output",ExpressionUUID->"f2b09b55-cabf-4fb7-b349-bfe2d41aa8c8"],
Cell[172623, 4951, 693, 12, 44, "Output",ExpressionUUID->"b75123e6-762e-47bf-a191-fc604ee74930"],
Cell[173319, 4965, 670, 11, 44, "Output",ExpressionUUID->"94e3072f-f361-4af7-8c04-67789650eff8"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[174038, 4982, 252, 4, 65, "Section",ExpressionUUID->"ab029a92-0798-4bf1-9505-398038d4b766"],
Cell[174293, 4988, 172, 3, 44, "Text",ExpressionUUID->"85d181f3-a429-4d36-96e2-bb757efb9f64"],
Cell[174468, 4993, 6037, 159, 359, "Input",ExpressionUUID->"954f0bcb-0a25-4958-ab80-12a95b35c25c"],
Cell[180508, 5154, 213, 4, 44, "Text",ExpressionUUID->"18894d65-1c2c-42d5-8786-fb1adbfb49c8"],
Cell[180724, 5160, 1559, 40, 243, "Input",ExpressionUUID->"70ffc391-6834-45c1-b26f-d6c181373b37"],
Cell[182286, 5202, 247, 8, 44, "Text",ExpressionUUID->"bb4c8152-782f-457b-b8ca-f84f5294c129"],
Cell[CellGroupData[{
Cell[182558, 5214, 467, 8, 69, "Input",ExpressionUUID->"ca0e53ca-7d12-46d8-8411-e79c586a57ff"],
Cell[183028, 5224, 1699, 56, 74, "Output",ExpressionUUID->"cad9e6be-0949-4268-a384-9a3fb6bf32cd"],
Cell[184730, 5282, 1213, 38, 74, "Output",ExpressionUUID->"d509c82f-a154-45aa-bc33-6be8b99c6cb4"]
}, Open  ]],
Cell[185958, 5323, 167, 3, 44, "Text",ExpressionUUID->"a6e03445-b54c-4496-90a2-5ca64e8dd2c4"],
Cell[CellGroupData[{
Cell[186150, 5330, 1827, 54, 185, "Input",ExpressionUUID->"c225279d-f144-49cf-a1d7-5b62d99ed9c3"],
Cell[187980, 5386, 647, 11, 44, "Output",ExpressionUUID->"b51d2506-0714-41d8-960a-eaa15eb45130"],
Cell[188630, 5399, 647, 11, 44, "Output",ExpressionUUID->"a4daa72a-cbf5-4fc9-a858-18cf87c8651f"],
Cell[189280, 5412, 657, 11, 44, "Output",ExpressionUUID->"b2d1bdf4-54c1-4b77-bd3c-35137aa0f4bc"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[189986, 5429, 303, 5, 65, "Section",ExpressionUUID->"17e7817a-04a4-4841-85e5-75269333b8f4"],
Cell[190292, 5436, 172, 3, 44, "Text",ExpressionUUID->"dd320d21-b879-41a3-b1d0-1fa6dd05696b"],
Cell[190467, 5441, 8055, 216, 446, "Input",ExpressionUUID->"b7c8646e-79a5-4727-a491-f56b5086aab2"],
Cell[198525, 5659, 213, 4, 44, "Text",ExpressionUUID->"e581956d-6ce4-41dc-8ff0-3ce004dad365"],
Cell[198741, 5665, 1611, 41, 243, "Input",ExpressionUUID->"09d63510-2cca-41c7-869a-c4f9cd1e2591"],
Cell[200355, 5708, 247, 8, 44, "Text",ExpressionUUID->"e8ca9193-1e31-4b16-9731-ebc6209e4089"],
Cell[CellGroupData[{
Cell[200627, 5720, 517, 8, 69, "Input",ExpressionUUID->"2d15a1ce-9994-467c-99e0-1b27392aa94d"],
Cell[201147, 5730, 2417, 80, 103, "Output",ExpressionUUID->"fe0300f3-b94f-4e10-abd0-c60ef629c5e3"],
Cell[203567, 5812, 1117, 33, 44, "Output",ExpressionUUID->"38801f1b-8e69-453e-b48a-131a67ff23b7"]
}, Open  ]],
Cell[204699, 5848, 167, 3, 44, "Text",ExpressionUUID->"1c69ef6f-9278-40dd-a97e-4163c5ffaae9"],
Cell[CellGroupData[{
Cell[204891, 5855, 1865, 54, 185, "Input",ExpressionUUID->"9466c68b-80cb-4fc4-a25c-20117a9e96a1"],
Cell[206759, 5911, 677, 11, 44, "Output",ExpressionUUID->"12a8de7c-0997-4304-b970-68eb4b26d8e0"],
Cell[207439, 5924, 677, 11, 44, "Output",ExpressionUUID->"b92a6fde-0153-463a-b579-7c8b9a1d0828"],
Cell[208119, 5937, 666, 11, 44, "Output",ExpressionUUID->"c5d5de3d-c38f-4bf4-bf38-ca2fcd090c05"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[208834, 5954, 253, 4, 65, "Section",ExpressionUUID->"b83a8034-9b27-45d4-87a6-630c41bef6af"],
Cell[209090, 5960, 172, 3, 44, "Text",ExpressionUUID->"12539bdf-f907-4299-a0b3-d00d044dce6a"],
Cell[209265, 5965, 6829, 179, 388, "Input",ExpressionUUID->"6c9e1679-17bd-4ba5-af44-33141b216fa4"],
Cell[216097, 6146, 213, 4, 44, "Text",ExpressionUUID->"03d94496-14bd-4869-8b61-c84b2dabff31"],
Cell[216313, 6152, 1663, 42, 243, "Input",ExpressionUUID->"4ffe3eda-a0f2-403f-95e5-94d61de68f4c"],
Cell[217979, 6196, 247, 8, 44, "Text",ExpressionUUID->"b1631278-b23f-43d7-952c-2d3b96da587f"],
Cell[CellGroupData[{
Cell[218251, 6208, 566, 9, 69, "Input",ExpressionUUID->"e0257df3-313f-4158-89af-83eb51ff9cb7"],
Cell[218820, 6219, 1755, 57, 74, "Output",ExpressionUUID->"4fcde8a4-a4d0-46cb-8aba-36cce0645dfd"],
Cell[220578, 6278, 1862, 57, 81, "Output",ExpressionUUID->"fcd11a00-4833-43ce-aa75-fb27e7606caa"]
}, Open  ]],
Cell[222455, 6338, 167, 3, 44, "Text",ExpressionUUID->"9a2206cc-0930-4fbd-a486-cc8501615453"],
Cell[CellGroupData[{
Cell[222647, 6345, 1823, 52, 185, "Input",ExpressionUUID->"f0db5d13-4390-4365-8e67-1eb4f04bb0b2"],
Cell[224473, 6399, 722, 12, 44, "Output",ExpressionUUID->"e68b98c3-beec-4857-bc6c-a2200007a08d"],
Cell[225198, 6413, 722, 12, 44, "Output",ExpressionUUID->"17094030-57d2-4fad-bfcf-e4259d69a925"],
Cell[225923, 6427, 721, 12, 44, "Output",ExpressionUUID->"4678db84-ec3d-40da-bcf4-278801c95322"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[226693, 6445, 205, 4, 65, "Section",ExpressionUUID->"793374e9-9900-46ca-8c13-dec065f55e0f"],
Cell[226901, 6451, 172, 3, 44, "Text",ExpressionUUID->"5034f03c-794c-4afd-8ea6-897f1f2710e6"],
Cell[227076, 6456, 11293, 303, 620, "Input",ExpressionUUID->"76b31049-e397-4d6f-ab03-6aa210f51616"],
Cell[238372, 6761, 213, 4, 44, "Text",ExpressionUUID->"e29972aa-1b1b-4c0b-9b7f-512f23d38f43"],
Cell[238588, 6767, 1712, 42, 243, "Input",ExpressionUUID->"b860fcca-6eeb-4e14-bd5c-3a62705b42b2"],
Cell[240303, 6811, 247, 8, 44, "Text",ExpressionUUID->"e44f8e9d-9bfd-46e7-b0f7-51d1c7f5070d"],
Cell[CellGroupData[{
Cell[240575, 6823, 617, 10, 69, "Input",ExpressionUUID->"906e26ce-81e4-44a8-a0d9-8b5766611e27"],
Cell[241195, 6835, 3615, 117, 161, "Output",ExpressionUUID->"f20a4af9-1905-4351-b5b0-f39025711d66"],
Cell[244813, 6954, 2511, 80, 111, "Output",ExpressionUUID->"a6ecbb1e-f447-4d6c-a7c3-5b27f061cb1c"]
}, Open  ]],
Cell[247339, 7037, 167, 3, 44, "Text",ExpressionUUID->"02c67d13-a3b2-4d13-a18c-258d73057130"],
Cell[CellGroupData[{
Cell[247531, 7044, 2215, 63, 185, "Input",ExpressionUUID->"7fc2aba6-3fc8-4656-bff5-1d530ecfebb7"],
Cell[249749, 7109, 837, 13, 44, "Output",ExpressionUUID->"0dabd716-e1c5-44e2-8ac9-22d67bc562ba"],
Cell[250589, 7124, 839, 13, 44, "Output",ExpressionUUID->"0cb70d17-d16e-4108-910c-99790dd902f9"],
Cell[251431, 7139, 837, 13, 44, "Output",ExpressionUUID->"a7d1596b-6e0e-4d67-b681-003e971fb567"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[252317, 7158, 283, 5, 65, "Section",ExpressionUUID->"4aa4bd5a-525d-451e-aae9-bf601baa9b53"],
Cell[252603, 7165, 172, 3, 44, "Text",ExpressionUUID->"77da3d26-8153-4583-b4a5-6dc5b4d9f8b0"],
Cell[252778, 7170, 15381, 421, 736, "Input",ExpressionUUID->"493e12b9-c25a-49af-9b64-0750065ae0da"],
Cell[268162, 7593, 283, 4, 44, "Text",ExpressionUUID->"0fc051af-3ce5-4dae-8676-5a0909b064b6"],
Cell[CellGroupData[{
Cell[268470, 7601, 1925, 47, 243, "Input",ExpressionUUID->"c45ee641-45b7-4737-96ab-313216acba61"],
Cell[CellGroupData[{
Cell[270420, 7652, 281, 5, 30, "Print",ExpressionUUID->"67db933f-7f99-488f-b03c-31de784c4e78"],
Cell[270704, 7659, 448, 10, 30, "Print",ExpressionUUID->"a8a6fa48-f054-40c8-a44b-18280d98ba52"],
Cell[271155, 7671, 276, 5, 30, "Print",ExpressionUUID->"4c1142ee-fa84-44c2-ad76-0fc2cb8373de"],
Cell[271434, 7678, 450, 10, 30, "Print",ExpressionUUID->"53f2e6c9-4a97-450d-9b4c-b4a2505543ea"],
Cell[271887, 7690, 292, 5, 30, "Print",ExpressionUUID->"a883b2db-4f13-4e00-8ace-21b79d838100"],
Cell[272182, 7697, 444, 9, 30, "Print",ExpressionUUID->"98ff0208-ed03-4145-b5b9-17694dd5ca2b"]
}, Open  ]]
}, Open  ]],
Cell[272653, 7710, 247, 8, 44, "Text",ExpressionUUID->"cc75631c-42e3-446a-be2a-b3b4b061716b"],
Cell[CellGroupData[{
Cell[272925, 7722, 667, 10, 69, "Input",ExpressionUUID->"ac880b0e-a528-4295-91ae-6e846a026af5"],
Cell[273595, 7734, 4292, 140, 190, "Output",ExpressionUUID->"f32d320a-ef2c-415e-9fd3-9b8e079ddc38"],
Cell[277890, 7876, 2758, 89, 140, "Output",ExpressionUUID->"7499fb07-f511-421d-bfcc-207dd8621045"]
}, Open  ]],
Cell[280663, 7968, 167, 3, 44, "Text",ExpressionUUID->"c584e36b-19a1-4dd5-9bcf-2a1f15398eff"],
Cell[CellGroupData[{
Cell[280855, 7975, 2407, 68, 185, "Input",ExpressionUUID->"b7c8097e-87ec-420b-acbc-e7ccd207fccb"],
Cell[283265, 8045, 877, 14, 44, "Output",ExpressionUUID->"88dff361-3344-43b9-b20f-76f7f3f65429"],
Cell[284145, 8061, 877, 14, 44, "Output",ExpressionUUID->"6494f69a-b746-4474-afa6-f355e074037e"],
Cell[285025, 8077, 865, 14, 44, "Output",ExpressionUUID->"d7f34b84-cd7b-46dd-bdb2-ca196e201191"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[285939, 8097, 253, 4, 65, "Section",ExpressionUUID->"fc8bf22b-b61a-4a8a-ba72-031bed525ced"],
Cell[286195, 8103, 172, 3, 44, "Text",ExpressionUUID->"e201dd95-0f6b-4ffc-8128-685b07141ea2"],
Cell[286370, 8108, 20939, 579, 881, "Input",ExpressionUUID->"11f1f5b4-8711-426c-854e-102d27934a91"],
Cell[307312, 8689, 329, 5, 44, "Text",ExpressionUUID->"7aaa9c46-a63d-4daf-9e7b-75a576c6662a"],
Cell[CellGroupData[{
Cell[307666, 8698, 1907, 46, 214, "Input",ExpressionUUID->"e98e8a75-43cf-4155-98d0-986777544a2b"],
Cell[CellGroupData[{
Cell[309598, 8748, 348, 5, 30, "Print",ExpressionUUID->"59861b21-f768-4883-a60e-c70c7ea0a0ad"],
Cell[309949, 8755, 513, 10, 30, "Print",ExpressionUUID->"cdf54516-872f-4db6-88b9-c6fb21858532"],
Cell[310465, 8767, 341, 5, 30, "Print",ExpressionUUID->"e334b07e-154c-4d5f-9cf6-54b11134b073"],
Cell[310809, 8774, 517, 10, 30, "Print",ExpressionUUID->"12d3b564-52b5-4635-8ffb-08e511a0bcb7"],
Cell[311329, 8786, 357, 5, 30, "Print",ExpressionUUID->"68d60049-11a1-42ac-bec4-c2f38e6ddfc1"],
Cell[311689, 8793, 513, 10, 30, "Print",ExpressionUUID->"86a020ab-bf0c-4859-974a-8ff2fbde7eb8"]
}, Open  ]]
}, Open  ]],
Cell[312229, 8807, 247, 8, 44, "Text",ExpressionUUID->"180153f0-64e7-49e1-b260-e5ba33e4add6"],
Cell[CellGroupData[{
Cell[312501, 8819, 716, 11, 69, "Input",ExpressionUUID->"69ac5d57-1a4a-4aaf-a393-10f75d7bfbcf"],
Cell[313220, 8832, 5618, 181, 219, "Output",ExpressionUUID->"310167dd-190e-49cc-b597-afd7a2dee72b"],
Cell[318841, 9015, 4519, 147, 200, "Output",ExpressionUUID->"06ea87ab-6c43-484d-a5f0-f18404e2e98e"]
}, Open  ]],
Cell[323375, 9165, 167, 3, 44, "Text",ExpressionUUID->"8ab4d54a-8512-4a00-a4fe-931b1b649a49"],
Cell[CellGroupData[{
Cell[323567, 9172, 2583, 73, 185, "Input",ExpressionUUID->"6da4567b-34e6-45dd-9f29-bdff7efb088b"],
Cell[326153, 9247, 875, 14, 44, "Output",ExpressionUUID->"887abb36-129f-4871-a0b0-6278a9469b2d"],
Cell[327031, 9263, 875, 14, 44, "Output",ExpressionUUID->"7b429d98-7c93-4463-bca4-be12e4fcaf14"],
Cell[327909, 9279, 875, 14, 44, "Output",ExpressionUUID->"ac11de9f-fbc7-4ed1-9fbd-d03c6185a995"]
}, Open  ]]
}, Closed]]
}
]
*)

